io.vertx.rxjava.redis

## Class RedisTransaction

- java.lang.Object
- - io.vertx.rxjava.redis.RedisTransaction

-     public class RedisTransaction
      extends Object

  This Interface represents a TX

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<RedisTransaction>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisTransaction(RedisTransaction delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RedisTransaction` | `append(String key, String value, Handler<AsyncResult<String>> handler)` Append a value to a key
    `rx.Observable<String>` | `appendObservable(String key, String value)` Deprecated. use `rxAppend(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `auth(String password, Handler<AsyncResult<String>> handler)` Authenticate to the server
    `rx.Observable<String>` | `authObservable(String password)` Deprecated. use `rxAuth(java.lang.String)` instead
    `RedisTransaction` | `bgrewriteaof(Handler<AsyncResult<String>> handler)` Asynchronously rewrite the append-only file
    `rx.Observable<String>` | `bgrewriteaofObservable()` Deprecated. use `rxBgrewriteaof()` instead
    `RedisTransaction` | `bgsave(Handler<AsyncResult<String>> handler)` Asynchronously save the dataset to disk
    `rx.Observable<String>` | `bgsaveObservable()` Deprecated. use `rxBgsave()` instead
    `RedisTransaction` | `bitcount(String key, Handler<AsyncResult<String>> handler)` Count set bits in a string
    `rx.Observable<String>` | `bitcountObservable(String key)` Deprecated. use `rxBitcount(java.lang.String)` instead
    `RedisTransaction` | `bitcountRange(String key, long start, long end, Handler<AsyncResult<String>> handler)` Count set bits in a string
    `rx.Observable<String>` | `bitcountRangeObservable(String key, long start, long end)` Deprecated. use `rxBitcountRange(java.lang.String, long, long)` instead
    `RedisTransaction` | `bitop(BitOperation operation, String destkey, List<String> keys, Handler<AsyncResult<String>> handler)` Perform bitwise operations between strings
    `rx.Observable<String>` | `bitopObservable(BitOperation operation, String destkey, List<String> keys)` Deprecated. use `rxBitop(io.vertx.redis.op.BitOperation, java.lang.String, java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `bitpos(String key, int bit, Handler<AsyncResult<String>> handler)` Find first bit set or clear in a string
    `RedisTransaction` | `bitposFrom(String key, int bit, int start, Handler<AsyncResult<String>> handler)` Find first bit set or clear in a string
    `rx.Observable<String>` | `bitposFromObservable(String key, int bit, int start)` Deprecated. use `rxBitposFrom(java.lang.String, int, int)` instead
    `rx.Observable<String>` | `bitposObservable(String key, int bit)` Deprecated. use `rxBitpos(java.lang.String, int)` instead
    `RedisTransaction` | `bitposRange(String key, int bit, int start, int stop, Handler<AsyncResult<String>> handler)` Find first bit set or clear in a string
    `rx.Observable<String>` | `bitposRangeObservable(String key, int bit, int start, int stop)` Deprecated. use `rxBitposRange(java.lang.String, int, int, int)` instead
    `RedisTransaction` | `blpop(String key, int seconds, Handler<AsyncResult<String>> handler)` Remove and get the first element in a list, or block until one is available
    `RedisTransaction` | `blpopMany(List<String> keys, int seconds, Handler<AsyncResult<String>> handler)` Remove and get the first element in any of the lists, or block until one is available
    `rx.Observable<String>` | `blpopManyObservable(List<String> keys, int seconds)` Deprecated. use `rxBlpopMany(java.util.List<java.lang.String>, int)` instead
    `rx.Observable<String>` | `blpopObservable(String key, int seconds)` Deprecated. use `rxBlpop(java.lang.String, int)` instead
    `RedisTransaction` | `brpop(String key, int seconds, Handler<AsyncResult<String>> handler)` Remove and get the last element in a list, or block until one is available
    `RedisTransaction` | `brpoplpush(String key, String destkey, int seconds, Handler<AsyncResult<String>> handler)` Pop a value from a list, push it to another list and return it; or block until one is available
    `rx.Observable<String>` | `brpoplpushObservable(String key, String destkey, int seconds)` Deprecated. use `rxBrpoplpush(java.lang.String, java.lang.String, int)` instead
    `RedisTransaction` | `brpopMany(List<String> keys, int seconds, Handler<AsyncResult<String>> handler)` Remove and get the last element in any of the lists, or block until one is available
    `rx.Observable<String>` | `brpopManyObservable(List<String> keys, int seconds)` Deprecated. use `rxBrpopMany(java.util.List<java.lang.String>, int)` instead
    `rx.Observable<String>` | `brpopObservable(String key, int seconds)` Deprecated. use `rxBrpop(java.lang.String, int)` instead
    `RedisTransaction` | `clientGetname(Handler<AsyncResult<String>> handler)` Get the current connection name
    `rx.Observable<String>` | `clientGetnameObservable()` Deprecated. use `rxClientGetname()` instead
    `RedisTransaction` | `clientKill(KillFilter filter, Handler<AsyncResult<String>> handler)` Kill the connection of a client
    `rx.Observable<String>` | `clientKillObservable(KillFilter filter)` Deprecated. use `rxClientKill(io.vertx.redis.op.KillFilter)` instead
    `RedisTransaction` | `clientList(Handler<AsyncResult<String>> handler)` Get the list of client connections
    `rx.Observable<String>` | `clientListObservable()` Deprecated. use `rxClientList()` instead
    `RedisTransaction` | `clientPause(long millis, Handler<AsyncResult<String>> handler)` Stop processing commands from clients for some time
    `rx.Observable<String>` | `clientPauseObservable(long millis)` Deprecated. use `rxClientPause(long)` instead
    `RedisTransaction` | `clientSetname(String name, Handler<AsyncResult<String>> handler)` Set the current connection name
    `rx.Observable<String>` | `clientSetnameObservable(String name)` Deprecated. use `rxClientSetname(java.lang.String)` instead
    `void` | `close(Handler<AsyncResult<Void>> handler)` Close the client - when it is fully closed the handler will be called.
    `rx.Observable<Void>` | `closeObservable()` Deprecated. use `rxClose()` instead
    `RedisTransaction` | `clusterAddslots(List<String> slots, Handler<AsyncResult<String>> handler)` Assign new hash slots to receiving node.
    `rx.Observable<String>` | `clusterAddslotsObservable(List<String> slots)` Deprecated. use `rxClusterAddslots(java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `clusterCountFailureReports(String nodeId, Handler<AsyncResult<String>> handler)` Return the number of failure reports active for a given node.
    `rx.Observable<String>` | `clusterCountFailureReportsObservable(String nodeId)` Deprecated. use `rxClusterCountFailureReports(java.lang.String)` instead
    `RedisTransaction` | `clusterCountkeysinslot(long slot, Handler<AsyncResult<String>> handler)` Return the number of local keys in the specified hash slot.
    `rx.Observable<String>` | `clusterCountkeysinslotObservable(long slot)` Deprecated. use `rxClusterCountkeysinslot(long)` instead
    `RedisTransaction` | `clusterDelslots(long slot, Handler<AsyncResult<String>> handler)` Set hash slots as unbound in receiving node.
    `RedisTransaction` | `clusterDelslotsMany(List<String> slots, Handler<AsyncResult<String>> handler)` Set hash slots as unbound in receiving node.
    `rx.Observable<String>` | `clusterDelslotsManyObservable(List<String> slots)` Deprecated. use `rxClusterDelslotsMany(java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `clusterDelslotsObservable(long slot)` Deprecated. use `rxClusterDelslots(long)` instead
    `RedisTransaction` | `clusterFailover(Handler<AsyncResult<String>> handler)` Forces a slave to perform a manual failover of its master.
    `rx.Observable<String>` | `clusterFailoverObservable()` Deprecated. use `rxClusterFailover()` instead
    `RedisTransaction` | `clusterFailOverWithOptions(FailoverOptions options, Handler<AsyncResult<String>> handler)` Forces a slave to perform a manual failover of its master.
    `rx.Observable<String>` | `clusterFailOverWithOptionsObservable(FailoverOptions options)` Deprecated. use `rxClusterFailOverWithOptions(io.vertx.redis.op.FailoverOptions)` instead
    `RedisTransaction` | `clusterForget(String nodeId, Handler<AsyncResult<String>> handler)` Remove a node from the nodes table.
    `rx.Observable<String>` | `clusterForgetObservable(String nodeId)` Deprecated. use `rxClusterForget(java.lang.String)` instead
    `RedisTransaction` | `clusterGetkeysinslot(long slot, long count, Handler<AsyncResult<String>> handler)` Return local key names in the specified hash slot.
    `rx.Observable<String>` | `clusterGetkeysinslotObservable(long slot, long count)` Deprecated. use `rxClusterGetkeysinslot(long, long)` instead
    `RedisTransaction` | `clusterInfo(Handler<AsyncResult<String>> handler)` Provides info about Redis Cluster node state.
    `rx.Observable<String>` | `clusterInfoObservable()` Deprecated. use `rxClusterInfo()` instead
    `RedisTransaction` | `clusterKeyslot(String key, Handler<AsyncResult<String>> handler)` Returns the hash slot of the specified key.
    `rx.Observable<String>` | `clusterKeyslotObservable(String key)` Deprecated. use `rxClusterKeyslot(java.lang.String)` instead
    `RedisTransaction` | `clusterMeet(String ip, long port, Handler<AsyncResult<String>> handler)` Force a node cluster to handshake with another node.
    `rx.Observable<String>` | `clusterMeetObservable(String ip, long port)` Deprecated. use `rxClusterMeet(java.lang.String, long)` instead
    `RedisTransaction` | `clusterNodes(Handler<AsyncResult<String>> handler)` Get Cluster config for the node.
    `rx.Observable<String>` | `clusterNodesObservable()` Deprecated. use `rxClusterNodes()` instead
    `RedisTransaction` | `clusterReplicate(String nodeId, Handler<AsyncResult<String>> handler)` Reconfigure a node as a slave of the specified master node.
    `rx.Observable<String>` | `clusterReplicateObservable(String nodeId)` Deprecated. use `rxClusterReplicate(java.lang.String)` instead
    `RedisTransaction` | `clusterReset(Handler<AsyncResult<String>> handler)` Reset a Redis Cluster node.
    `rx.Observable<String>` | `clusterResetObservable()` Deprecated. use `rxClusterReset()` instead
    `RedisTransaction` | `clusterResetWithOptions(ResetOptions options, Handler<AsyncResult<String>> handler)` Reset a Redis Cluster node.
    `rx.Observable<String>` | `clusterResetWithOptionsObservable(ResetOptions options)` Deprecated. use `rxClusterResetWithOptions(io.vertx.redis.op.ResetOptions)` instead
    `RedisTransaction` | `clusterSaveconfig(Handler<AsyncResult<String>> handler)` Forces the node to save cluster state on disk.
    `rx.Observable<String>` | `clusterSaveconfigObservable()` Deprecated. use `rxClusterSaveconfig()` instead
    `RedisTransaction` | `clusterSetConfigEpoch(long epoch, Handler<AsyncResult<String>> handler)` Set the configuration epoch in a new node.
    `rx.Observable<String>` | `clusterSetConfigEpochObservable(long epoch)` Deprecated. use `rxClusterSetConfigEpoch(long)` instead
    `RedisTransaction` | `clusterSetslot(long slot, SlotCmd subcommand, Handler<AsyncResult<String>> handler)` Bind an hash slot to a specific node.
    `rx.Observable<String>` | `clusterSetslotObservable(long slot, SlotCmd subcommand)` Deprecated. use `rxClusterSetslot(long, io.vertx.redis.op.SlotCmd)` instead
    `RedisTransaction` | `clusterSetslotWithNode(long slot, SlotCmd subcommand, String nodeId, Handler<AsyncResult<String>> handler)` Bind an hash slot to a specific node.
    `rx.Observable<String>` | `clusterSetslotWithNodeObservable(long slot, SlotCmd subcommand, String nodeId)` Deprecated. use `rxClusterSetslotWithNode(long, io.vertx.redis.op.SlotCmd, java.lang.String)` instead
    `RedisTransaction` | `clusterSlaves(String nodeId, Handler<AsyncResult<String>> handler)` List slave nodes of the specified master node.
    `rx.Observable<String>` | `clusterSlavesObservable(String nodeId)` Deprecated. use `rxClusterSlaves(java.lang.String)` instead
    `RedisTransaction` | `clusterSlots(Handler<AsyncResult<String>> handler)` Get array of Cluster slot to node mappings
    `rx.Observable<String>` | `clusterSlotsObservable()` Deprecated. use `rxClusterSlots()` instead
    `RedisTransaction` | `command(Handler<AsyncResult<String>> handler)` Get array of Redis command details
    `RedisTransaction` | `commandCount(Handler<AsyncResult<String>> handler)` Get total number of Redis commands
    `rx.Observable<String>` | `commandCountObservable()` Deprecated. use `rxCommandCount()` instead
    `RedisTransaction` | `commandGetkeys(Handler<AsyncResult<String>> handler)` Extract keys given a full Redis command
    `rx.Observable<String>` | `commandGetkeysObservable()` Deprecated. use `rxCommandGetkeys()` instead
    `RedisTransaction` | `commandInfo(List<String> commands, Handler<AsyncResult<String>> handler)` Get array of specific Redis command details
    `rx.Observable<String>` | `commandInfoObservable(List<String> commands)` Deprecated. use `rxCommandInfo(java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `commandObservable()` Deprecated. use `rxCommand()` instead
    `RedisTransaction` | `configGet(String parameter, Handler<AsyncResult<String>> handler)` Get the value of a configuration parameter
    `rx.Observable<String>` | `configGetObservable(String parameter)` Deprecated. use `rxConfigGet(java.lang.String)` instead
    `RedisTransaction` | `configResetstat(Handler<AsyncResult<String>> handler)` Reset the stats returned by INFO
    `rx.Observable<String>` | `configResetstatObservable()` Deprecated. use `rxConfigResetstat()` instead
    `RedisTransaction` | `configRewrite(Handler<AsyncResult<String>> handler)` Rewrite the configuration file with the in memory configuration
    `rx.Observable<String>` | `configRewriteObservable()` Deprecated. use `rxConfigRewrite()` instead
    `RedisTransaction` | `configSet(String parameter, String value, Handler<AsyncResult<String>> handler)` Set a configuration parameter to the given value
    `rx.Observable<String>` | `configSetObservable(String parameter, String value)` Deprecated. use `rxConfigSet(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `dbsize(Handler<AsyncResult<String>> handler)` Return the number of keys in the selected database
    `rx.Observable<String>` | `dbsizeObservable()` Deprecated. use `rxDbsize()` instead
    `RedisTransaction` | `debugObject(String key, Handler<AsyncResult<String>> handler)` Get debugging information about a key
    `rx.Observable<String>` | `debugObjectObservable(String key)` Deprecated. use `rxDebugObject(java.lang.String)` instead
    `RedisTransaction` | `debugSegfault(Handler<AsyncResult<String>> handler)` Make the server crash
    `rx.Observable<String>` | `debugSegfaultObservable()` Deprecated. use `rxDebugSegfault()` instead
    `RedisTransaction` | `decr(String key, Handler<AsyncResult<String>> handler)` Decrement the integer value of a key by one
    `RedisTransaction` | `decrby(String key, long decrement, Handler<AsyncResult<String>> handler)` Decrement the integer value of a key by the given number
    `rx.Observable<String>` | `decrbyObservable(String key, long decrement)` Deprecated. use `rxDecrby(java.lang.String, long)` instead
    `rx.Observable<String>` | `decrObservable(String key)` Deprecated. use `rxDecr(java.lang.String)` instead
    `RedisTransaction` | `del(String key, Handler<AsyncResult<String>> handler)` Delete a key
    `RedisTransaction` | `delMany(List<String> keys, Handler<AsyncResult<String>> handler)` Delete many keys
    `rx.Observable<String>` | `delManyObservable(List<String> keys)` Deprecated. use `rxDelMany(java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `delObservable(String key)` Deprecated. use `rxDel(java.lang.String)` instead
    `RedisTransaction` | `discard(Handler<AsyncResult<String>> handler)` Discard all commands issued after MULTI
    `rx.Observable<String>` | `discardObservable()` Deprecated. use `rxDiscard()` instead
    `RedisTransaction` | `dump(String key, Handler<AsyncResult<String>> handler)` Return a serialized version of the value stored at the specified key.
    `rx.Observable<String>` | `dumpObservable(String key)` Deprecated. use `rxDump(java.lang.String)` instead
    `RedisTransaction` | `echo(String message, Handler<AsyncResult<String>> handler)` Echo the given string
    `rx.Observable<String>` | `echoObservable(String message)` Deprecated. use `rxEcho(java.lang.String)` instead
    `RedisTransaction` | `eval(String script, List<String> keys, List<String> args, Handler<AsyncResult<String>> handler)` Execute a Lua script server side.
    `rx.Observable<String>` | `evalObservable(String script, List<String> keys, List<String> args)` Deprecated. use `rxEval(java.lang.String, java.util.List<java.lang.String>, java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `evalsha(String sha1, List<String> keys, List<String> values, Handler<AsyncResult<String>> handler)` Execute a Lua script server side.
    `rx.Observable<String>` | `evalshaObservable(String sha1, List<String> keys, List<String> values)` Deprecated. use `rxEvalsha(java.lang.String, java.util.List<java.lang.String>, java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `exec(Handler<AsyncResult<JsonArray>> handler)` Execute all commands issued after MULTI
    `rx.Observable<JsonArray>` | `execObservable()` Deprecated. use `rxExec()` instead
    `RedisTransaction` | `exists(String key, Handler<AsyncResult<String>> handler)` Determine if a key exists
    `rx.Observable<String>` | `existsObservable(String key)` Deprecated. use `rxExists(java.lang.String)` instead
    `RedisTransaction` | `expire(String key, int seconds, Handler<AsyncResult<String>> handler)` Set a key's time to live in seconds
    `RedisTransaction` | `expireat(String key, long seconds, Handler<AsyncResult<String>> handler)` Set the expiration for a key as a UNIX timestamp
    `rx.Observable<String>` | `expireatObservable(String key, long seconds)` Deprecated. use `rxExpireat(java.lang.String, long)` instead
    `rx.Observable<String>` | `expireObservable(String key, int seconds)` Deprecated. use `rxExpire(java.lang.String, int)` instead
    `RedisTransaction` | `flushall(Handler<AsyncResult<String>> handler)` Remove all keys from all databases
    `rx.Observable<String>` | `flushallObservable()` Deprecated. use `rxFlushall()` instead
    `RedisTransaction` | `flushdb(Handler<AsyncResult<String>> handler)` Remove all keys from the current database
    `rx.Observable<String>` | `flushdbObservable()` Deprecated. use `rxFlushdb()` instead
    `RedisTransaction` | `geoadd(String key, double longitude, double latitude, String member, Handler<AsyncResult<String>> handler)` Add one or more geospatial items in the geospatial index represented using a sorted set.
    `RedisTransaction` | `geoaddMany(String key, List<GeoMember> members, Handler<AsyncResult<String>> handler)` Add one or more geospatial items in the geospatial index represented using a sorted set.
    `rx.Observable<String>` | `geoaddManyObservable(String key, List<GeoMember> members)` Deprecated. use `rxGeoaddMany(java.lang.String, java.util.List<io.vertx.redis.op.GeoMember>)` instead
    `rx.Observable<String>` | `geoaddObservable(String key, double longitude, double latitude, String member)` Deprecated. use `rxGeoadd(java.lang.String, double, double, java.lang.String)` instead
    `RedisTransaction` | `geodist(String key, String member1, String member2, Handler<AsyncResult<String>> handler)` Return the distance between two members in the geospatial index represented by the sorted set.
    `rx.Observable<String>` | `geodistObservable(String key, String member1, String member2)` Deprecated. use `rxGeodist(java.lang.String, java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `geodistWithUnit(String key, String member1, String member2, GeoUnit unit, Handler<AsyncResult<String>> handler)` Return the distance between two members in the geospatial index represented by the sorted set.
    `rx.Observable<String>` | `geodistWithUnitObservable(String key, String member1, String member2, GeoUnit unit)` Deprecated. use `rxGeodistWithUnit(java.lang.String, java.lang.String, java.lang.String, io.vertx.redis.op.GeoUnit)` instead
    `RedisTransaction` | `geohash(String key, String member, Handler<AsyncResult<String>> handler)` Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
    `RedisTransaction` | `geohashMany(String key, List<String> members, Handler<AsyncResult<String>> handler)` Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
    `rx.Observable<String>` | `geohashManyObservable(String key, List<String> members)` Deprecated. use `rxGeohashMany(java.lang.String, java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `geohashObservable(String key, String member)` Deprecated. use `rxGeohash(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `geopos(String key, String member, Handler<AsyncResult<String>> handler)` Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
    `RedisTransaction` | `geoposMany(String key, List<String> members, Handler<AsyncResult<String>> handler)` Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
    `rx.Observable<String>` | `geoposManyObservable(String key, List<String> members)` Deprecated. use `rxGeoposMany(java.lang.String, java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `geoposObservable(String key, String member)` Deprecated. use `rxGeopos(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `georadius(String key, double longitude, double latitude, double radius, GeoUnit unit, Handler<AsyncResult<String>> handler)` Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
    `RedisTransaction` | `georadiusbymember(String key, String member, double radius, GeoUnit unit, Handler<AsyncResult<String>> handler)` This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
    `rx.Observable<String>` | `georadiusbymemberObservable(String key, String member, double radius, GeoUnit unit)` Deprecated. use `rxGeoradiusbymember(java.lang.String, java.lang.String, double, io.vertx.redis.op.GeoUnit)` instead
    `RedisTransaction` | `georadiusbymemberWithOptions(String key, String member, double radius, GeoUnit unit, GeoRadiusOptions options, Handler<AsyncResult<String>> handler)` This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
    `rx.Observable<String>` | `georadiusbymemberWithOptionsObservable(String key, String member, double radius, GeoUnit unit, GeoRadiusOptions options)` Deprecated. use `rxGeoradiusbymemberWithOptions(java.lang.String, java.lang.String, double, io.vertx.redis.op.GeoUnit, io.vertx.redis.op.GeoRadiusOptions)` instead
    `rx.Observable<String>` | `georadiusObservable(String key, double longitude, double latitude, double radius, GeoUnit unit)` Deprecated. use `rxGeoradius(java.lang.String, double, double, double, io.vertx.redis.op.GeoUnit)` instead
    `RedisTransaction` | `georadiusWithOptions(String key, double longitude, double latitude, double radius, GeoUnit unit, GeoRadiusOptions options, Handler<AsyncResult<String>> handler)` Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
    `rx.Observable<String>` | `georadiusWithOptionsObservable(String key, double longitude, double latitude, double radius, GeoUnit unit, GeoRadiusOptions options)` Deprecated. use `rxGeoradiusWithOptions(java.lang.String, double, double, double, io.vertx.redis.op.GeoUnit, io.vertx.redis.op.GeoRadiusOptions)` instead
    `RedisTransaction` | `get(String key, Handler<AsyncResult<String>> handler)` Get the value of a key
    `RedisTransaction` | `getBinary(String key, Handler<AsyncResult<String>> handler)` Get the value of a key - without decoding as utf-8
    `rx.Observable<String>` | `getBinaryObservable(String key)` Deprecated. use `rxGetBinary(java.lang.String)` instead
    `RedisTransaction` | `getbit(String key, long offset, Handler<AsyncResult<String>> handler)` Returns the bit value at offset in the string value stored at key
    `rx.Observable<String>` | `getbitObservable(String key, long offset)` Deprecated. use `rxGetbit(java.lang.String, long)` instead
    `RedisTransaction` | `getDelegate()`
    `rx.Observable<String>` | `getObservable(String key)` Deprecated. use `rxGet(java.lang.String)` instead
    `RedisTransaction` | `getrange(String key, long start, long end, Handler<AsyncResult<String>> handler)` Get a substring of the string stored at a key
    `rx.Observable<String>` | `getrangeObservable(String key, long start, long end)` Deprecated. use `rxGetrange(java.lang.String, long, long)` instead
    `RedisTransaction` | `getset(String key, String value, Handler<AsyncResult<String>> handler)` Set the string value of a key and return its old value
    `rx.Observable<String>` | `getsetObservable(String key, String value)` Deprecated. use `rxGetset(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `hdel(String key, String field, Handler<AsyncResult<String>> handler)` Delete one or more hash fields
    `RedisTransaction` | `hdelMany(String key, List<String> fields, Handler<AsyncResult<String>> handler)` Delete one or more hash fields
    `rx.Observable<String>` | `hdelManyObservable(String key, List<String> fields)` Deprecated. use `rxHdelMany(java.lang.String, java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `hdelObservable(String key, String field)` Deprecated. use `rxHdel(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `hexists(String key, String field, Handler<AsyncResult<String>> handler)` Determine if a hash field exists
    `rx.Observable<String>` | `hexistsObservable(String key, String field)` Deprecated. use `rxHexists(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `hget(String key, String field, Handler<AsyncResult<String>> handler)` Get the value of a hash field
    `RedisTransaction` | `hgetall(String key, Handler<AsyncResult<String>> handler)` Get all the fields and values in a hash
    `rx.Observable<String>` | `hgetallObservable(String key)` Deprecated. use `rxHgetall(java.lang.String)` instead
    `rx.Observable<String>` | `hgetObservable(String key, String field)` Deprecated. use `rxHget(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `hincrby(String key, String field, long increment, Handler<AsyncResult<String>> handler)` Increment the integer value of a hash field by the given number
    `RedisTransaction` | `hincrbyfloat(String key, String field, double increment, Handler<AsyncResult<String>> handler)` Increment the float value of a hash field by the given amount
    `rx.Observable<String>` | `hincrbyfloatObservable(String key, String field, double increment)` Deprecated. use `rxHincrbyfloat(java.lang.String, java.lang.String, double)` instead
    `rx.Observable<String>` | `hincrbyObservable(String key, String field, long increment)` Deprecated. use `rxHincrby(java.lang.String, java.lang.String, long)` instead
    `RedisTransaction` | `hkeys(String key, Handler<AsyncResult<String>> handler)` Get all the fields in a hash
    `rx.Observable<String>` | `hkeysObservable(String key)` Deprecated. use `rxHkeys(java.lang.String)` instead
    `RedisTransaction` | `hlen(String key, Handler<AsyncResult<String>> handler)` Get the number of fields in a hash
    `rx.Observable<String>` | `hlenObservable(String key)` Deprecated. use `rxHlen(java.lang.String)` instead
    `RedisTransaction` | `hmget(String key, List<String> fields, Handler<AsyncResult<String>> handler)` Get the values of all the given hash fields
    `rx.Observable<String>` | `hmgetObservable(String key, List<String> fields)` Deprecated. use `rxHmget(java.lang.String, java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `hmset(String key, JsonObject values, Handler<AsyncResult<String>> handler)` Set multiple hash fields to multiple values
    `rx.Observable<String>` | `hmsetObservable(String key, JsonObject values)` Deprecated. use `rxHmset(java.lang.String, io.vertx.core.json.JsonObject)` instead
    `RedisTransaction` | `hscan(String key, String cursor, ScanOptions options, Handler<AsyncResult<String>> handler)` Incrementally iterate hash fields and associated values
    `rx.Observable<String>` | `hscanObservable(String key, String cursor, ScanOptions options)` Deprecated. use `rxHscan(java.lang.String, java.lang.String, io.vertx.redis.op.ScanOptions)` instead
    `RedisTransaction` | `hset(String key, String field, String value, Handler<AsyncResult<String>> handler)` Set the string value of a hash field
    `RedisTransaction` | `hsetnx(String key, String field, String value, Handler<AsyncResult<String>> handler)` Set the value of a hash field, only if the field does not exist
    `rx.Observable<String>` | `hsetnxObservable(String key, String field, String value)` Deprecated. use `rxHsetnx(java.lang.String, java.lang.String, java.lang.String)` instead
    `rx.Observable<String>` | `hsetObservable(String key, String field, String value)` Deprecated. use `rxHset(java.lang.String, java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `hvals(String key, Handler<AsyncResult<String>> handler)` Get all the values in a hash
    `rx.Observable<String>` | `hvalsObservable(String key)` Deprecated. use `rxHvals(java.lang.String)` instead
    `RedisTransaction` | `incr(String key, Handler<AsyncResult<String>> handler)` Increment the integer value of a key by one
    `RedisTransaction` | `incrby(String key, long increment, Handler<AsyncResult<String>> handler)` Increment the integer value of a key by the given amount
    `RedisTransaction` | `incrbyfloat(String key, double increment, Handler<AsyncResult<String>> handler)` Increment the float value of a key by the given amount
    `rx.Observable<String>` | `incrbyfloatObservable(String key, double increment)` Deprecated. use `rxIncrbyfloat(java.lang.String, double)` instead
    `rx.Observable<String>` | `incrbyObservable(String key, long increment)` Deprecated. use `rxIncrby(java.lang.String, long)` instead
    `rx.Observable<String>` | `incrObservable(String key)` Deprecated. use `rxIncr(java.lang.String)` instead
    `RedisTransaction` | `info(Handler<AsyncResult<String>> handler)` Get information and statistics about the server
    `rx.Observable<String>` | `infoObservable()` Deprecated. use `rxInfo()` instead
    `RedisTransaction` | `infoSection(String section, Handler<AsyncResult<String>> handler)` Get information and statistics about the server
    `rx.Observable<String>` | `infoSectionObservable(String section)` Deprecated. use `rxInfoSection(java.lang.String)` instead
    `RedisTransaction` | `keys(String pattern, Handler<AsyncResult<String>> handler)` Find all keys matching the given pattern
    `rx.Observable<String>` | `keysObservable(String pattern)` Deprecated. use `rxKeys(java.lang.String)` instead
    `RedisTransaction` | `lastsave(Handler<AsyncResult<String>> handler)` Get the UNIX time stamp of the last successful save to disk
    `rx.Observable<String>` | `lastsaveObservable()` Deprecated. use `rxLastsave()` instead
    `RedisTransaction` | `lindex(String key, int index, Handler<AsyncResult<String>> handler)` Get an element from a list by its index
    `rx.Observable<String>` | `lindexObservable(String key, int index)` Deprecated. use `rxLindex(java.lang.String, int)` instead
    `RedisTransaction` | `linsert(String key, InsertOptions option, String pivot, String value, Handler<AsyncResult<String>> handler)` Insert an element before or after another element in a list
    `rx.Observable<String>` | `linsertObservable(String key, InsertOptions option, String pivot, String value)` Deprecated. use `rxLinsert(java.lang.String, io.vertx.redis.op.InsertOptions, java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `llen(String key, Handler<AsyncResult<String>> handler)` Get the length of a list
    `rx.Observable<String>` | `llenObservable(String key)` Deprecated. use `rxLlen(java.lang.String)` instead
    `RedisTransaction` | `lpop(String key, Handler<AsyncResult<String>> handler)` Remove and get the first element in a list
    `rx.Observable<String>` | `lpopObservable(String key)` Deprecated. use `rxLpop(java.lang.String)` instead
    `RedisTransaction` | `lpush(String key, String value, Handler<AsyncResult<String>> handler)` Prepend one value to a list
    `RedisTransaction` | `lpushMany(String key, List<String> values, Handler<AsyncResult<String>> handler)` Prepend one or multiple values to a list
    `rx.Observable<String>` | `lpushManyObservable(String key, List<String> values)` Deprecated. use `rxLpushMany(java.lang.String, java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `lpushObservable(String key, String value)` Deprecated. use `rxLpush(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `lpushx(String key, String value, Handler<AsyncResult<String>> handler)` Prepend a value to a list, only if the list exists
    `rx.Observable<String>` | `lpushxObservable(String key, String value)` Deprecated. use `rxLpushx(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `lrange(String key, long from, long to, Handler<AsyncResult<String>> handler)` Get a range of elements from a list
    `rx.Observable<String>` | `lrangeObservable(String key, long from, long to)` Deprecated. use `rxLrange(java.lang.String, long, long)` instead
    `RedisTransaction` | `lrem(String key, long count, String value, Handler<AsyncResult<String>> handler)` Remove elements from a list
    `rx.Observable<String>` | `lremObservable(String key, long count, String value)` Deprecated. use `rxLrem(java.lang.String, long, java.lang.String)` instead
    `RedisTransaction` | `lset(String key, long index, String value, Handler<AsyncResult<String>> handler)` Set the value of an element in a list by its index
    `rx.Observable<String>` | `lsetObservable(String key, long index, String value)` Deprecated. use `rxLset(java.lang.String, long, java.lang.String)` instead
    `RedisTransaction` | `ltrim(String key, long from, long to, Handler<AsyncResult<String>> handler)` Trim a list to the specified range
    `rx.Observable<String>` | `ltrimObservable(String key, long from, long to)` Deprecated. use `rxLtrim(java.lang.String, long, long)` instead
    `RedisTransaction` | `mget(String key, Handler<AsyncResult<String>> handler)` Get the value of the given key
    `RedisTransaction` | `mgetMany(List<String> keys, Handler<AsyncResult<String>> handler)` Get the values of all the given keys
    `rx.Observable<String>` | `mgetManyObservable(List<String> keys)` Deprecated. use `rxMgetMany(java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `mgetObservable(String key)` Deprecated. use `rxMget(java.lang.String)` instead
    `RedisTransaction` | `migrate(String host, int port, String key, int destdb, long timeout, MigrateOptions options, Handler<AsyncResult<String>> handler)` Atomically transfer a key from a Redis instance to another one.
    `rx.Observable<String>` | `migrateObservable(String host, int port, String key, int destdb, long timeout, MigrateOptions options)` Deprecated. use `rxMigrate(java.lang.String, int, java.lang.String, int, long, io.vertx.redis.op.MigrateOptions)` instead
    `RedisTransaction` | `monitor(Handler<AsyncResult<String>> handler)` Listen for all requests received by the server in real time
    `rx.Observable<String>` | `monitorObservable()` Deprecated. use `rxMonitor()` instead
    `RedisTransaction` | `move(String key, int destdb, Handler<AsyncResult<String>> handler)` Move a key to another database
    `rx.Observable<String>` | `moveObservable(String key, int destdb)` Deprecated. use `rxMove(java.lang.String, int)` instead
    `RedisTransaction` | `mset(JsonObject keyvals, Handler<AsyncResult<String>> handler)` Set multiple keys to multiple values
    `RedisTransaction` | `msetnx(JsonObject keyvals, Handler<AsyncResult<String>> handler)` Set multiple keys to multiple values, only if none of the keys exist
    `rx.Observable<String>` | `msetnxObservable(JsonObject keyvals)` Deprecated. use `rxMsetnx(io.vertx.core.json.JsonObject)` instead
    `rx.Observable<String>` | `msetObservable(JsonObject keyvals)` Deprecated. use `rxMset(io.vertx.core.json.JsonObject)` instead
    `RedisTransaction` | `multi(Handler<AsyncResult<String>> handler)` Mark the start of a RedisTransaction block
    `rx.Observable<String>` | `multiObservable()` Deprecated. use `rxMulti()` instead
    `static RedisTransaction` | `newInstance(RedisTransaction arg)`
    `RedisTransaction` | `object(String key, ObjectCmd cmd, Handler<AsyncResult<String>> handler)` Inspect the internals of Redis objects
    `rx.Observable<String>` | `objectObservable(String key, ObjectCmd cmd)` Deprecated. use `rxObject(java.lang.String, io.vertx.redis.op.ObjectCmd)` instead
    `RedisTransaction` | `persist(String key, Handler<AsyncResult<String>> handler)` Remove the expiration from a key
    `rx.Observable<String>` | `persistObservable(String key)` Deprecated. use `rxPersist(java.lang.String)` instead
    `RedisTransaction` | `pexpire(String key, long millis, Handler<AsyncResult<String>> handler)` Set a key's time to live in milliseconds
    `RedisTransaction` | `pexpireat(String key, long millis, Handler<AsyncResult<String>> handler)` Set the expiration for a key as a UNIX timestamp specified in milliseconds
    `rx.Observable<String>` | `pexpireatObservable(String key, long millis)` Deprecated. use `rxPexpireat(java.lang.String, long)` instead
    `rx.Observable<String>` | `pexpireObservable(String key, long millis)` Deprecated. use `rxPexpire(java.lang.String, long)` instead
    `RedisTransaction` | `pfadd(String key, String element, Handler<AsyncResult<String>> handler)` Adds the specified element to the specified HyperLogLog.
    `RedisTransaction` | `pfaddMany(String key, List<String> elements, Handler<AsyncResult<String>> handler)` Adds the specified elements to the specified HyperLogLog.
    `rx.Observable<String>` | `pfaddManyObservable(String key, List<String> elements)` Deprecated. use `rxPfaddMany(java.lang.String, java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `pfaddObservable(String key, String element)` Deprecated. use `rxPfadd(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `pfcount(String key, Handler<AsyncResult<String>> handler)` Return the approximated cardinality of the set observed by the HyperLogLog at key.
    `RedisTransaction` | `pfcountMany(List<String> keys, Handler<AsyncResult<String>> handler)` Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
    `rx.Observable<String>` | `pfcountManyObservable(List<String> keys)` Deprecated. use `rxPfcountMany(java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `pfcountObservable(String key)` Deprecated. use `rxPfcount(java.lang.String)` instead
    `RedisTransaction` | `pfmerge(String destkey, List<String> keys, Handler<AsyncResult<String>> handler)` Merge N different HyperLogLogs into a single one.
    `rx.Observable<String>` | `pfmergeObservable(String destkey, List<String> keys)` Deprecated. use `rxPfmerge(java.lang.String, java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `ping(Handler<AsyncResult<String>> handler)` Ping the server
    `rx.Observable<String>` | `pingObservable()` Deprecated. use `rxPing()` instead
    `RedisTransaction` | `psetex(String key, long millis, String value, Handler<AsyncResult<String>> handler)` Set the value and expiration in milliseconds of a key
    `rx.Observable<String>` | `psetexObservable(String key, long millis, String value)` Deprecated. use `rxPsetex(java.lang.String, long, java.lang.String)` instead
    `RedisTransaction` | `psubscribe(String pattern, Handler<AsyncResult<String>> handler)` Listen for messages published to channels matching the given pattern
    `RedisTransaction` | `psubscribeMany(List<String> patterns, Handler<AsyncResult<String>> handler)` Listen for messages published to channels matching the given patterns
    `rx.Observable<String>` | `psubscribeManyObservable(List<String> patterns)` Deprecated. use `rxPsubscribeMany(java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `psubscribeObservable(String pattern)` Deprecated. use `rxPsubscribe(java.lang.String)` instead
    `RedisTransaction` | `pttl(String key, Handler<AsyncResult<String>> handler)` Get the time to live for a key in milliseconds
    `rx.Observable<String>` | `pttlObservable(String key)` Deprecated. use `rxPttl(java.lang.String)` instead
    `RedisTransaction` | `publish(String channel, String message, Handler<AsyncResult<String>> handler)` Post a message to a channel
    `rx.Observable<String>` | `publishObservable(String channel, String message)` Deprecated. use `rxPublish(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `pubsubChannels(String pattern, Handler<AsyncResult<String>> handler)` Lists the currently active channels - only those matching the pattern
    `rx.Observable<String>` | `pubsubChannelsObservable(String pattern)` Deprecated. use `rxPubsubChannels(java.lang.String)` instead
    `RedisTransaction` | `pubsubNumpat(Handler<AsyncResult<String>> handler)` Returns the number of subscriptions to patterns (that are performed using the PSUBSCRIBE command)
    `rx.Observable<String>` | `pubsubNumpatObservable()` Deprecated. use `rxPubsubNumpat()` instead
    `RedisTransaction` | `pubsubNumsub(List<String> channels, Handler<AsyncResult<String>> handler)` Returns the number of subscribers (not counting clients subscribed to patterns) for the specified channels
    `rx.Observable<String>` | `pubsubNumsubObservable(List<String> channels)` Deprecated. use `rxPubsubNumsub(java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `punsubscribe(List<String> patterns, Handler<AsyncResult<String>> handler)` Stop listening for messages posted to channels matching the given patterns
    `rx.Observable<String>` | `punsubscribeObservable(List<String> patterns)` Deprecated. use `rxPunsubscribe(java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `randomkey(Handler<AsyncResult<String>> handler)` Return a random key from the keyspace
    `rx.Observable<String>` | `randomkeyObservable()` Deprecated. use `rxRandomkey()` instead
    `RedisTransaction` | `rename(String key, String newkey, Handler<AsyncResult<String>> handler)` Rename a key
    `RedisTransaction` | `renamenx(String key, String newkey, Handler<AsyncResult<String>> handler)` Rename a key, only if the new key does not exist
    `rx.Observable<String>` | `renamenxObservable(String key, String newkey)` Deprecated. use `rxRenamenx(java.lang.String, java.lang.String)` instead
    `rx.Observable<String>` | `renameObservable(String key, String newkey)` Deprecated. use `rxRename(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `restore(String key, long millis, String serialized, Handler<AsyncResult<String>> handler)` Create a key using the provided serialized value, previously obtained using DUMP.
    `rx.Observable<String>` | `restoreObservable(String key, long millis, String serialized)` Deprecated. use `rxRestore(java.lang.String, long, java.lang.String)` instead
    `RedisTransaction` | `role(Handler<AsyncResult<String>> handler)` Return the role of the instance in the context of replication
    `rx.Observable<String>` | `roleObservable()` Deprecated. use `rxRole()` instead
    `RedisTransaction` | `rpop(String key, Handler<AsyncResult<String>> handler)` Remove and get the last element in a list
    `RedisTransaction` | `rpoplpush(String key, String destkey, Handler<AsyncResult<String>> handler)` Remove the last element in a list, append it to another list and return it
    `rx.Observable<String>` | `rpoplpushObservable(String key, String destkey)` Deprecated. use `rxRpoplpush(java.lang.String, java.lang.String)` instead
    `rx.Observable<String>` | `rpopObservable(String key)` Deprecated. use `rxRpop(java.lang.String)` instead
    `RedisTransaction` | `rpush(String key, String value, Handler<AsyncResult<String>> handler)` Append one or multiple values to a list
    `RedisTransaction` | `rpushMany(String key, List<String> values, Handler<AsyncResult<String>> handler)` Append one or multiple values to a list
    `rx.Observable<String>` | `rpushManyObservable(String key, List<String> values)` Deprecated. use `rxRpushMany(java.lang.String, java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `rpushObservable(String key, String value)` Deprecated. use `rxRpush(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `rpushx(String key, String value, Handler<AsyncResult<String>> handler)` Append a value to a list, only if the list exists
    `rx.Observable<String>` | `rpushxObservable(String key, String value)` Deprecated. use `rxRpushx(java.lang.String, java.lang.String)` instead
    `rx.Single<String>` | `rxAppend(String key, String value)` Append a value to a key
    `rx.Single<String>` | `rxAuth(String password)` Authenticate to the server
    `rx.Single<String>` | `rxBgrewriteaof()` Asynchronously rewrite the append-only file
    `rx.Single<String>` | `rxBgsave()` Asynchronously save the dataset to disk
    `rx.Single<String>` | `rxBitcount(String key)` Count set bits in a string
    `rx.Single<String>` | `rxBitcountRange(String key, long start, long end)` Count set bits in a string
    `rx.Single<String>` | `rxBitop(BitOperation operation, String destkey, List<String> keys)` Perform bitwise operations between strings
    `rx.Single<String>` | `rxBitpos(String key, int bit)` Find first bit set or clear in a string
    `rx.Single<String>` | `rxBitposFrom(String key, int bit, int start)` Find first bit set or clear in a string
    `rx.Single<String>` | `rxBitposRange(String key, int bit, int start, int stop)` Find first bit set or clear in a string
    `rx.Single<String>` | `rxBlpop(String key, int seconds)` Remove and get the first element in a list, or block until one is available
    `rx.Single<String>` | `rxBlpopMany(List<String> keys, int seconds)` Remove and get the first element in any of the lists, or block until one is available
    `rx.Single<String>` | `rxBrpop(String key, int seconds)` Remove and get the last element in a list, or block until one is available
    `rx.Single<String>` | `rxBrpoplpush(String key, String destkey, int seconds)` Pop a value from a list, push it to another list and return it; or block until one is available
    `rx.Single<String>` | `rxBrpopMany(List<String> keys, int seconds)` Remove and get the last element in any of the lists, or block until one is available
    `rx.Single<String>` | `rxClientGetname()` Get the current connection name
    `rx.Single<String>` | `rxClientKill(KillFilter filter)` Kill the connection of a client
    `rx.Single<String>` | `rxClientList()` Get the list of client connections
    `rx.Single<String>` | `rxClientPause(long millis)` Stop processing commands from clients for some time
    `rx.Single<String>` | `rxClientSetname(String name)` Set the current connection name
    `rx.Single<Void>` | `rxClose()` Close the client - when it is fully closed the handler will be called.
    `rx.Single<String>` | `rxClusterAddslots(List<String> slots)` Assign new hash slots to receiving node.
    `rx.Single<String>` | `rxClusterCountFailureReports(String nodeId)` Return the number of failure reports active for a given node.
    `rx.Single<String>` | `rxClusterCountkeysinslot(long slot)` Return the number of local keys in the specified hash slot.
    `rx.Single<String>` | `rxClusterDelslots(long slot)` Set hash slots as unbound in receiving node.
    `rx.Single<String>` | `rxClusterDelslotsMany(List<String> slots)` Set hash slots as unbound in receiving node.
    `rx.Single<String>` | `rxClusterFailover()` Forces a slave to perform a manual failover of its master.
    `rx.Single<String>` | `rxClusterFailOverWithOptions(FailoverOptions options)` Forces a slave to perform a manual failover of its master.
    `rx.Single<String>` | `rxClusterForget(String nodeId)` Remove a node from the nodes table.
    `rx.Single<String>` | `rxClusterGetkeysinslot(long slot, long count)` Return local key names in the specified hash slot.
    `rx.Single<String>` | `rxClusterInfo()` Provides info about Redis Cluster node state.
    `rx.Single<String>` | `rxClusterKeyslot(String key)` Returns the hash slot of the specified key.
    `rx.Single<String>` | `rxClusterMeet(String ip, long port)` Force a node cluster to handshake with another node.
    `rx.Single<String>` | `rxClusterNodes()` Get Cluster config for the node.
    `rx.Single<String>` | `rxClusterReplicate(String nodeId)` Reconfigure a node as a slave of the specified master node.
    `rx.Single<String>` | `rxClusterReset()` Reset a Redis Cluster node.
    `rx.Single<String>` | `rxClusterResetWithOptions(ResetOptions options)` Reset a Redis Cluster node.
    `rx.Single<String>` | `rxClusterSaveconfig()` Forces the node to save cluster state on disk.
    `rx.Single<String>` | `rxClusterSetConfigEpoch(long epoch)` Set the configuration epoch in a new node.
    `rx.Single<String>` | `rxClusterSetslot(long slot, SlotCmd subcommand)` Bind an hash slot to a specific node.
    `rx.Single<String>` | `rxClusterSetslotWithNode(long slot, SlotCmd subcommand, String nodeId)` Bind an hash slot to a specific node.
    `rx.Single<String>` | `rxClusterSlaves(String nodeId)` List slave nodes of the specified master node.
    `rx.Single<String>` | `rxClusterSlots()` Get array of Cluster slot to node mappings
    `rx.Single<String>` | `rxCommand()` Get array of Redis command details
    `rx.Single<String>` | `rxCommandCount()` Get total number of Redis commands
    `rx.Single<String>` | `rxCommandGetkeys()` Extract keys given a full Redis command
    `rx.Single<String>` | `rxCommandInfo(List<String> commands)` Get array of specific Redis command details
    `rx.Single<String>` | `rxConfigGet(String parameter)` Get the value of a configuration parameter
    `rx.Single<String>` | `rxConfigResetstat()` Reset the stats returned by INFO
    `rx.Single<String>` | `rxConfigRewrite()` Rewrite the configuration file with the in memory configuration
    `rx.Single<String>` | `rxConfigSet(String parameter, String value)` Set a configuration parameter to the given value
    `rx.Single<String>` | `rxDbsize()` Return the number of keys in the selected database
    `rx.Single<String>` | `rxDebugObject(String key)` Get debugging information about a key
    `rx.Single<String>` | `rxDebugSegfault()` Make the server crash
    `rx.Single<String>` | `rxDecr(String key)` Decrement the integer value of a key by one
    `rx.Single<String>` | `rxDecrby(String key, long decrement)` Decrement the integer value of a key by the given number
    `rx.Single<String>` | `rxDel(String key)` Delete a key
    `rx.Single<String>` | `rxDelMany(List<String> keys)` Delete many keys
    `rx.Single<String>` | `rxDiscard()` Discard all commands issued after MULTI
    `rx.Single<String>` | `rxDump(String key)` Return a serialized version of the value stored at the specified key.
    `rx.Single<String>` | `rxEcho(String message)` Echo the given string
    `rx.Single<String>` | `rxEval(String script, List<String> keys, List<String> args)` Execute a Lua script server side.
    `rx.Single<String>` | `rxEvalsha(String sha1, List<String> keys, List<String> values)` Execute a Lua script server side.
    `rx.Single<JsonArray>` | `rxExec()` Execute all commands issued after MULTI
    `rx.Single<String>` | `rxExists(String key)` Determine if a key exists
    `rx.Single<String>` | `rxExpire(String key, int seconds)` Set a key's time to live in seconds
    `rx.Single<String>` | `rxExpireat(String key, long seconds)` Set the expiration for a key as a UNIX timestamp
    `rx.Single<String>` | `rxFlushall()` Remove all keys from all databases
    `rx.Single<String>` | `rxFlushdb()` Remove all keys from the current database
    `rx.Single<String>` | `rxGeoadd(String key, double longitude, double latitude, String member)` Add one or more geospatial items in the geospatial index represented using a sorted set.
    `rx.Single<String>` | `rxGeoaddMany(String key, List<GeoMember> members)` Add one or more geospatial items in the geospatial index represented using a sorted set.
    `rx.Single<String>` | `rxGeodist(String key, String member1, String member2)` Return the distance between two members in the geospatial index represented by the sorted set.
    `rx.Single<String>` | `rxGeodistWithUnit(String key, String member1, String member2, GeoUnit unit)` Return the distance between two members in the geospatial index represented by the sorted set.
    `rx.Single<String>` | `rxGeohash(String key, String member)` Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
    `rx.Single<String>` | `rxGeohashMany(String key, List<String> members)` Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
    `rx.Single<String>` | `rxGeopos(String key, String member)` Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
    `rx.Single<String>` | `rxGeoposMany(String key, List<String> members)` Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
    `rx.Single<String>` | `rxGeoradius(String key, double longitude, double latitude, double radius, GeoUnit unit)` Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
    `rx.Single<String>` | `rxGeoradiusbymember(String key, String member, double radius, GeoUnit unit)` This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
    `rx.Single<String>` | `rxGeoradiusbymemberWithOptions(String key, String member, double radius, GeoUnit unit, GeoRadiusOptions options)` This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
    `rx.Single<String>` | `rxGeoradiusWithOptions(String key, double longitude, double latitude, double radius, GeoUnit unit, GeoRadiusOptions options)` Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
    `rx.Single<String>` | `rxGet(String key)` Get the value of a key
    `rx.Single<String>` | `rxGetBinary(String key)` Get the value of a key - without decoding as utf-8
    `rx.Single<String>` | `rxGetbit(String key, long offset)` Returns the bit value at offset in the string value stored at key
    `rx.Single<String>` | `rxGetrange(String key, long start, long end)` Get a substring of the string stored at a key
    `rx.Single<String>` | `rxGetset(String key, String value)` Set the string value of a key and return its old value
    `rx.Single<String>` | `rxHdel(String key, String field)` Delete one or more hash fields
    `rx.Single<String>` | `rxHdelMany(String key, List<String> fields)` Delete one or more hash fields
    `rx.Single<String>` | `rxHexists(String key, String field)` Determine if a hash field exists
    `rx.Single<String>` | `rxHget(String key, String field)` Get the value of a hash field
    `rx.Single<String>` | `rxHgetall(String key)` Get all the fields and values in a hash
    `rx.Single<String>` | `rxHincrby(String key, String field, long increment)` Increment the integer value of a hash field by the given number
    `rx.Single<String>` | `rxHincrbyfloat(String key, String field, double increment)` Increment the float value of a hash field by the given amount
    `rx.Single<String>` | `rxHkeys(String key)` Get all the fields in a hash
    `rx.Single<String>` | `rxHlen(String key)` Get the number of fields in a hash
    `rx.Single<String>` | `rxHmget(String key, List<String> fields)` Get the values of all the given hash fields
    `rx.Single<String>` | `rxHmset(String key, JsonObject values)` Set multiple hash fields to multiple values
    `rx.Single<String>` | `rxHscan(String key, String cursor, ScanOptions options)` Incrementally iterate hash fields and associated values
    `rx.Single<String>` | `rxHset(String key, String field, String value)` Set the string value of a hash field
    `rx.Single<String>` | `rxHsetnx(String key, String field, String value)` Set the value of a hash field, only if the field does not exist
    `rx.Single<String>` | `rxHvals(String key)` Get all the values in a hash
    `rx.Single<String>` | `rxIncr(String key)` Increment the integer value of a key by one
    `rx.Single<String>` | `rxIncrby(String key, long increment)` Increment the integer value of a key by the given amount
    `rx.Single<String>` | `rxIncrbyfloat(String key, double increment)` Increment the float value of a key by the given amount
    `rx.Single<String>` | `rxInfo()` Get information and statistics about the server
    `rx.Single<String>` | `rxInfoSection(String section)` Get information and statistics about the server
    `rx.Single<String>` | `rxKeys(String pattern)` Find all keys matching the given pattern
    `rx.Single<String>` | `rxLastsave()` Get the UNIX time stamp of the last successful save to disk
    `rx.Single<String>` | `rxLindex(String key, int index)` Get an element from a list by its index
    `rx.Single<String>` | `rxLinsert(String key, InsertOptions option, String pivot, String value)` Insert an element before or after another element in a list
    `rx.Single<String>` | `rxLlen(String key)` Get the length of a list
    `rx.Single<String>` | `rxLpop(String key)` Remove and get the first element in a list
    `rx.Single<String>` | `rxLpush(String key, String value)` Prepend one value to a list
    `rx.Single<String>` | `rxLpushMany(String key, List<String> values)` Prepend one or multiple values to a list
    `rx.Single<String>` | `rxLpushx(String key, String value)` Prepend a value to a list, only if the list exists
    `rx.Single<String>` | `rxLrange(String key, long from, long to)` Get a range of elements from a list
    `rx.Single<String>` | `rxLrem(String key, long count, String value)` Remove elements from a list
    `rx.Single<String>` | `rxLset(String key, long index, String value)` Set the value of an element in a list by its index
    `rx.Single<String>` | `rxLtrim(String key, long from, long to)` Trim a list to the specified range
    `rx.Single<String>` | `rxMget(String key)` Get the value of the given key
    `rx.Single<String>` | `rxMgetMany(List<String> keys)` Get the values of all the given keys
    `rx.Single<String>` | `rxMigrate(String host, int port, String key, int destdb, long timeout, MigrateOptions options)` Atomically transfer a key from a Redis instance to another one.
    `rx.Single<String>` | `rxMonitor()` Listen for all requests received by the server in real time
    `rx.Single<String>` | `rxMove(String key, int destdb)` Move a key to another database
    `rx.Single<String>` | `rxMset(JsonObject keyvals)` Set multiple keys to multiple values
    `rx.Single<String>` | `rxMsetnx(JsonObject keyvals)` Set multiple keys to multiple values, only if none of the keys exist
    `rx.Single<String>` | `rxMulti()` Mark the start of a RedisTransaction block
    `rx.Single<String>` | `rxObject(String key, ObjectCmd cmd)` Inspect the internals of Redis objects
    `rx.Single<String>` | `rxPersist(String key)` Remove the expiration from a key
    `rx.Single<String>` | `rxPexpire(String key, long millis)` Set a key's time to live in milliseconds
    `rx.Single<String>` | `rxPexpireat(String key, long millis)` Set the expiration for a key as a UNIX timestamp specified in milliseconds
    `rx.Single<String>` | `rxPfadd(String key, String element)` Adds the specified element to the specified HyperLogLog.
    `rx.Single<String>` | `rxPfaddMany(String key, List<String> elements)` Adds the specified elements to the specified HyperLogLog.
    `rx.Single<String>` | `rxPfcount(String key)` Return the approximated cardinality of the set observed by the HyperLogLog at key.
    `rx.Single<String>` | `rxPfcountMany(List<String> keys)` Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
    `rx.Single<String>` | `rxPfmerge(String destkey, List<String> keys)` Merge N different HyperLogLogs into a single one.
    `rx.Single<String>` | `rxPing()` Ping the server
    `rx.Single<String>` | `rxPsetex(String key, long millis, String value)` Set the value and expiration in milliseconds of a key
    `rx.Single<String>` | `rxPsubscribe(String pattern)` Listen for messages published to channels matching the given pattern
    `rx.Single<String>` | `rxPsubscribeMany(List<String> patterns)` Listen for messages published to channels matching the given patterns
    `rx.Single<String>` | `rxPttl(String key)` Get the time to live for a key in milliseconds
    `rx.Single<String>` | `rxPublish(String channel, String message)` Post a message to a channel
    `rx.Single<String>` | `rxPubsubChannels(String pattern)` Lists the currently active channels - only those matching the pattern
    `rx.Single<String>` | `rxPubsubNumpat()` Returns the number of subscriptions to patterns (that are performed using the PSUBSCRIBE command)
    `rx.Single<String>` | `rxPubsubNumsub(List<String> channels)` Returns the number of subscribers (not counting clients subscribed to patterns) for the specified channels
    `rx.Single<String>` | `rxPunsubscribe(List<String> patterns)` Stop listening for messages posted to channels matching the given patterns
    `rx.Single<String>` | `rxRandomkey()` Return a random key from the keyspace
    `rx.Single<String>` | `rxRename(String key, String newkey)` Rename a key
    `rx.Single<String>` | `rxRenamenx(String key, String newkey)` Rename a key, only if the new key does not exist
    `rx.Single<String>` | `rxRestore(String key, long millis, String serialized)` Create a key using the provided serialized value, previously obtained using DUMP.
    `rx.Single<String>` | `rxRole()` Return the role of the instance in the context of replication
    `rx.Single<String>` | `rxRpop(String key)` Remove and get the last element in a list
    `rx.Single<String>` | `rxRpoplpush(String key, String destkey)` Remove the last element in a list, append it to another list and return it
    `rx.Single<String>` | `rxRpush(String key, String value)` Append one or multiple values to a list
    `rx.Single<String>` | `rxRpushMany(String key, List<String> values)` Append one or multiple values to a list
    `rx.Single<String>` | `rxRpushx(String key, String value)` Append a value to a list, only if the list exists
    `rx.Single<String>` | `rxSadd(String key, String member)` Add a member to a set
    `rx.Single<String>` | `rxSaddMany(String key, List<String> members)` Add one or more members to a set
    `rx.Single<String>` | `rxSave()` Synchronously save the dataset to disk
    `rx.Single<String>` | `rxScan(String cursor, ScanOptions options)` Incrementally iterate the keys space
    `rx.Single<String>` | `rxScard(String key)` Get the number of members in a set
    `rx.Single<String>` | `rxScriptExists(String script)` Check existence of script in the script cache.
    `rx.Single<String>` | `rxScriptExistsMany(List<String> scripts)` Check existence of scripts in the script cache.
    `rx.Single<String>` | `rxScriptFlush()` Remove all the scripts from the script cache.
    `rx.Single<String>` | `rxScriptKill()` Kill the script currently in execution.
    `rx.Single<String>` | `rxScriptLoad(String script)` Load the specified Lua script into the script cache.
    `rx.Single<String>` | `rxSdiff(String key, List<String> cmpkeys)` Subtract multiple sets
    `rx.Single<String>` | `rxSdiffstore(String destkey, String key, List<String> cmpkeys)` Subtract multiple sets and store the resulting set in a key
    `rx.Single<String>` | `rxSelect(int dbindex)` Change the selected database for the current connection
    `rx.Single<String>` | `rxSet(String key, String value)` Set the string value of a key
    `rx.Single<String>` | `rxSetBinary(String key, Buffer value)` Set the binary string value of a key - without encoding as utf-8
    `rx.Single<String>` | `rxSetBinaryWithOptions(String key, Buffer value, SetOptions options)` Set the string value of a key
    `rx.Single<String>` | `rxSetbit(String key, long offset, int bit)` Sets or clears the bit at offset in the string value stored at key
    `rx.Single<String>` | `rxSetex(String key, long seconds, String value)` Set the value and expiration of a key
    `rx.Single<String>` | `rxSetnx(String key, String value)` Set the value of a key, only if the key does not exist
    `rx.Single<String>` | `rxSetrange(String key, int offset, String value)` Overwrite part of a string at key starting at the specified offset
    `rx.Single<String>` | `rxSetWithOptions(String key, String value, SetOptions options)` Set the string value of a key
    `rx.Single<String>` | `rxSinter(List<String> keys)` Intersect multiple sets
    `rx.Single<String>` | `rxSinterstore(String destkey, List<String> keys)` Intersect multiple sets and store the resulting set in a key
    `rx.Single<String>` | `rxSismember(String key, String member)` Determine if a given value is a member of a set
    `rx.Single<String>` | `rxSlaveof(String host, int port)` Make the server a slave of another instance
    `rx.Single<String>` | `rxSlaveofNoone()` Make this server a master
    `rx.Single<String>` | `rxSlowlogGet(int limit)` Read the Redis slow queries log
    `rx.Single<String>` | `rxSlowlogLen()` Get the length of the Redis slow queries log
    `rx.Single<String>` | `rxSlowlogReset()` Reset the Redis slow queries log
    `rx.Single<JsonArray>` | `rxSmembers(String key)` Get all the members in a set
    `rx.Single<String>` | `rxSmove(String key, String destkey, String member)` Move a member from one set to another
    `rx.Single<String>` | `rxSort(String key, SortOptions options)` Sort the elements in a list, set or sorted set
    `rx.Single<String>` | `rxSpop(String key)` Remove and return a random member from a set
    `rx.Single<String>` | `rxSpopMany(String key, int count)` Remove and return random members from a set
    `rx.Single<String>` | `rxSrandmember(String key)` Get one or multiple random members from a set
    `rx.Single<String>` | `rxSrandmemberCount(String key, int count)` Get one or multiple random members from a set
    `rx.Single<String>` | `rxSrem(String key, String member)` Remove one member from a set
    `rx.Single<String>` | `rxSremMany(String key, List<String> members)` Remove one or more members from a set
    `rx.Single<String>` | `rxSscan(String key, String cursor, ScanOptions options)` Incrementally iterate Set elements
    `rx.Single<String>` | `rxStrlen(String key)` Get the length of the value stored in a key
    `rx.Single<String>` | `rxSubscribe(String channel)` Listen for messages published to the given channels
    `rx.Single<String>` | `rxSubscribeMany(List<String> channels)` Listen for messages published to the given channels
    `rx.Single<String>` | `rxSunion(List<String> keys)` Add multiple sets
    `rx.Single<String>` | `rxSunionstore(String destkey, List<String> keys)` Add multiple sets and store the resulting set in a key
    `rx.Single<String>` | `rxSync()` Internal command used for replication
    `rx.Single<String>` | `rxTime()` Return the current server time
    `rx.Single<String>` | `rxTtl(String key)` Get the time to live for a key
    `rx.Single<String>` | `rxType(String key)` Determine the type stored at key
    `rx.Single<String>` | `rxUnsubscribe(List<String> channels)` Stop listening for messages posted to the given channels
    `rx.Single<String>` | `rxUnwatch()` Forget about all watched keys
    `rx.Single<String>` | `rxWait(long numSlaves, long timeout)` Wait for the synchronous replication of all the write commands sent in the context of the current connection.
    `rx.Single<String>` | `rxWatch(String key)` Watch the given keys to determine execution of the MULTI/EXEC block
    `rx.Single<String>` | `rxWatchMany(List<String> keys)` Watch the given keys to determine execution of the MULTI/EXEC block
    `rx.Single<String>` | `rxZadd(String key, double score, String member)` Add one or more members to a sorted set, or update its score if it already exists
    `rx.Single<String>` | `rxZaddMany(String key, Map<String,Double> members)` Add one or more members to a sorted set, or update its score if it already exists
    `rx.Single<String>` | `rxZcard(String key)` Get the number of members in a sorted set
    `rx.Single<String>` | `rxZcount(String key, double min, double max)` Count the members in a sorted set with scores within the given values
    `rx.Single<String>` | `rxZincrby(String key, double increment, String member)` Increment the score of a member in a sorted set
    `rx.Single<String>` | `rxZinterstore(String destkey, List<String> sets, AggregateOptions options)` Intersect multiple sorted sets and store the resulting sorted set in a new key
    `rx.Single<String>` | `rxZinterstoreWeighed(String destkey, Map<String,Double> sets, AggregateOptions options)` Intersect multiple sorted sets and store the resulting sorted set in a new key using weights for scoring
    `rx.Single<String>` | `rxZlexcount(String key, String min, String max)` Count the number of members in a sorted set between a given lexicographical range
    `rx.Single<String>` | `rxZrange(String key, long start, long stop)` Return a range of members in a sorted set, by index
    `rx.Single<String>` | `rxZrangebylex(String key, String min, String max, LimitOptions options)` Return a range of members in a sorted set, by lexicographical range
    `rx.Single<String>` | `rxZrangebyscore(String key, String min, String max, RangeLimitOptions options)` Return a range of members in a sorted set, by score
    `rx.Single<String>` | `rxZrangeWithOptions(String key, long start, long stop, RangeOptions options)` Return a range of members in a sorted set, by index
    `rx.Single<String>` | `rxZrank(String key, String member)` Determine the index of a member in a sorted set
    `rx.Single<String>` | `rxZrem(String key, String member)` Remove one member from a sorted set
    `rx.Single<String>` | `rxZremMany(String key, List<String> members)` Remove one or more members from a sorted set
    `rx.Single<String>` | `rxZremrangebylex(String key, String min, String max)` Remove all members in a sorted set between the given lexicographical range
    `rx.Single<String>` | `rxZremrangebyrank(String key, long start, long stop)` Remove all members in a sorted set within the given indexes
    `rx.Single<String>` | `rxZremrangebyscore(String key, String min, String max)` Remove all members in a sorted set within the given scores
    `rx.Single<String>` | `rxZrevrange(String key, long start, long stop, RangeOptions options)` Return a range of members in a sorted set, by index, with scores ordered from high to low
    `rx.Single<String>` | `rxZrevrangebylex(String key, String max, String min, LimitOptions options)` Return a range of members in a sorted set, by score, between the given lexicographical range with scores ordered from high to low
    `rx.Single<String>` | `rxZrevrangebyscore(String key, String max, String min, RangeLimitOptions options)` Return a range of members in a sorted set, by score, with scores ordered from high to low
    `rx.Single<String>` | `rxZrevrank(String key, String member)` Determine the index of a member in a sorted set, with scores ordered from high to low
    `rx.Single<String>` | `rxZscan(String key, String cursor, ScanOptions options)` Incrementally iterate sorted sets elements and associated scores
    `rx.Single<String>` | `rxZscore(String key, String member)` Get the score associated with the given member in a sorted set
    `rx.Single<String>` | `rxZunionstore(String destkey, List<String> sets, AggregateOptions options)` Add multiple sorted sets and store the resulting sorted set in a new key
    `rx.Single<String>` | `rxZunionstoreWeighed(String key, Map<String,Double> sets, AggregateOptions options)` Add multiple sorted sets using weights, and store the resulting sorted set in a new key
    `RedisTransaction` | `sadd(String key, String member, Handler<AsyncResult<String>> handler)` Add a member to a set
    `RedisTransaction` | `saddMany(String key, List<String> members, Handler<AsyncResult<String>> handler)` Add one or more members to a set
    `rx.Observable<String>` | `saddManyObservable(String key, List<String> members)` Deprecated. use `rxSaddMany(java.lang.String, java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `saddObservable(String key, String member)` Deprecated. use `rxSadd(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `save(Handler<AsyncResult<String>> handler)` Synchronously save the dataset to disk
    `rx.Observable<String>` | `saveObservable()` Deprecated. use `rxSave()` instead
    `RedisTransaction` | `scan(String cursor, ScanOptions options, Handler<AsyncResult<String>> handler)` Incrementally iterate the keys space
    `rx.Observable<String>` | `scanObservable(String cursor, ScanOptions options)` Deprecated. use `rxScan(java.lang.String, io.vertx.redis.op.ScanOptions)` instead
    `RedisTransaction` | `scard(String key, Handler<AsyncResult<String>> handler)` Get the number of members in a set
    `rx.Observable<String>` | `scardObservable(String key)` Deprecated. use `rxScard(java.lang.String)` instead
    `RedisTransaction` | `scriptExists(String script, Handler<AsyncResult<String>> handler)` Check existence of script in the script cache.
    `RedisTransaction` | `scriptExistsMany(List<String> scripts, Handler<AsyncResult<String>> handler)` Check existence of scripts in the script cache.
    `rx.Observable<String>` | `scriptExistsManyObservable(List<String> scripts)` Deprecated. use `rxScriptExistsMany(java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `scriptExistsObservable(String script)` Deprecated. use `rxScriptExists(java.lang.String)` instead
    `RedisTransaction` | `scriptFlush(Handler<AsyncResult<String>> handler)` Remove all the scripts from the script cache.
    `rx.Observable<String>` | `scriptFlushObservable()` Deprecated. use `rxScriptFlush()` instead
    `RedisTransaction` | `scriptKill(Handler<AsyncResult<String>> handler)` Kill the script currently in execution.
    `rx.Observable<String>` | `scriptKillObservable()` Deprecated. use `rxScriptKill()` instead
    `RedisTransaction` | `scriptLoad(String script, Handler<AsyncResult<String>> handler)` Load the specified Lua script into the script cache.
    `rx.Observable<String>` | `scriptLoadObservable(String script)` Deprecated. use `rxScriptLoad(java.lang.String)` instead
    `RedisTransaction` | `sdiff(String key, List<String> cmpkeys, Handler<AsyncResult<String>> handler)` Subtract multiple sets
    `rx.Observable<String>` | `sdiffObservable(String key, List<String> cmpkeys)` Deprecated. use `rxSdiff(java.lang.String, java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `sdiffstore(String destkey, String key, List<String> cmpkeys, Handler<AsyncResult<String>> handler)` Subtract multiple sets and store the resulting set in a key
    `rx.Observable<String>` | `sdiffstoreObservable(String destkey, String key, List<String> cmpkeys)` Deprecated. use `rxSdiffstore(java.lang.String, java.lang.String, java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `select(int dbindex, Handler<AsyncResult<String>> handler)` Change the selected database for the current connection
    `rx.Observable<String>` | `selectObservable(int dbindex)` Deprecated. use `rxSelect(int)` instead
    `RedisTransaction` | `set(String key, String value, Handler<AsyncResult<String>> handler)` Set the string value of a key
    `RedisTransaction` | `setBinary(String key, Buffer value, Handler<AsyncResult<String>> handler)` Set the binary string value of a key - without encoding as utf-8
    `rx.Observable<String>` | `setBinaryObservable(String key, Buffer value)` Deprecated. use `rxSetBinary(java.lang.String, io.vertx.rxjava.core.buffer.Buffer)` instead
    `RedisTransaction` | `setBinaryWithOptions(String key, Buffer value, SetOptions options, Handler<AsyncResult<String>> handler)` Set the string value of a key
    `rx.Observable<String>` | `setBinaryWithOptionsObservable(String key, Buffer value, SetOptions options)` Deprecated. use `rxSetBinaryWithOptions(java.lang.String, io.vertx.rxjava.core.buffer.Buffer, io.vertx.redis.op.SetOptions)` instead
    `RedisTransaction` | `setbit(String key, long offset, int bit, Handler<AsyncResult<String>> handler)` Sets or clears the bit at offset in the string value stored at key
    `rx.Observable<String>` | `setbitObservable(String key, long offset, int bit)` Deprecated. use `rxSetbit(java.lang.String, long, int)` instead
    `RedisTransaction` | `setex(String key, long seconds, String value, Handler<AsyncResult<String>> handler)` Set the value and expiration of a key
    `rx.Observable<String>` | `setexObservable(String key, long seconds, String value)` Deprecated. use `rxSetex(java.lang.String, long, java.lang.String)` instead
    `RedisTransaction` | `setnx(String key, String value, Handler<AsyncResult<String>> handler)` Set the value of a key, only if the key does not exist
    `rx.Observable<String>` | `setnxObservable(String key, String value)` Deprecated. use `rxSetnx(java.lang.String, java.lang.String)` instead
    `rx.Observable<String>` | `setObservable(String key, String value)` Deprecated. use `rxSet(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `setrange(String key, int offset, String value, Handler<AsyncResult<String>> handler)` Overwrite part of a string at key starting at the specified offset
    `rx.Observable<String>` | `setrangeObservable(String key, int offset, String value)` Deprecated. use `rxSetrange(java.lang.String, int, java.lang.String)` instead
    `RedisTransaction` | `setWithOptions(String key, String value, SetOptions options, Handler<AsyncResult<String>> handler)` Set the string value of a key
    `rx.Observable<String>` | `setWithOptionsObservable(String key, String value, SetOptions options)` Deprecated. use `rxSetWithOptions(java.lang.String, java.lang.String, io.vertx.redis.op.SetOptions)` instead
    `RedisTransaction` | `sinter(List<String> keys, Handler<AsyncResult<String>> handler)` Intersect multiple sets
    `rx.Observable<String>` | `sinterObservable(List<String> keys)` Deprecated. use `rxSinter(java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `sinterstore(String destkey, List<String> keys, Handler<AsyncResult<String>> handler)` Intersect multiple sets and store the resulting set in a key
    `rx.Observable<String>` | `sinterstoreObservable(String destkey, List<String> keys)` Deprecated. use `rxSinterstore(java.lang.String, java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `sismember(String key, String member, Handler<AsyncResult<String>> handler)` Determine if a given value is a member of a set
    `rx.Observable<String>` | `sismemberObservable(String key, String member)` Deprecated. use `rxSismember(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `slaveof(String host, int port, Handler<AsyncResult<String>> handler)` Make the server a slave of another instance
    `RedisTransaction` | `slaveofNoone(Handler<AsyncResult<String>> handler)` Make this server a master
    `rx.Observable<String>` | `slaveofNooneObservable()` Deprecated. use `rxSlaveofNoone()` instead
    `rx.Observable<String>` | `slaveofObservable(String host, int port)` Deprecated. use `rxSlaveof(java.lang.String, int)` instead
    `RedisTransaction` | `slowlogGet(int limit, Handler<AsyncResult<String>> handler)` Read the Redis slow queries log
    `rx.Observable<String>` | `slowlogGetObservable(int limit)` Deprecated. use `rxSlowlogGet(int)` instead
    `RedisTransaction` | `slowlogLen(Handler<AsyncResult<String>> handler)` Get the length of the Redis slow queries log
    `rx.Observable<String>` | `slowlogLenObservable()` Deprecated. use `rxSlowlogLen()` instead
    `RedisTransaction` | `slowlogReset(Handler<AsyncResult<String>> handler)` Reset the Redis slow queries log
    `rx.Observable<String>` | `slowlogResetObservable()` Deprecated. use `rxSlowlogReset()` instead
    `RedisTransaction` | `smembers(String key, Handler<AsyncResult<JsonArray>> handler)` Get all the members in a set
    `rx.Observable<JsonArray>` | `smembersObservable(String key)` Deprecated. use `rxSmembers(java.lang.String)` instead
    `RedisTransaction` | `smove(String key, String destkey, String member, Handler<AsyncResult<String>> handler)` Move a member from one set to another
    `rx.Observable<String>` | `smoveObservable(String key, String destkey, String member)` Deprecated. use `rxSmove(java.lang.String, java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `sort(String key, SortOptions options, Handler<AsyncResult<String>> handler)` Sort the elements in a list, set or sorted set
    `rx.Observable<String>` | `sortObservable(String key, SortOptions options)` Deprecated. use `rxSort(java.lang.String, io.vertx.redis.op.SortOptions)` instead
    `RedisTransaction` | `spop(String key, Handler<AsyncResult<String>> handler)` Remove and return a random member from a set
    `RedisTransaction` | `spopMany(String key, int count, Handler<AsyncResult<String>> handler)` Remove and return random members from a set
    `rx.Observable<String>` | `spopManyObservable(String key, int count)` Deprecated. use `rxSpopMany(java.lang.String, int)` instead
    `rx.Observable<String>` | `spopObservable(String key)` Deprecated. use `rxSpop(java.lang.String)` instead
    `RedisTransaction` | `srandmember(String key, Handler<AsyncResult<String>> handler)` Get one or multiple random members from a set
    `RedisTransaction` | `srandmemberCount(String key, int count, Handler<AsyncResult<String>> handler)` Get one or multiple random members from a set
    `rx.Observable<String>` | `srandmemberCountObservable(String key, int count)` Deprecated. use `rxSrandmemberCount(java.lang.String, int)` instead
    `rx.Observable<String>` | `srandmemberObservable(String key)` Deprecated. use `rxSrandmember(java.lang.String)` instead
    `RedisTransaction` | `srem(String key, String member, Handler<AsyncResult<String>> handler)` Remove one member from a set
    `RedisTransaction` | `sremMany(String key, List<String> members, Handler<AsyncResult<String>> handler)` Remove one or more members from a set
    `rx.Observable<String>` | `sremManyObservable(String key, List<String> members)` Deprecated. use `rxSremMany(java.lang.String, java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `sremObservable(String key, String member)` Deprecated. use `rxSrem(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `sscan(String key, String cursor, ScanOptions options, Handler<AsyncResult<String>> handler)` Incrementally iterate Set elements
    `rx.Observable<String>` | `sscanObservable(String key, String cursor, ScanOptions options)` Deprecated. use `rxSscan(java.lang.String, java.lang.String, io.vertx.redis.op.ScanOptions)` instead
    `RedisTransaction` | `strlen(String key, Handler<AsyncResult<String>> handler)` Get the length of the value stored in a key
    `rx.Observable<String>` | `strlenObservable(String key)` Deprecated. use `rxStrlen(java.lang.String)` instead
    `RedisTransaction` | `subscribe(String channel, Handler<AsyncResult<String>> handler)` Listen for messages published to the given channels
    `RedisTransaction` | `subscribeMany(List<String> channels, Handler<AsyncResult<String>> handler)` Listen for messages published to the given channels
    `rx.Observable<String>` | `subscribeManyObservable(List<String> channels)` Deprecated. use `rxSubscribeMany(java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `subscribeObservable(String channel)` Deprecated. use `rxSubscribe(java.lang.String)` instead
    `RedisTransaction` | `sunion(List<String> keys, Handler<AsyncResult<String>> handler)` Add multiple sets
    `rx.Observable<String>` | `sunionObservable(List<String> keys)` Deprecated. use `rxSunion(java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `sunionstore(String destkey, List<String> keys, Handler<AsyncResult<String>> handler)` Add multiple sets and store the resulting set in a key
    `rx.Observable<String>` | `sunionstoreObservable(String destkey, List<String> keys)` Deprecated. use `rxSunionstore(java.lang.String, java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `sync(Handler<AsyncResult<String>> handler)` Internal command used for replication
    `rx.Observable<String>` | `syncObservable()` Deprecated. use `rxSync()` instead
    `RedisTransaction` | `time(Handler<AsyncResult<String>> handler)` Return the current server time
    `rx.Observable<String>` | `timeObservable()` Deprecated. use `rxTime()` instead
    `RedisTransaction` | `ttl(String key, Handler<AsyncResult<String>> handler)` Get the time to live for a key
    `rx.Observable<String>` | `ttlObservable(String key)` Deprecated. use `rxTtl(java.lang.String)` instead
    `RedisTransaction` | `type(String key, Handler<AsyncResult<String>> handler)` Determine the type stored at key
    `rx.Observable<String>` | `typeObservable(String key)` Deprecated. use `rxType(java.lang.String)` instead
    `RedisTransaction` | `unsubscribe(List<String> channels, Handler<AsyncResult<String>> handler)` Stop listening for messages posted to the given channels
    `rx.Observable<String>` | `unsubscribeObservable(List<String> channels)` Deprecated. use `rxUnsubscribe(java.util.List<java.lang.String>)` instead
    `RedisTransaction` | `unwatch(Handler<AsyncResult<String>> handler)` Forget about all watched keys
    `rx.Observable<String>` | `unwatchObservable()` Deprecated. use `rxUnwatch()` instead
    `RedisTransaction` | `wait(long numSlaves, long timeout, Handler<AsyncResult<String>> handler)` Wait for the synchronous replication of all the write commands sent in the context of the current connection.
    `rx.Observable<String>` | `waitObservable(long numSlaves, long timeout)` Deprecated. use `rxWait(long, long)` instead
    `RedisTransaction` | `watch(String key, Handler<AsyncResult<String>> handler)` Watch the given keys to determine execution of the MULTI/EXEC block
    `RedisTransaction` | `watchMany(List<String> keys, Handler<AsyncResult<String>> handler)` Watch the given keys to determine execution of the MULTI/EXEC block
    `rx.Observable<String>` | `watchManyObservable(List<String> keys)` Deprecated. use `rxWatchMany(java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `watchObservable(String key)` Deprecated. use `rxWatch(java.lang.String)` instead
    `RedisTransaction` | `zadd(String key, double score, String member, Handler<AsyncResult<String>> handler)` Add one or more members to a sorted set, or update its score if it already exists
    `RedisTransaction` | `zaddMany(String key, Map<String,Double> members, Handler<AsyncResult<String>> handler)` Add one or more members to a sorted set, or update its score if it already exists
    `rx.Observable<String>` | `zaddManyObservable(String key, Map<String,Double> members)` Deprecated. use `rxZaddMany(java.lang.String, java.util.Map<java.lang.String, java.lang.Double>)` instead
    `rx.Observable<String>` | `zaddObservable(String key, double score, String member)` Deprecated. use `rxZadd(java.lang.String, double, java.lang.String)` instead
    `RedisTransaction` | `zcard(String key, Handler<AsyncResult<String>> handler)` Get the number of members in a sorted set
    `rx.Observable<String>` | `zcardObservable(String key)` Deprecated. use `rxZcard(java.lang.String)` instead
    `RedisTransaction` | `zcount(String key, double min, double max, Handler<AsyncResult<String>> handler)` Count the members in a sorted set with scores within the given values
    `rx.Observable<String>` | `zcountObservable(String key, double min, double max)` Deprecated. use `rxZcount(java.lang.String, double, double)` instead
    `RedisTransaction` | `zincrby(String key, double increment, String member, Handler<AsyncResult<String>> handler)` Increment the score of a member in a sorted set
    `rx.Observable<String>` | `zincrbyObservable(String key, double increment, String member)` Deprecated. use `rxZincrby(java.lang.String, double, java.lang.String)` instead
    `RedisTransaction` | `zinterstore(String destkey, List<String> sets, AggregateOptions options, Handler<AsyncResult<String>> handler)` Intersect multiple sorted sets and store the resulting sorted set in a new key
    `rx.Observable<String>` | `zinterstoreObservable(String destkey, List<String> sets, AggregateOptions options)` Deprecated. use `rxZinterstore(java.lang.String, java.util.List<java.lang.String>, io.vertx.redis.op.AggregateOptions)` instead
    `RedisTransaction` | `zinterstoreWeighed(String destkey, Map<String,Double> sets, AggregateOptions options, Handler<AsyncResult<String>> handler)` Intersect multiple sorted sets and store the resulting sorted set in a new key using weights for scoring
    `rx.Observable<String>` | `zinterstoreWeighedObservable(String destkey, Map<String,Double> sets, AggregateOptions options)` Deprecated. use `rxZinterstoreWeighed(java.lang.String, java.util.Map<java.lang.String, java.lang.Double>, io.vertx.redis.op.AggregateOptions)` instead
    `RedisTransaction` | `zlexcount(String key, String min, String max, Handler<AsyncResult<String>> handler)` Count the number of members in a sorted set between a given lexicographical range
    `rx.Observable<String>` | `zlexcountObservable(String key, String min, String max)` Deprecated. use `rxZlexcount(java.lang.String, java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `zrange(String key, long start, long stop, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by index
    `RedisTransaction` | `zrangebylex(String key, String min, String max, LimitOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by lexicographical range
    `rx.Observable<String>` | `zrangebylexObservable(String key, String min, String max, LimitOptions options)` Deprecated. use `rxZrangebylex(java.lang.String, java.lang.String, java.lang.String, io.vertx.redis.op.LimitOptions)` instead
    `RedisTransaction` | `zrangebyscore(String key, String min, String max, RangeLimitOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by score
    `rx.Observable<String>` | `zrangebyscoreObservable(String key, String min, String max, RangeLimitOptions options)` Deprecated. use `rxZrangebyscore(java.lang.String, java.lang.String, java.lang.String, io.vertx.redis.op.RangeLimitOptions)` instead
    `rx.Observable<String>` | `zrangeObservable(String key, long start, long stop)` Deprecated. use `rxZrange(java.lang.String, long, long)` instead
    `RedisTransaction` | `zrangeWithOptions(String key, long start, long stop, RangeOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by index
    `rx.Observable<String>` | `zrangeWithOptionsObservable(String key, long start, long stop, RangeOptions options)` Deprecated. use `rxZrangeWithOptions(java.lang.String, long, long, io.vertx.redis.op.RangeOptions)` instead
    `RedisTransaction` | `zrank(String key, String member, Handler<AsyncResult<String>> handler)` Determine the index of a member in a sorted set
    `rx.Observable<String>` | `zrankObservable(String key, String member)` Deprecated. use `rxZrank(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `zrem(String key, String member, Handler<AsyncResult<String>> handler)` Remove one member from a sorted set
    `RedisTransaction` | `zremMany(String key, List<String> members, Handler<AsyncResult<String>> handler)` Remove one or more members from a sorted set
    `rx.Observable<String>` | `zremManyObservable(String key, List<String> members)` Deprecated. use `rxZremMany(java.lang.String, java.util.List<java.lang.String>)` instead
    `rx.Observable<String>` | `zremObservable(String key, String member)` Deprecated. use `rxZrem(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `zremrangebylex(String key, String min, String max, Handler<AsyncResult<String>> handler)` Remove all members in a sorted set between the given lexicographical range
    `rx.Observable<String>` | `zremrangebylexObservable(String key, String min, String max)` Deprecated. use `rxZremrangebylex(java.lang.String, java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `zremrangebyrank(String key, long start, long stop, Handler<AsyncResult<String>> handler)` Remove all members in a sorted set within the given indexes
    `rx.Observable<String>` | `zremrangebyrankObservable(String key, long start, long stop)` Deprecated. use `rxZremrangebyrank(java.lang.String, long, long)` instead
    `RedisTransaction` | `zremrangebyscore(String key, String min, String max, Handler<AsyncResult<String>> handler)` Remove all members in a sorted set within the given scores
    `rx.Observable<String>` | `zremrangebyscoreObservable(String key, String min, String max)` Deprecated. use `rxZremrangebyscore(java.lang.String, java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `zrevrange(String key, long start, long stop, RangeOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by index, with scores ordered from high to low
    `RedisTransaction` | `zrevrangebylex(String key, String max, String min, LimitOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by score, between the given lexicographical range with scores ordered from high to low
    `rx.Observable<String>` | `zrevrangebylexObservable(String key, String max, String min, LimitOptions options)` Deprecated. use `rxZrevrangebylex(java.lang.String, java.lang.String, java.lang.String, io.vertx.redis.op.LimitOptions)` instead
    `RedisTransaction` | `zrevrangebyscore(String key, String max, String min, RangeLimitOptions options, Handler<AsyncResult<String>> handler)` Return a range of members in a sorted set, by score, with scores ordered from high to low
    `rx.Observable<String>` | `zrevrangebyscoreObservable(String key, String max, String min, RangeLimitOptions options)` Deprecated. use `rxZrevrangebyscore(java.lang.String, java.lang.String, java.lang.String, io.vertx.redis.op.RangeLimitOptions)` instead
    `rx.Observable<String>` | `zrevrangeObservable(String key, long start, long stop, RangeOptions options)` Deprecated. use `rxZrevrange(java.lang.String, long, long, io.vertx.redis.op.RangeOptions)` instead
    `RedisTransaction` | `zrevrank(String key, String member, Handler<AsyncResult<String>> handler)` Determine the index of a member in a sorted set, with scores ordered from high to low
    `rx.Observable<String>` | `zrevrankObservable(String key, String member)` Deprecated. use `rxZrevrank(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `zscan(String key, String cursor, ScanOptions options, Handler<AsyncResult<String>> handler)` Incrementally iterate sorted sets elements and associated scores
    `rx.Observable<String>` | `zscanObservable(String key, String cursor, ScanOptions options)` Deprecated. use `rxZscan(java.lang.String, java.lang.String, io.vertx.redis.op.ScanOptions)` instead
    `RedisTransaction` | `zscore(String key, String member, Handler<AsyncResult<String>> handler)` Get the score associated with the given member in a sorted set
    `rx.Observable<String>` | `zscoreObservable(String key, String member)` Deprecated. use `rxZscore(java.lang.String, java.lang.String)` instead
    `RedisTransaction` | `zunionstore(String destkey, List<String> sets, AggregateOptions options, Handler<AsyncResult<String>> handler)` Add multiple sorted sets and store the resulting sorted set in a new key
    `rx.Observable<String>` | `zunionstoreObservable(String destkey, List<String> sets, AggregateOptions options)` Deprecated. use `rxZunionstore(java.lang.String, java.util.List<java.lang.String>, io.vertx.redis.op.AggregateOptions)` instead
    `RedisTransaction` | `zunionstoreWeighed(String key, Map<String,Double> sets, AggregateOptions options, Handler<AsyncResult<String>> handler)` Add multiple sorted sets using weights, and store the resulting sorted set in a new key
    `rx.Observable<String>` | `zunionstoreWeighedObservable(String key, Map<String,Double> sets, AggregateOptions options)` Deprecated. use `rxZunionstoreWeighed(java.lang.String, java.util.Map<java.lang.String, java.lang.Double>, io.vertx.redis.op.AggregateOptions)` instead

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<RedisTransaction> __TYPE_ARG

  - ### Constructor Detail

    - #### RedisTransaction

          public RedisTransaction(RedisTransaction delegate)

  - ### Method Detail

    - #### getDelegate

          public RedisTransaction getDelegate()

    - #### close

          public void close(Handler<AsyncResult<Void>> handler)

      Close the client - when it is fully closed the handler will be called.
      Parameters:
        `handler` -

    - #### closeObservable

          @Deprecated
          public rx.Observable<Void> closeObservable()

      Deprecated. use `rxClose()` instead
      Close the client - when it is fully closed the handler will be called.
      Returns:

    - #### rxClose

          public rx.Single<Void> rxClose()

      Close the client - when it is fully closed the handler will be called.
      Returns:

    - #### append

          public RedisTransaction append(String key,
                                         String value,
                                         Handler<AsyncResult<String>> handler)

      Append a value to a key
      Parameters:
        `key` - Key string
        `value` - Value to append
        `handler` - Handler for the result of this call.
      Returns:

    - #### appendObservable

          @Deprecated
          public rx.Observable<String> appendObservable(String key,
                                                                    String value)

      Deprecated. use `rxAppend(java.lang.String, java.lang.String)` instead
      Append a value to a key
      Parameters:
        `key` - Key string
        `value` - Value to append
      Returns:

    - #### rxAppend

          public rx.Single<String> rxAppend(String key,
                                            String value)

      Append a value to a key
      Parameters:
        `key` - Key string
        `value` - Value to append
      Returns:

    - #### auth

          public RedisTransaction auth(String password,
                                       Handler<AsyncResult<String>> handler)

      Authenticate to the server
      Parameters:
        `password` - Password for authentication
        `handler` - Handler for the result of this call.
      Returns:

    - #### authObservable

          @Deprecated
          public rx.Observable<String> authObservable(String password)

      Deprecated. use `rxAuth(java.lang.String)` instead
      Authenticate to the server
      Parameters:
        `password` - Password for authentication
      Returns:

    - #### rxAuth

          public rx.Single<String> rxAuth(String password)

      Authenticate to the server
      Parameters:
        `password` - Password for authentication
      Returns:

    - #### bgrewriteaof

          public RedisTransaction bgrewriteaof(Handler<AsyncResult<String>> handler)

      Asynchronously rewrite the append-only file
      Parameters:
        `handler` -
      Returns:

    - #### bgrewriteaofObservable

          @Deprecated
          public rx.Observable<String> bgrewriteaofObservable()

      Deprecated. use `rxBgrewriteaof()` instead
      Asynchronously rewrite the append-only file
      Returns:

    - #### rxBgrewriteaof

          public rx.Single<String> rxBgrewriteaof()

      Asynchronously rewrite the append-only file
      Returns:

    - #### bgsave

          public RedisTransaction bgsave(Handler<AsyncResult<String>> handler)

      Asynchronously save the dataset to disk
      Parameters:
        `handler` -
      Returns:

    - #### bgsaveObservable

          @Deprecated
          public rx.Observable<String> bgsaveObservable()

      Deprecated. use `rxBgsave()` instead
      Asynchronously save the dataset to disk
      Returns:

    - #### rxBgsave

          public rx.Single<String> rxBgsave()

      Asynchronously save the dataset to disk
      Returns:

    - #### bitcount

          public RedisTransaction bitcount(String key,
                                           Handler<AsyncResult<String>> handler)

      Count set bits in a string
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### bitcountObservable

          @Deprecated
          public rx.Observable<String> bitcountObservable(String key)

      Deprecated. use `rxBitcount(java.lang.String)` instead
      Count set bits in a string
      Parameters:
        `key` - Key string
      Returns:

    - #### rxBitcount

          public rx.Single<String> rxBitcount(String key)

      Count set bits in a string
      Parameters:
        `key` - Key string
      Returns:

    - #### bitcountRange

          public RedisTransaction bitcountRange(String key,
                                                long start,
                                                long end,
                                                Handler<AsyncResult<String>> handler)

      Count set bits in a string
      Parameters:
        `key` - Key string
        `start` - Start index
        `end` - End index
        `handler` - Handler for the result of this call.
      Returns:

    - #### bitcountRangeObservable

          @Deprecated
          public rx.Observable<String> bitcountRangeObservable(String key,
                                                                           long start,
                                                                           long end)

      Deprecated. use `rxBitcountRange(java.lang.String, long, long)` instead
      Count set bits in a string
      Parameters:
        `key` - Key string
        `start` - Start index
        `end` - End index
      Returns:

    - #### rxBitcountRange

          public rx.Single<String> rxBitcountRange(String key,
                                                   long start,
                                                   long end)

      Count set bits in a string
      Parameters:
        `key` - Key string
        `start` - Start index
        `end` - End index
      Returns:

    - #### bitop

          public RedisTransaction bitop(BitOperation operation,
                                        String destkey,
                                        List<String> keys,
                                        Handler<AsyncResult<String>> handler)

      Perform bitwise operations between strings
      Parameters:
        `operation` - Bitwise operation to perform
        `destkey` - Destination key where result is stored
        `keys` - List of keys on which to perform the operation
        `handler` - Handler for the result of this call.
      Returns:

    - #### bitopObservable

          @Deprecated
          public rx.Observable<String> bitopObservable(BitOperation operation,
                                                                   String destkey,
                                                                   List<String> keys)

      Deprecated. use `rxBitop(io.vertx.redis.op.BitOperation, java.lang.String, java.util.List<java.lang.String>)` instead
      Perform bitwise operations between strings
      Parameters:
        `operation` - Bitwise operation to perform
        `destkey` - Destination key where result is stored
        `keys` - List of keys on which to perform the operation
      Returns:

    - #### rxBitop

          public rx.Single<String> rxBitop(BitOperation operation,
                                           String destkey,
                                           List<String> keys)

      Perform bitwise operations between strings
      Parameters:
        `operation` - Bitwise operation to perform
        `destkey` - Destination key where result is stored
        `keys` - List of keys on which to perform the operation
      Returns:

    - #### bitpos

          public RedisTransaction bitpos(String key,
                                         int bit,
                                         Handler<AsyncResult<String>> handler)

      Find first bit set or clear in a string
      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `handler` - Handler for the result of this call.
      Returns:

    - #### bitposObservable

          @Deprecated
          public rx.Observable<String> bitposObservable(String key,
                                                                    int bit)

      Deprecated. use `rxBitpos(java.lang.String, int)` instead
      Find first bit set or clear in a string
      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
      Returns:

    - #### rxBitpos

          public rx.Single<String> rxBitpos(String key,
                                            int bit)

      Find first bit set or clear in a string
      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
      Returns:

    - #### bitposFrom

          public RedisTransaction bitposFrom(String key,
                                             int bit,
                                             int start,
                                             Handler<AsyncResult<String>> handler)

      Find first bit set or clear in a string

      See also bitposRange() method, which takes start, and stop offset.

      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
        `handler` - Handler for the result of this call.
      Returns:

    - #### bitposFromObservable

          @Deprecated
          public rx.Observable<String> bitposFromObservable(String key,
                                                                        int bit,
                                                                        int start)

      Deprecated. use `rxBitposFrom(java.lang.String, int, int)` instead
      Find first bit set or clear in a string

      See also bitposRange() method, which takes start, and stop offset.

      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
      Returns:

    - #### rxBitposFrom

          public rx.Single<String> rxBitposFrom(String key,
                                                int bit,
                                                int start)

      Find first bit set or clear in a string

      See also bitposRange() method, which takes start, and stop offset.

      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
      Returns:

    - #### bitposRange

          public RedisTransaction bitposRange(String key,
                                              int bit,
                                              int start,
                                              int stop,
                                              Handler<AsyncResult<String>> handler)

      Find first bit set or clear in a string

      Note: when both start, and stop offsets are specified, behaviour is slightly different than if only start is specified

      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
        `stop` - End offset - inclusive
        `handler` - Handler for the result of this call.
      Returns:

    - #### bitposRangeObservable

          @Deprecated
          public rx.Observable<String> bitposRangeObservable(String key,
                                                                         int bit,
                                                                         int start,
                                                                         int stop)

      Deprecated. use `rxBitposRange(java.lang.String, int, int, int)` instead
      Find first bit set or clear in a string

      Note: when both start, and stop offsets are specified, behaviour is slightly different than if only start is specified

      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
        `stop` - End offset - inclusive
      Returns:

    - #### rxBitposRange

          public rx.Single<String> rxBitposRange(String key,
                                                 int bit,
                                                 int start,
                                                 int stop)

      Find first bit set or clear in a string

      Note: when both start, and stop offsets are specified, behaviour is slightly different than if only start is specified

      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
        `stop` - End offset - inclusive
      Returns:

    - #### blpop

          public RedisTransaction blpop(String key,
                                        int seconds,
                                        Handler<AsyncResult<String>> handler)

      Remove and get the first element in a list, or block until one is available
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.
      Returns:

    - #### blpopObservable

          @Deprecated
          public rx.Observable<String> blpopObservable(String key,
                                                                   int seconds)

      Deprecated. use `rxBlpop(java.lang.String, int)` instead
      Remove and get the first element in a list, or block until one is available
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
      Returns:

    - #### rxBlpop

          public rx.Single<String> rxBlpop(String key,
                                           int seconds)

      Remove and get the first element in a list, or block until one is available
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
      Returns:

    - #### blpopMany

          public RedisTransaction blpopMany(List<String> keys,
                                            int seconds,
                                            Handler<AsyncResult<String>> handler)

      Remove and get the first element in any of the lists, or block until one is available
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.
      Returns:

    - #### blpopManyObservable

          @Deprecated
          public rx.Observable<String> blpopManyObservable(List<String> keys,
                                                                       int seconds)

      Deprecated. use `rxBlpopMany(java.util.List<java.lang.String>, int)` instead
      Remove and get the first element in any of the lists, or block until one is available
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
      Returns:

    - #### rxBlpopMany

          public rx.Single<String> rxBlpopMany(List<String> keys,
                                               int seconds)

      Remove and get the first element in any of the lists, or block until one is available
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
      Returns:

    - #### brpop

          public RedisTransaction brpop(String key,
                                        int seconds,
                                        Handler<AsyncResult<String>> handler)

      Remove and get the last element in a list, or block until one is available
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.
      Returns:

    - #### brpopObservable

          @Deprecated
          public rx.Observable<String> brpopObservable(String key,
                                                                   int seconds)

      Deprecated. use `rxBrpop(java.lang.String, int)` instead
      Remove and get the last element in a list, or block until one is available
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
      Returns:

    - #### rxBrpop

          public rx.Single<String> rxBrpop(String key,
                                           int seconds)

      Remove and get the last element in a list, or block until one is available
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
      Returns:

    - #### brpopMany

          public RedisTransaction brpopMany(List<String> keys,
                                            int seconds,
                                            Handler<AsyncResult<String>> handler)

      Remove and get the last element in any of the lists, or block until one is available
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.
      Returns:

    - #### brpopManyObservable

          @Deprecated
          public rx.Observable<String> brpopManyObservable(List<String> keys,
                                                                       int seconds)

      Deprecated. use `rxBrpopMany(java.util.List<java.lang.String>, int)` instead
      Remove and get the last element in any of the lists, or block until one is available
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
      Returns:

    - #### rxBrpopMany

          public rx.Single<String> rxBrpopMany(List<String> keys,
                                               int seconds)

      Remove and get the last element in any of the lists, or block until one is available
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
      Returns:

    - #### brpoplpush

          public RedisTransaction brpoplpush(String key,
                                             String destkey,
                                             int seconds,
                                             Handler<AsyncResult<String>> handler)

      Pop a value from a list, push it to another list and return it; or block until one is available
      Parameters:
        `key` - Key string identifying the source list
        `destkey` - Key string identifying the destination list
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.
      Returns:

    - #### brpoplpushObservable

          @Deprecated
          public rx.Observable<String> brpoplpushObservable(String key,
                                                                        String destkey,
                                                                        int seconds)

      Deprecated. use `rxBrpoplpush(java.lang.String, java.lang.String, int)` instead
      Pop a value from a list, push it to another list and return it; or block until one is available
      Parameters:
        `key` - Key string identifying the source list
        `destkey` - Key string identifying the destination list
        `seconds` - Timeout in seconds
      Returns:

    - #### rxBrpoplpush

          public rx.Single<String> rxBrpoplpush(String key,
                                                String destkey,
                                                int seconds)

      Pop a value from a list, push it to another list and return it; or block until one is available
      Parameters:
        `key` - Key string identifying the source list
        `destkey` - Key string identifying the destination list
        `seconds` - Timeout in seconds
      Returns:

    - #### clientKill

          public RedisTransaction clientKill(KillFilter filter,
                                             Handler<AsyncResult<String>> handler)

      Kill the connection of a client
      Parameters:
        `filter` - Filter options
        `handler` - Handler for the result of this call.
      Returns:

    - #### clientKillObservable

          @Deprecated
          public rx.Observable<String> clientKillObservable(KillFilter filter)

      Deprecated. use `rxClientKill(io.vertx.redis.op.KillFilter)` instead
      Kill the connection of a client
      Parameters:
        `filter` - Filter options
      Returns:

    - #### rxClientKill

          public rx.Single<String> rxClientKill(KillFilter filter)

      Kill the connection of a client
      Parameters:
        `filter` - Filter options
      Returns:

    - #### clientList

          public RedisTransaction clientList(Handler<AsyncResult<String>> handler)

      Get the list of client connections
      Parameters:
        `handler` -
      Returns:

    - #### clientListObservable

          @Deprecated
          public rx.Observable<String> clientListObservable()

      Deprecated. use `rxClientList()` instead
      Get the list of client connections
      Returns:

    - #### rxClientList

          public rx.Single<String> rxClientList()

      Get the list of client connections
      Returns:

    - #### clientGetname

          public RedisTransaction clientGetname(Handler<AsyncResult<String>> handler)

      Get the current connection name
      Parameters:
        `handler` -
      Returns:

    - #### clientGetnameObservable

          @Deprecated
          public rx.Observable<String> clientGetnameObservable()

      Deprecated. use `rxClientGetname()` instead
      Get the current connection name
      Returns:

    - #### rxClientGetname

          public rx.Single<String> rxClientGetname()

      Get the current connection name
      Returns:

    - #### clientPause

          public RedisTransaction clientPause(long millis,
                                              Handler<AsyncResult<String>> handler)

      Stop processing commands from clients for some time
      Parameters:
        `millis` - Pause time in milliseconds
        `handler` - Handler for the result of this call.
      Returns:

    - #### clientPauseObservable

          @Deprecated
          public rx.Observable<String> clientPauseObservable(long millis)

      Deprecated. use `rxClientPause(long)` instead
      Stop processing commands from clients for some time
      Parameters:
        `millis` - Pause time in milliseconds
      Returns:

    - #### rxClientPause

          public rx.Single<String> rxClientPause(long millis)

      Stop processing commands from clients for some time
      Parameters:
        `millis` - Pause time in milliseconds
      Returns:

    - #### clientSetname

          public RedisTransaction clientSetname(String name,
                                                Handler<AsyncResult<String>> handler)

      Set the current connection name
      Parameters:
        `name` - New name for current connection
        `handler` - Handler for the result of this call.
      Returns:

    - #### clientSetnameObservable

          @Deprecated
          public rx.Observable<String> clientSetnameObservable(String name)

      Deprecated. use `rxClientSetname(java.lang.String)` instead
      Set the current connection name
      Parameters:
        `name` - New name for current connection
      Returns:

    - #### rxClientSetname

          public rx.Single<String> rxClientSetname(String name)

      Set the current connection name
      Parameters:
        `name` - New name for current connection
      Returns:

    - #### clusterAddslots

          public RedisTransaction clusterAddslots(List<String> slots,
                                                  Handler<AsyncResult<String>> handler)

      Assign new hash slots to receiving node.
      Parameters:
        `slots` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterAddslotsObservable

          @Deprecated
          public rx.Observable<String> clusterAddslotsObservable(List<String> slots)

      Deprecated. use `rxClusterAddslots(java.util.List<java.lang.String>)` instead
      Assign new hash slots to receiving node.
      Parameters:
        `slots` -
      Returns:

    - #### rxClusterAddslots

          public rx.Single<String> rxClusterAddslots(List<String> slots)

      Assign new hash slots to receiving node.
      Parameters:
        `slots` -
      Returns:

    - #### clusterCountFailureReports

          public RedisTransaction clusterCountFailureReports(String nodeId,
                                                             Handler<AsyncResult<String>> handler)

      Return the number of failure reports active for a given node.
      Parameters:
        `nodeId` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterCountFailureReportsObservable

          @Deprecated
          public rx.Observable<String> clusterCountFailureReportsObservable(String nodeId)

      Deprecated. use `rxClusterCountFailureReports(java.lang.String)` instead
      Return the number of failure reports active for a given node.
      Parameters:
        `nodeId` -
      Returns:

    - #### rxClusterCountFailureReports

          public rx.Single<String> rxClusterCountFailureReports(String nodeId)

      Return the number of failure reports active for a given node.
      Parameters:
        `nodeId` -
      Returns:

    - #### clusterCountkeysinslot

          public RedisTransaction clusterCountkeysinslot(long slot,
                                                         Handler<AsyncResult<String>> handler)

      Return the number of local keys in the specified hash slot.
      Parameters:
        `slot` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterCountkeysinslotObservable

          @Deprecated
          public rx.Observable<String> clusterCountkeysinslotObservable(long slot)

      Deprecated. use `rxClusterCountkeysinslot(long)` instead
      Return the number of local keys in the specified hash slot.
      Parameters:
        `slot` -
      Returns:

    - #### rxClusterCountkeysinslot

          public rx.Single<String> rxClusterCountkeysinslot(long slot)

      Return the number of local keys in the specified hash slot.
      Parameters:
        `slot` -
      Returns:

    - #### clusterDelslots

          public RedisTransaction clusterDelslots(long slot,
                                                  Handler<AsyncResult<String>> handler)

      Set hash slots as unbound in receiving node.
      Parameters:
        `slot` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterDelslotsObservable

          @Deprecated
          public rx.Observable<String> clusterDelslotsObservable(long slot)

      Deprecated. use `rxClusterDelslots(long)` instead
      Set hash slots as unbound in receiving node.
      Parameters:
        `slot` -
      Returns:

    - #### rxClusterDelslots

          public rx.Single<String> rxClusterDelslots(long slot)

      Set hash slots as unbound in receiving node.
      Parameters:
        `slot` -
      Returns:

    - #### clusterDelslotsMany

          public RedisTransaction clusterDelslotsMany(List<String> slots,
                                                      Handler<AsyncResult<String>> handler)

      Set hash slots as unbound in receiving node.
      Parameters:
        `slots` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterDelslotsManyObservable

          @Deprecated
          public rx.Observable<String> clusterDelslotsManyObservable(List<String> slots)

      Deprecated. use `rxClusterDelslotsMany(java.util.List<java.lang.String>)` instead
      Set hash slots as unbound in receiving node.
      Parameters:
        `slots` -
      Returns:

    - #### rxClusterDelslotsMany

          public rx.Single<String> rxClusterDelslotsMany(List<String> slots)

      Set hash slots as unbound in receiving node.
      Parameters:
        `slots` -
      Returns:

    - #### clusterFailover

          public RedisTransaction clusterFailover(Handler<AsyncResult<String>> handler)

      Forces a slave to perform a manual failover of its master.
      Parameters:
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterFailoverObservable

          @Deprecated
          public rx.Observable<String> clusterFailoverObservable()

      Deprecated. use `rxClusterFailover()` instead
      Forces a slave to perform a manual failover of its master.
      Returns:

    - #### rxClusterFailover

          public rx.Single<String> rxClusterFailover()

      Forces a slave to perform a manual failover of its master.
      Returns:

    - #### clusterFailOverWithOptions

          public RedisTransaction clusterFailOverWithOptions(FailoverOptions options,
                                                             Handler<AsyncResult<String>> handler)

      Forces a slave to perform a manual failover of its master.
      Parameters:
        `options` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterFailOverWithOptionsObservable

          @Deprecated
          public rx.Observable<String> clusterFailOverWithOptionsObservable(FailoverOptions options)

      Deprecated. use `rxClusterFailOverWithOptions(io.vertx.redis.op.FailoverOptions)` instead
      Forces a slave to perform a manual failover of its master.
      Parameters:
        `options` -
      Returns:

    - #### rxClusterFailOverWithOptions

          public rx.Single<String> rxClusterFailOverWithOptions(FailoverOptions options)

      Forces a slave to perform a manual failover of its master.
      Parameters:
        `options` -
      Returns:

    - #### clusterForget

          public RedisTransaction clusterForget(String nodeId,
                                                Handler<AsyncResult<String>> handler)

      Remove a node from the nodes table.
      Parameters:
        `nodeId` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterForgetObservable

          @Deprecated
          public rx.Observable<String> clusterForgetObservable(String nodeId)

      Deprecated. use `rxClusterForget(java.lang.String)` instead
      Remove a node from the nodes table.
      Parameters:
        `nodeId` -
      Returns:

    - #### rxClusterForget

          public rx.Single<String> rxClusterForget(String nodeId)

      Remove a node from the nodes table.
      Parameters:
        `nodeId` -
      Returns:

    - #### clusterGetkeysinslot

          public RedisTransaction clusterGetkeysinslot(long slot,
                                                       long count,
                                                       Handler<AsyncResult<String>> handler)

      Return local key names in the specified hash slot.
      Parameters:
        `slot` -
        `count` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterGetkeysinslotObservable

          @Deprecated
          public rx.Observable<String> clusterGetkeysinslotObservable(long slot,
                                                                                  long count)

      Deprecated. use `rxClusterGetkeysinslot(long, long)` instead
      Return local key names in the specified hash slot.
      Parameters:
        `slot` -
        `count` -
      Returns:

    - #### rxClusterGetkeysinslot

          public rx.Single<String> rxClusterGetkeysinslot(long slot,
                                                          long count)

      Return local key names in the specified hash slot.
      Parameters:
        `slot` -
        `count` -
      Returns:

    - #### clusterInfo

          public RedisTransaction clusterInfo(Handler<AsyncResult<String>> handler)

      Provides info about Redis Cluster node state.
      Parameters:
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterInfoObservable

          @Deprecated
          public rx.Observable<String> clusterInfoObservable()

      Deprecated. use `rxClusterInfo()` instead
      Provides info about Redis Cluster node state.
      Returns:

    - #### rxClusterInfo

          public rx.Single<String> rxClusterInfo()

      Provides info about Redis Cluster node state.
      Returns:

    - #### clusterKeyslot

          public RedisTransaction clusterKeyslot(String key,
                                                 Handler<AsyncResult<String>> handler)

      Returns the hash slot of the specified key.
      Parameters:
        `key` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterKeyslotObservable

          @Deprecated
          public rx.Observable<String> clusterKeyslotObservable(String key)

      Deprecated. use `rxClusterKeyslot(java.lang.String)` instead
      Returns the hash slot of the specified key.
      Parameters:
        `key` -
      Returns:

    - #### rxClusterKeyslot

          public rx.Single<String> rxClusterKeyslot(String key)

      Returns the hash slot of the specified key.
      Parameters:
        `key` -
      Returns:

    - #### clusterMeet

          public RedisTransaction clusterMeet(String ip,
                                              long port,
                                              Handler<AsyncResult<String>> handler)

      Force a node cluster to handshake with another node.
      Parameters:
        `ip` -
        `port` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterMeetObservable

          @Deprecated
          public rx.Observable<String> clusterMeetObservable(String ip,
                                                                         long port)

      Deprecated. use `rxClusterMeet(java.lang.String, long)` instead
      Force a node cluster to handshake with another node.
      Parameters:
        `ip` -
        `port` -
      Returns:

    - #### rxClusterMeet

          public rx.Single<String> rxClusterMeet(String ip,
                                                 long port)

      Force a node cluster to handshake with another node.
      Parameters:
        `ip` -
        `port` -
      Returns:

    - #### clusterNodes

          public RedisTransaction clusterNodes(Handler<AsyncResult<String>> handler)

      Get Cluster config for the node.
      Parameters:
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterNodesObservable

          @Deprecated
          public rx.Observable<String> clusterNodesObservable()

      Deprecated. use `rxClusterNodes()` instead
      Get Cluster config for the node.
      Returns:

    - #### rxClusterNodes

          public rx.Single<String> rxClusterNodes()

      Get Cluster config for the node.
      Returns:

    - #### clusterReplicate

          public RedisTransaction clusterReplicate(String nodeId,
                                                   Handler<AsyncResult<String>> handler)

      Reconfigure a node as a slave of the specified master node.
      Parameters:
        `nodeId` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterReplicateObservable

          @Deprecated
          public rx.Observable<String> clusterReplicateObservable(String nodeId)

      Deprecated. use `rxClusterReplicate(java.lang.String)` instead
      Reconfigure a node as a slave of the specified master node.
      Parameters:
        `nodeId` -
      Returns:

    - #### rxClusterReplicate

          public rx.Single<String> rxClusterReplicate(String nodeId)

      Reconfigure a node as a slave of the specified master node.
      Parameters:
        `nodeId` -
      Returns:

    - #### clusterReset

          public RedisTransaction clusterReset(Handler<AsyncResult<String>> handler)

      Reset a Redis Cluster node.
      Parameters:
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterResetObservable

          @Deprecated
          public rx.Observable<String> clusterResetObservable()

      Deprecated. use `rxClusterReset()` instead
      Reset a Redis Cluster node.
      Returns:

    - #### rxClusterReset

          public rx.Single<String> rxClusterReset()

      Reset a Redis Cluster node.
      Returns:

    - #### clusterResetWithOptions

          public RedisTransaction clusterResetWithOptions(ResetOptions options,
                                                          Handler<AsyncResult<String>> handler)

      Reset a Redis Cluster node.
      Parameters:
        `options` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterResetWithOptionsObservable

          @Deprecated
          public rx.Observable<String> clusterResetWithOptionsObservable(ResetOptions options)

      Deprecated. use `rxClusterResetWithOptions(io.vertx.redis.op.ResetOptions)` instead
      Reset a Redis Cluster node.
      Parameters:
        `options` -
      Returns:

    - #### rxClusterResetWithOptions

          public rx.Single<String> rxClusterResetWithOptions(ResetOptions options)

      Reset a Redis Cluster node.
      Parameters:
        `options` -
      Returns:

    - #### clusterSaveconfig

          public RedisTransaction clusterSaveconfig(Handler<AsyncResult<String>> handler)

      Forces the node to save cluster state on disk.
      Parameters:
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterSaveconfigObservable

          @Deprecated
          public rx.Observable<String> clusterSaveconfigObservable()

      Deprecated. use `rxClusterSaveconfig()` instead
      Forces the node to save cluster state on disk.
      Returns:

    - #### rxClusterSaveconfig

          public rx.Single<String> rxClusterSaveconfig()

      Forces the node to save cluster state on disk.
      Returns:

    - #### clusterSetConfigEpoch

          public RedisTransaction clusterSetConfigEpoch(long epoch,
                                                        Handler<AsyncResult<String>> handler)

      Set the configuration epoch in a new node.
      Parameters:
        `epoch` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterSetConfigEpochObservable

          @Deprecated
          public rx.Observable<String> clusterSetConfigEpochObservable(long epoch)

      Deprecated. use `rxClusterSetConfigEpoch(long)` instead
      Set the configuration epoch in a new node.
      Parameters:
        `epoch` -
      Returns:

    - #### rxClusterSetConfigEpoch

          public rx.Single<String> rxClusterSetConfigEpoch(long epoch)

      Set the configuration epoch in a new node.
      Parameters:
        `epoch` -
      Returns:

    - #### clusterSetslot

          public RedisTransaction clusterSetslot(long slot,
                                                 SlotCmd subcommand,
                                                 Handler<AsyncResult<String>> handler)

      Bind an hash slot to a specific node.
      Parameters:
        `slot` -
        `subcommand` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterSetslotObservable

          @Deprecated
          public rx.Observable<String> clusterSetslotObservable(long slot,
                                                                            SlotCmd subcommand)

      Deprecated. use `rxClusterSetslot(long, io.vertx.redis.op.SlotCmd)` instead
      Bind an hash slot to a specific node.
      Parameters:
        `slot` -
        `subcommand` -
      Returns:

    - #### rxClusterSetslot

          public rx.Single<String> rxClusterSetslot(long slot,
                                                    SlotCmd subcommand)

      Bind an hash slot to a specific node.
      Parameters:
        `slot` -
        `subcommand` -
      Returns:

    - #### clusterSetslotWithNode

          public RedisTransaction clusterSetslotWithNode(long slot,
                                                         SlotCmd subcommand,
                                                         String nodeId,
                                                         Handler<AsyncResult<String>> handler)

      Bind an hash slot to a specific node.
      Parameters:
        `slot` -
        `subcommand` -
        `nodeId` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterSetslotWithNodeObservable

          @Deprecated
          public rx.Observable<String> clusterSetslotWithNodeObservable(long slot,
                                                                                    SlotCmd subcommand,
                                                                                    String nodeId)

      Deprecated. use `rxClusterSetslotWithNode(long, io.vertx.redis.op.SlotCmd, java.lang.String)` instead
      Bind an hash slot to a specific node.
      Parameters:
        `slot` -
        `subcommand` -
        `nodeId` -
      Returns:

    - #### rxClusterSetslotWithNode

          public rx.Single<String> rxClusterSetslotWithNode(long slot,
                                                            SlotCmd subcommand,
                                                            String nodeId)

      Bind an hash slot to a specific node.
      Parameters:
        `slot` -
        `subcommand` -
        `nodeId` -
      Returns:

    - #### clusterSlaves

          public RedisTransaction clusterSlaves(String nodeId,
                                                Handler<AsyncResult<String>> handler)

      List slave nodes of the specified master node.
      Parameters:
        `nodeId` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### clusterSlavesObservable

          @Deprecated
          public rx.Observable<String> clusterSlavesObservable(String nodeId)

      Deprecated. use `rxClusterSlaves(java.lang.String)` instead
      List slave nodes of the specified master node.
      Parameters:
        `nodeId` -
      Returns:

    - #### rxClusterSlaves

          public rx.Single<String> rxClusterSlaves(String nodeId)

      List slave nodes of the specified master node.
      Parameters:
        `nodeId` -
      Returns:

    - #### clusterSlots

          public RedisTransaction clusterSlots(Handler<AsyncResult<String>> handler)

      Get array of Cluster slot to node mappings
      Parameters:
        `handler` -
      Returns:

    - #### clusterSlotsObservable

          @Deprecated
          public rx.Observable<String> clusterSlotsObservable()

      Deprecated. use `rxClusterSlots()` instead
      Get array of Cluster slot to node mappings
      Returns:

    - #### rxClusterSlots

          public rx.Single<String> rxClusterSlots()

      Get array of Cluster slot to node mappings
      Returns:

    - #### command

          public RedisTransaction command(Handler<AsyncResult<String>> handler)

      Get array of Redis command details
      Parameters:
        `handler` -
      Returns:

    - #### commandObservable

          @Deprecated
          public rx.Observable<String> commandObservable()

      Deprecated. use `rxCommand()` instead
      Get array of Redis command details
      Returns:

    - #### rxCommand

          public rx.Single<String> rxCommand()

      Get array of Redis command details
      Returns:

    - #### commandCount

          public RedisTransaction commandCount(Handler<AsyncResult<String>> handler)

      Get total number of Redis commands
      Parameters:
        `handler` -
      Returns:

    - #### commandCountObservable

          @Deprecated
          public rx.Observable<String> commandCountObservable()

      Deprecated. use `rxCommandCount()` instead
      Get total number of Redis commands
      Returns:

    - #### rxCommandCount

          public rx.Single<String> rxCommandCount()

      Get total number of Redis commands
      Returns:

    - #### commandGetkeys

          public RedisTransaction commandGetkeys(Handler<AsyncResult<String>> handler)

      Extract keys given a full Redis command
      Parameters:
        `handler` -
      Returns:

    - #### commandGetkeysObservable

          @Deprecated
          public rx.Observable<String> commandGetkeysObservable()

      Deprecated. use `rxCommandGetkeys()` instead
      Extract keys given a full Redis command
      Returns:

    - #### rxCommandGetkeys

          public rx.Single<String> rxCommandGetkeys()

      Extract keys given a full Redis command
      Returns:

    - #### commandInfo

          public RedisTransaction commandInfo(List<String> commands,
                                              Handler<AsyncResult<String>> handler)

      Get array of specific Redis command details
      Parameters:
        `commands` - List of commands to get info for
        `handler` - Handler for the result of this call.
      Returns:

    - #### commandInfoObservable

          @Deprecated
          public rx.Observable<String> commandInfoObservable(List<String> commands)

      Deprecated. use `rxCommandInfo(java.util.List<java.lang.String>)` instead
      Get array of specific Redis command details
      Parameters:
        `commands` - List of commands to get info for
      Returns:

    - #### rxCommandInfo

          public rx.Single<String> rxCommandInfo(List<String> commands)

      Get array of specific Redis command details
      Parameters:
        `commands` - List of commands to get info for
      Returns:

    - #### configGet

          public RedisTransaction configGet(String parameter,
                                            Handler<AsyncResult<String>> handler)

      Get the value of a configuration parameter
      Parameters:
        `parameter` - Configuration parameter
        `handler` - Handler for the result of this call.
      Returns:

    - #### configGetObservable

          @Deprecated
          public rx.Observable<String> configGetObservable(String parameter)

      Deprecated. use `rxConfigGet(java.lang.String)` instead
      Get the value of a configuration parameter
      Parameters:
        `parameter` - Configuration parameter
      Returns:

    - #### rxConfigGet

          public rx.Single<String> rxConfigGet(String parameter)

      Get the value of a configuration parameter
      Parameters:
        `parameter` - Configuration parameter
      Returns:

    - #### configRewrite

          public RedisTransaction configRewrite(Handler<AsyncResult<String>> handler)

      Rewrite the configuration file with the in memory configuration
      Parameters:
        `handler` -
      Returns:

    - #### configRewriteObservable

          @Deprecated
          public rx.Observable<String> configRewriteObservable()

      Deprecated. use `rxConfigRewrite()` instead
      Rewrite the configuration file with the in memory configuration
      Returns:

    - #### rxConfigRewrite

          public rx.Single<String> rxConfigRewrite()

      Rewrite the configuration file with the in memory configuration
      Returns:

    - #### configSet

          public RedisTransaction configSet(String parameter,
                                            String value,
                                            Handler<AsyncResult<String>> handler)

      Set a configuration parameter to the given value
      Parameters:
        `parameter` - Configuration parameter
        `value` - New value
        `handler` - Handler for the result of this call.
      Returns:

    - #### configSetObservable

          @Deprecated
          public rx.Observable<String> configSetObservable(String parameter,
                                                                       String value)

      Deprecated. use `rxConfigSet(java.lang.String, java.lang.String)` instead
      Set a configuration parameter to the given value
      Parameters:
        `parameter` - Configuration parameter
        `value` - New value
      Returns:

    - #### rxConfigSet

          public rx.Single<String> rxConfigSet(String parameter,
                                               String value)

      Set a configuration parameter to the given value
      Parameters:
        `parameter` - Configuration parameter
        `value` - New value
      Returns:

    - #### configResetstat

          public RedisTransaction configResetstat(Handler<AsyncResult<String>> handler)

      Reset the stats returned by INFO
      Parameters:
        `handler` -
      Returns:

    - #### configResetstatObservable

          @Deprecated
          public rx.Observable<String> configResetstatObservable()

      Deprecated. use `rxConfigResetstat()` instead
      Reset the stats returned by INFO
      Returns:

    - #### rxConfigResetstat

          public rx.Single<String> rxConfigResetstat()

      Reset the stats returned by INFO
      Returns:

    - #### dbsize

          public RedisTransaction dbsize(Handler<AsyncResult<String>> handler)

      Return the number of keys in the selected database
      Parameters:
        `handler` -
      Returns:

    - #### dbsizeObservable

          @Deprecated
          public rx.Observable<String> dbsizeObservable()

      Deprecated. use `rxDbsize()` instead
      Return the number of keys in the selected database
      Returns:

    - #### rxDbsize

          public rx.Single<String> rxDbsize()

      Return the number of keys in the selected database
      Returns:

    - #### debugObject

          public RedisTransaction debugObject(String key,
                                              Handler<AsyncResult<String>> handler)

      Get debugging information about a key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### debugObjectObservable

          @Deprecated
          public rx.Observable<String> debugObjectObservable(String key)

      Deprecated. use `rxDebugObject(java.lang.String)` instead
      Get debugging information about a key
      Parameters:
        `key` - Key string
      Returns:

    - #### rxDebugObject

          public rx.Single<String> rxDebugObject(String key)

      Get debugging information about a key
      Parameters:
        `key` - Key string
      Returns:

    - #### debugSegfault

          public RedisTransaction debugSegfault(Handler<AsyncResult<String>> handler)

      Make the server crash
      Parameters:
        `handler` -
      Returns:

    - #### debugSegfaultObservable

          @Deprecated
          public rx.Observable<String> debugSegfaultObservable()

      Deprecated. use `rxDebugSegfault()` instead
      Make the server crash
      Returns:

    - #### rxDebugSegfault

          public rx.Single<String> rxDebugSegfault()

      Make the server crash
      Returns:

    - #### decr

          public RedisTransaction decr(String key,
                                       Handler<AsyncResult<String>> handler)

      Decrement the integer value of a key by one
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### decrObservable

          @Deprecated
          public rx.Observable<String> decrObservable(String key)

      Deprecated. use `rxDecr(java.lang.String)` instead
      Decrement the integer value of a key by one
      Parameters:
        `key` - Key string
      Returns:

    - #### rxDecr

          public rx.Single<String> rxDecr(String key)

      Decrement the integer value of a key by one
      Parameters:
        `key` - Key string
      Returns:

    - #### decrby

          public RedisTransaction decrby(String key,
                                         long decrement,
                                         Handler<AsyncResult<String>> handler)

      Decrement the integer value of a key by the given number
      Parameters:
        `key` - Key string
        `decrement` - Value by which to decrement
        `handler` - Handler for the result of this call.
      Returns:

    - #### decrbyObservable

          @Deprecated
          public rx.Observable<String> decrbyObservable(String key,
                                                                    long decrement)

      Deprecated. use `rxDecrby(java.lang.String, long)` instead
      Decrement the integer value of a key by the given number
      Parameters:
        `key` - Key string
        `decrement` - Value by which to decrement
      Returns:

    - #### rxDecrby

          public rx.Single<String> rxDecrby(String key,
                                            long decrement)

      Decrement the integer value of a key by the given number
      Parameters:
        `key` - Key string
        `decrement` - Value by which to decrement
      Returns:

    - #### del

          public RedisTransaction del(String key,
                                      Handler<AsyncResult<String>> handler)

      Delete a key
      Parameters:
        `key` - Keys to delete
        `handler` - Handler for the result of this call.
      Returns:

    - #### delObservable

          @Deprecated
          public rx.Observable<String> delObservable(String key)

      Deprecated. use `rxDel(java.lang.String)` instead
      Delete a key
      Parameters:
        `key` - Keys to delete
      Returns:

    - #### rxDel

          public rx.Single<String> rxDel(String key)

      Delete a key
      Parameters:
        `key` - Keys to delete
      Returns:

    - #### delMany

          public RedisTransaction delMany(List<String> keys,
                                          Handler<AsyncResult<String>> handler)

      Delete many keys
      Parameters:
        `keys` - List of keys to delete
        `handler` - Handler for the result of this call.
      Returns:

    - #### delManyObservable

          @Deprecated
          public rx.Observable<String> delManyObservable(List<String> keys)

      Deprecated. use `rxDelMany(java.util.List<java.lang.String>)` instead
      Delete many keys
      Parameters:
        `keys` - List of keys to delete
      Returns:

    - #### rxDelMany

          public rx.Single<String> rxDelMany(List<String> keys)

      Delete many keys
      Parameters:
        `keys` - List of keys to delete
      Returns:

    - #### discard

          public RedisTransaction discard(Handler<AsyncResult<String>> handler)

      Discard all commands issued after MULTI
      Parameters:
        `handler` -
      Returns:

    - #### discardObservable

          @Deprecated
          public rx.Observable<String> discardObservable()

      Deprecated. use `rxDiscard()` instead
      Discard all commands issued after MULTI
      Returns:

    - #### rxDiscard

          public rx.Single<String> rxDiscard()

      Discard all commands issued after MULTI
      Returns:

    - #### dump

          public RedisTransaction dump(String key,
                                       Handler<AsyncResult<String>> handler)

      Return a serialized version of the value stored at the specified key.
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### dumpObservable

          @Deprecated
          public rx.Observable<String> dumpObservable(String key)

      Deprecated. use `rxDump(java.lang.String)` instead
      Return a serialized version of the value stored at the specified key.
      Parameters:
        `key` - Key string
      Returns:

    - #### rxDump

          public rx.Single<String> rxDump(String key)

      Return a serialized version of the value stored at the specified key.
      Parameters:
        `key` - Key string
      Returns:

    - #### echo

          public RedisTransaction echo(String message,
                                       Handler<AsyncResult<String>> handler)

      Echo the given string
      Parameters:
        `message` - String to echo
        `handler` - Handler for the result of this call.
      Returns:

    - #### echoObservable

          @Deprecated
          public rx.Observable<String> echoObservable(String message)

      Deprecated. use `rxEcho(java.lang.String)` instead
      Echo the given string
      Parameters:
        `message` - String to echo
      Returns:

    - #### rxEcho

          public rx.Single<String> rxEcho(String message)

      Echo the given string
      Parameters:
        `message` - String to echo
      Returns:

    - #### eval

          public RedisTransaction eval(String script,
                                       List<String> keys,
                                       List<String> args,
                                       Handler<AsyncResult<String>> handler)

      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray.

      When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Parameters:
        `script` - Lua script to evaluate
        `keys` - List of keys
        `args` - List of argument values
        `handler` - Handler for the result of this call.
      Returns:

    - #### evalObservable

          @Deprecated
          public rx.Observable<String> evalObservable(String script,
                                                                  List<String> keys,
                                                                  List<String> args)

      Deprecated. use `rxEval(java.lang.String, java.util.List<java.lang.String>, java.util.List<java.lang.String>)` instead
      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray.

      When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Parameters:
        `script` - Lua script to evaluate
        `keys` - List of keys
        `args` - List of argument values
      Returns:

    - #### rxEval

          public rx.Single<String> rxEval(String script,
                                          List<String> keys,
                                          List<String> args)

      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray.

      When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Parameters:
        `script` - Lua script to evaluate
        `keys` - List of keys
        `args` - List of argument values
      Returns:

    - #### evalsha

          public RedisTransaction evalsha(String sha1,
                                          List<String> keys,
                                          List<String> values,
                                          Handler<AsyncResult<String>> handler)

      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray.

      When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Parameters:
        `sha1` - SHA1 digest of the script cached on the server
        `keys` - List of keys
        `values` - List of values
        `handler` - Handler for the result of this call.
      Returns:

    - #### evalshaObservable

          @Deprecated
          public rx.Observable<String> evalshaObservable(String sha1,
                                                                     List<String> keys,
                                                                     List<String> values)

      Deprecated. use `rxEvalsha(java.lang.String, java.util.List<java.lang.String>, java.util.List<java.lang.String>)` instead
      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray.

      When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Parameters:
        `sha1` - SHA1 digest of the script cached on the server
        `keys` - List of keys
        `values` - List of values
      Returns:

    - #### rxEvalsha

          public rx.Single<String> rxEvalsha(String sha1,
                                             List<String> keys,
                                             List<String> values)

      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray.

      When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Parameters:
        `sha1` - SHA1 digest of the script cached on the server
        `keys` - List of keys
        `values` - List of values
      Returns:

    - #### exec

          public RedisTransaction exec(Handler<AsyncResult<JsonArray>> handler)

      Execute all commands issued after MULTI
      Parameters:
        `handler` -
      Returns:

    - #### execObservable

          @Deprecated
          public rx.Observable<JsonArray> execObservable()

      Deprecated. use `rxExec()` instead
      Execute all commands issued after MULTI
      Returns:

    - #### rxExec

          public rx.Single<JsonArray> rxExec()

      Execute all commands issued after MULTI
      Returns:

    - #### exists

          public RedisTransaction exists(String key,
                                         Handler<AsyncResult<String>> handler)

      Determine if a key exists
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### existsObservable

          @Deprecated
          public rx.Observable<String> existsObservable(String key)

      Deprecated. use `rxExists(java.lang.String)` instead
      Determine if a key exists
      Parameters:
        `key` - Key string
      Returns:

    - #### rxExists

          public rx.Single<String> rxExists(String key)

      Determine if a key exists
      Parameters:
        `key` - Key string
      Returns:

    - #### expire

          public RedisTransaction expire(String key,
                                         int seconds,
                                         Handler<AsyncResult<String>> handler)

      Set a key's time to live in seconds
      Parameters:
        `key` - Key string
        `seconds` - Time to live in seconds
        `handler` - Handler for the result of this call.
      Returns:

    - #### expireObservable

          @Deprecated
          public rx.Observable<String> expireObservable(String key,
                                                                    int seconds)

      Deprecated. use `rxExpire(java.lang.String, int)` instead
      Set a key's time to live in seconds
      Parameters:
        `key` - Key string
        `seconds` - Time to live in seconds
      Returns:

    - #### rxExpire

          public rx.Single<String> rxExpire(String key,
                                            int seconds)

      Set a key's time to live in seconds
      Parameters:
        `key` - Key string
        `seconds` - Time to live in seconds
      Returns:

    - #### expireat

          public RedisTransaction expireat(String key,
                                           long seconds,
                                           Handler<AsyncResult<String>> handler)

      Set the expiration for a key as a UNIX timestamp
      Parameters:
        `key` - Key string
        `seconds` - Expiry time as Unix timestamp in seconds
        `handler` - Handler for the result of this call.
      Returns:

    - #### expireatObservable

          @Deprecated
          public rx.Observable<String> expireatObservable(String key,
                                                                      long seconds)

      Deprecated. use `rxExpireat(java.lang.String, long)` instead
      Set the expiration for a key as a UNIX timestamp
      Parameters:
        `key` - Key string
        `seconds` - Expiry time as Unix timestamp in seconds
      Returns:

    - #### rxExpireat

          public rx.Single<String> rxExpireat(String key,
                                              long seconds)

      Set the expiration for a key as a UNIX timestamp
      Parameters:
        `key` - Key string
        `seconds` - Expiry time as Unix timestamp in seconds
      Returns:

    - #### flushall

          public RedisTransaction flushall(Handler<AsyncResult<String>> handler)

      Remove all keys from all databases
      Parameters:
        `handler` -
      Returns:

    - #### flushallObservable

          @Deprecated
          public rx.Observable<String> flushallObservable()

      Deprecated. use `rxFlushall()` instead
      Remove all keys from all databases
      Returns:

    - #### rxFlushall

          public rx.Single<String> rxFlushall()

      Remove all keys from all databases
      Returns:

    - #### flushdb

          public RedisTransaction flushdb(Handler<AsyncResult<String>> handler)

      Remove all keys from the current database
      Parameters:
        `handler` -
      Returns:

    - #### flushdbObservable

          @Deprecated
          public rx.Observable<String> flushdbObservable()

      Deprecated. use `rxFlushdb()` instead
      Remove all keys from the current database
      Returns:

    - #### rxFlushdb

          public rx.Single<String> rxFlushdb()

      Remove all keys from the current database
      Returns:

    - #### get

          public RedisTransaction get(String key,
                                      Handler<AsyncResult<String>> handler)

      Get the value of a key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### getObservable

          @Deprecated
          public rx.Observable<String> getObservable(String key)

      Deprecated. use `rxGet(java.lang.String)` instead
      Get the value of a key
      Parameters:
        `key` - Key string
      Returns:

    - #### rxGet

          public rx.Single<String> rxGet(String key)

      Get the value of a key
      Parameters:
        `key` - Key string
      Returns:

    - #### getBinary

          public RedisTransaction getBinary(String key,
                                            Handler<AsyncResult<String>> handler)

      Get the value of a key - without decoding as utf-8
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### getBinaryObservable

          @Deprecated
          public rx.Observable<String> getBinaryObservable(String key)

      Deprecated. use `rxGetBinary(java.lang.String)` instead
      Get the value of a key - without decoding as utf-8
      Parameters:
        `key` - Key string
      Returns:

    - #### rxGetBinary

          public rx.Single<String> rxGetBinary(String key)

      Get the value of a key - without decoding as utf-8
      Parameters:
        `key` - Key string
      Returns:

    - #### getbit

          public RedisTransaction getbit(String key,
                                         long offset,
                                         Handler<AsyncResult<String>> handler)

      Returns the bit value at offset in the string value stored at key
      Parameters:
        `key` - Key string
        `offset` - Offset in bits
        `handler` - Handler for the result of this call.
      Returns:

    - #### getbitObservable

          @Deprecated
          public rx.Observable<String> getbitObservable(String key,
                                                                    long offset)

      Deprecated. use `rxGetbit(java.lang.String, long)` instead
      Returns the bit value at offset in the string value stored at key
      Parameters:
        `key` - Key string
        `offset` - Offset in bits
      Returns:

    - #### rxGetbit

          public rx.Single<String> rxGetbit(String key,
                                            long offset)

      Returns the bit value at offset in the string value stored at key
      Parameters:
        `key` - Key string
        `offset` - Offset in bits
      Returns:

    - #### getrange

          public RedisTransaction getrange(String key,
                                           long start,
                                           long end,
                                           Handler<AsyncResult<String>> handler)

      Get a substring of the string stored at a key
      Parameters:
        `key` - Key string
        `start` - Start offset
        `end` - End offset - inclusive
        `handler` - Handler for the result of this call.
      Returns:

    - #### getrangeObservable

          @Deprecated
          public rx.Observable<String> getrangeObservable(String key,
                                                                      long start,
                                                                      long end)

      Deprecated. use `rxGetrange(java.lang.String, long, long)` instead
      Get a substring of the string stored at a key
      Parameters:
        `key` - Key string
        `start` - Start offset
        `end` - End offset - inclusive
      Returns:

    - #### rxGetrange

          public rx.Single<String> rxGetrange(String key,
                                              long start,
                                              long end)

      Get a substring of the string stored at a key
      Parameters:
        `key` - Key string
        `start` - Start offset
        `end` - End offset - inclusive
      Returns:

    - #### getset

          public RedisTransaction getset(String key,
                                         String value,
                                         Handler<AsyncResult<String>> handler)

      Set the string value of a key and return its old value
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.
      Returns:

    - #### getsetObservable

          @Deprecated
          public rx.Observable<String> getsetObservable(String key,
                                                                    String value)

      Deprecated. use `rxGetset(java.lang.String, java.lang.String)` instead
      Set the string value of a key and return its old value
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
      Returns:

    - #### rxGetset

          public rx.Single<String> rxGetset(String key,
                                            String value)

      Set the string value of a key and return its old value
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
      Returns:

    - #### hdel

          public RedisTransaction hdel(String key,
                                       String field,
                                       Handler<AsyncResult<String>> handler)

      Delete one or more hash fields
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.
      Returns:

    - #### hdelObservable

          @Deprecated
          public rx.Observable<String> hdelObservable(String key,
                                                                  String field)

      Deprecated. use `rxHdel(java.lang.String, java.lang.String)` instead
      Delete one or more hash fields
      Parameters:
        `key` - Key string
        `field` - Field name
      Returns:

    - #### rxHdel

          public rx.Single<String> rxHdel(String key,
                                          String field)

      Delete one or more hash fields
      Parameters:
        `key` - Key string
        `field` - Field name
      Returns:

    - #### hdelMany

          public RedisTransaction hdelMany(String key,
                                           List<String> fields,
                                           Handler<AsyncResult<String>> handler)

      Delete one or more hash fields
      Parameters:
        `key` - Key string
        `fields` - Field names
        `handler` - Handler for the result of this call.
      Returns:

    - #### hdelManyObservable

          @Deprecated
          public rx.Observable<String> hdelManyObservable(String key,
                                                                      List<String> fields)

      Deprecated. use `rxHdelMany(java.lang.String, java.util.List<java.lang.String>)` instead
      Delete one or more hash fields
      Parameters:
        `key` - Key string
        `fields` - Field names
      Returns:

    - #### rxHdelMany

          public rx.Single<String> rxHdelMany(String key,
                                              List<String> fields)

      Delete one or more hash fields
      Parameters:
        `key` - Key string
        `fields` - Field names
      Returns:

    - #### hexists

          public RedisTransaction hexists(String key,
                                          String field,
                                          Handler<AsyncResult<String>> handler)

      Determine if a hash field exists
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.
      Returns:

    - #### hexistsObservable

          @Deprecated
          public rx.Observable<String> hexistsObservable(String key,
                                                                     String field)

      Deprecated. use `rxHexists(java.lang.String, java.lang.String)` instead
      Determine if a hash field exists
      Parameters:
        `key` - Key string
        `field` - Field name
      Returns:

    - #### rxHexists

          public rx.Single<String> rxHexists(String key,
                                             String field)

      Determine if a hash field exists
      Parameters:
        `key` - Key string
        `field` - Field name
      Returns:

    - #### hget

          public RedisTransaction hget(String key,
                                       String field,
                                       Handler<AsyncResult<String>> handler)

      Get the value of a hash field
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.
      Returns:

    - #### hgetObservable

          @Deprecated
          public rx.Observable<String> hgetObservable(String key,
                                                                  String field)

      Deprecated. use `rxHget(java.lang.String, java.lang.String)` instead
      Get the value of a hash field
      Parameters:
        `key` - Key string
        `field` - Field name
      Returns:

    - #### rxHget

          public rx.Single<String> rxHget(String key,
                                          String field)

      Get the value of a hash field
      Parameters:
        `key` - Key string
        `field` - Field name
      Returns:

    - #### hgetall

          public RedisTransaction hgetall(String key,
                                          Handler<AsyncResult<String>> handler)

      Get all the fields and values in a hash
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### hgetallObservable

          @Deprecated
          public rx.Observable<String> hgetallObservable(String key)

      Deprecated. use `rxHgetall(java.lang.String)` instead
      Get all the fields and values in a hash
      Parameters:
        `key` - Key string
      Returns:

    - #### rxHgetall

          public rx.Single<String> rxHgetall(String key)

      Get all the fields and values in a hash
      Parameters:
        `key` - Key string
      Returns:

    - #### hincrby

          public RedisTransaction hincrby(String key,
                                          String field,
                                          long increment,
                                          Handler<AsyncResult<String>> handler)

      Increment the integer value of a hash field by the given number
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.
      Returns:

    - #### hincrbyObservable

          @Deprecated
          public rx.Observable<String> hincrbyObservable(String key,
                                                                     String field,
                                                                     long increment)

      Deprecated. use `rxHincrby(java.lang.String, java.lang.String, long)` instead
      Increment the integer value of a hash field by the given number
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
      Returns:

    - #### rxHincrby

          public rx.Single<String> rxHincrby(String key,
                                             String field,
                                             long increment)

      Increment the integer value of a hash field by the given number
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
      Returns:

    - #### hincrbyfloat

          public RedisTransaction hincrbyfloat(String key,
                                               String field,
                                               double increment,
                                               Handler<AsyncResult<String>> handler)

      Increment the float value of a hash field by the given amount
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.
      Returns:

    - #### hincrbyfloatObservable

          @Deprecated
          public rx.Observable<String> hincrbyfloatObservable(String key,
                                                                          String field,
                                                                          double increment)

      Deprecated. use `rxHincrbyfloat(java.lang.String, java.lang.String, double)` instead
      Increment the float value of a hash field by the given amount
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
      Returns:

    - #### rxHincrbyfloat

          public rx.Single<String> rxHincrbyfloat(String key,
                                                  String field,
                                                  double increment)

      Increment the float value of a hash field by the given amount
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
      Returns:

    - #### hkeys

          public RedisTransaction hkeys(String key,
                                        Handler<AsyncResult<String>> handler)

      Get all the fields in a hash
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### hkeysObservable

          @Deprecated
          public rx.Observable<String> hkeysObservable(String key)

      Deprecated. use `rxHkeys(java.lang.String)` instead
      Get all the fields in a hash
      Parameters:
        `key` - Key string
      Returns:

    - #### rxHkeys

          public rx.Single<String> rxHkeys(String key)

      Get all the fields in a hash
      Parameters:
        `key` - Key string
      Returns:

    - #### hlen

          public RedisTransaction hlen(String key,
                                       Handler<AsyncResult<String>> handler)

      Get the number of fields in a hash
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### hlenObservable

          @Deprecated
          public rx.Observable<String> hlenObservable(String key)

      Deprecated. use `rxHlen(java.lang.String)` instead
      Get the number of fields in a hash
      Parameters:
        `key` - Key string
      Returns:

    - #### rxHlen

          public rx.Single<String> rxHlen(String key)

      Get the number of fields in a hash
      Parameters:
        `key` - Key string
      Returns:

    - #### hmget

          public RedisTransaction hmget(String key,
                                        List<String> fields,
                                        Handler<AsyncResult<String>> handler)

      Get the values of all the given hash fields
      Parameters:
        `key` - Key string
        `fields` - Field names
        `handler` - Handler for the result of this call.
      Returns:

    - #### hmgetObservable

          @Deprecated
          public rx.Observable<String> hmgetObservable(String key,
                                                                   List<String> fields)

      Deprecated. use `rxHmget(java.lang.String, java.util.List<java.lang.String>)` instead
      Get the values of all the given hash fields
      Parameters:
        `key` - Key string
        `fields` - Field names
      Returns:

    - #### rxHmget

          public rx.Single<String> rxHmget(String key,
                                           List<String> fields)

      Get the values of all the given hash fields
      Parameters:
        `key` - Key string
        `fields` - Field names
      Returns:

    - #### hmset

          public RedisTransaction hmset(String key,
                                        JsonObject values,
                                        Handler<AsyncResult<String>> handler)

      Set multiple hash fields to multiple values
      Parameters:
        `key` - Key string
        `values` - Map of field:value pairs
        `handler` - Handler for the result of this call.
      Returns:

    - #### hmsetObservable

          @Deprecated
          public rx.Observable<String> hmsetObservable(String key,
                                                                   JsonObject values)

      Deprecated. use `rxHmset(java.lang.String, io.vertx.core.json.JsonObject)` instead
      Set multiple hash fields to multiple values
      Parameters:
        `key` - Key string
        `values` - Map of field:value pairs
      Returns:

    - #### rxHmset

          public rx.Single<String> rxHmset(String key,
                                           JsonObject values)

      Set multiple hash fields to multiple values
      Parameters:
        `key` - Key string
        `values` - Map of field:value pairs
      Returns:

    - #### hset

          public RedisTransaction hset(String key,
                                       String field,
                                       String value,
                                       Handler<AsyncResult<String>> handler)

      Set the string value of a hash field
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
        `handler` - Handler for the result of this call.
      Returns:

    - #### hsetObservable

          @Deprecated
          public rx.Observable<String> hsetObservable(String key,
                                                                  String field,
                                                                  String value)

      Deprecated. use `rxHset(java.lang.String, java.lang.String, java.lang.String)` instead
      Set the string value of a hash field
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
      Returns:

    - #### rxHset

          public rx.Single<String> rxHset(String key,
                                          String field,
                                          String value)

      Set the string value of a hash field
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
      Returns:

    - #### hsetnx

          public RedisTransaction hsetnx(String key,
                                         String field,
                                         String value,
                                         Handler<AsyncResult<String>> handler)

      Set the value of a hash field, only if the field does not exist
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
        `handler` - Handler for the result of this call.
      Returns:

    - #### hsetnxObservable

          @Deprecated
          public rx.Observable<String> hsetnxObservable(String key,
                                                                    String field,
                                                                    String value)

      Deprecated. use `rxHsetnx(java.lang.String, java.lang.String, java.lang.String)` instead
      Set the value of a hash field, only if the field does not exist
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
      Returns:

    - #### rxHsetnx

          public rx.Single<String> rxHsetnx(String key,
                                            String field,
                                            String value)

      Set the value of a hash field, only if the field does not exist
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
      Returns:

    - #### hvals

          public RedisTransaction hvals(String key,
                                        Handler<AsyncResult<String>> handler)

      Get all the values in a hash
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### hvalsObservable

          @Deprecated
          public rx.Observable<String> hvalsObservable(String key)

      Deprecated. use `rxHvals(java.lang.String)` instead
      Get all the values in a hash
      Parameters:
        `key` - Key string
      Returns:

    - #### rxHvals

          public rx.Single<String> rxHvals(String key)

      Get all the values in a hash
      Parameters:
        `key` - Key string
      Returns:

    - #### incr

          public RedisTransaction incr(String key,
                                       Handler<AsyncResult<String>> handler)

      Increment the integer value of a key by one
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### incrObservable

          @Deprecated
          public rx.Observable<String> incrObservable(String key)

      Deprecated. use `rxIncr(java.lang.String)` instead
      Increment the integer value of a key by one
      Parameters:
        `key` - Key string
      Returns:

    - #### rxIncr

          public rx.Single<String> rxIncr(String key)

      Increment the integer value of a key by one
      Parameters:
        `key` - Key string
      Returns:

    - #### incrby

          public RedisTransaction incrby(String key,
                                         long increment,
                                         Handler<AsyncResult<String>> handler)

      Increment the integer value of a key by the given amount
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.
      Returns:

    - #### incrbyObservable

          @Deprecated
          public rx.Observable<String> incrbyObservable(String key,
                                                                    long increment)

      Deprecated. use `rxIncrby(java.lang.String, long)` instead
      Increment the integer value of a key by the given amount
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
      Returns:

    - #### rxIncrby

          public rx.Single<String> rxIncrby(String key,
                                            long increment)

      Increment the integer value of a key by the given amount
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
      Returns:

    - #### incrbyfloat

          public RedisTransaction incrbyfloat(String key,
                                              double increment,
                                              Handler<AsyncResult<String>> handler)

      Increment the float value of a key by the given amount
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.
      Returns:

    - #### incrbyfloatObservable

          @Deprecated
          public rx.Observable<String> incrbyfloatObservable(String key,
                                                                         double increment)

      Deprecated. use `rxIncrbyfloat(java.lang.String, double)` instead
      Increment the float value of a key by the given amount
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
      Returns:

    - #### rxIncrbyfloat

          public rx.Single<String> rxIncrbyfloat(String key,
                                                 double increment)

      Increment the float value of a key by the given amount
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
      Returns:

    - #### info

          public RedisTransaction info(Handler<AsyncResult<String>> handler)

      Get information and statistics about the server
      Parameters:
        `handler` - Handler for the result of this call.
      Returns:

    - #### infoObservable

          @Deprecated
          public rx.Observable<String> infoObservable()

      Deprecated. use `rxInfo()` instead
      Get information and statistics about the server
      Returns:

    - #### rxInfo

          public rx.Single<String> rxInfo()

      Get information and statistics about the server
      Returns:

    - #### infoSection

          public RedisTransaction infoSection(String section,
                                              Handler<AsyncResult<String>> handler)

      Get information and statistics about the server
      Parameters:
        `section` - Specific section of information to return
        `handler` - Handler for the result of this call.
      Returns:

    - #### infoSectionObservable

          @Deprecated
          public rx.Observable<String> infoSectionObservable(String section)

      Deprecated. use `rxInfoSection(java.lang.String)` instead
      Get information and statistics about the server
      Parameters:
        `section` - Specific section of information to return
      Returns:

    - #### rxInfoSection

          public rx.Single<String> rxInfoSection(String section)

      Get information and statistics about the server
      Parameters:
        `section` - Specific section of information to return
      Returns:

    - #### keys

          public RedisTransaction keys(String pattern,
                                       Handler<AsyncResult<String>> handler)

      Find all keys matching the given pattern
      Parameters:
        `pattern` - Pattern to limit the keys returned
        `handler` - Handler for the result of this call.
      Returns:

    - #### keysObservable

          @Deprecated
          public rx.Observable<String> keysObservable(String pattern)

      Deprecated. use `rxKeys(java.lang.String)` instead
      Find all keys matching the given pattern
      Parameters:
        `pattern` - Pattern to limit the keys returned
      Returns:

    - #### rxKeys

          public rx.Single<String> rxKeys(String pattern)

      Find all keys matching the given pattern
      Parameters:
        `pattern` - Pattern to limit the keys returned
      Returns:

    - #### lastsave

          public RedisTransaction lastsave(Handler<AsyncResult<String>> handler)

      Get the UNIX time stamp of the last successful save to disk
      Parameters:
        `handler` -
      Returns:

    - #### lastsaveObservable

          @Deprecated
          public rx.Observable<String> lastsaveObservable()

      Deprecated. use `rxLastsave()` instead
      Get the UNIX time stamp of the last successful save to disk
      Returns:

    - #### rxLastsave

          public rx.Single<String> rxLastsave()

      Get the UNIX time stamp of the last successful save to disk
      Returns:

    - #### lindex

          public RedisTransaction lindex(String key,
                                         int index,
                                         Handler<AsyncResult<String>> handler)

      Get an element from a list by its index
      Parameters:
        `key` - Key string
        `index` - Index of list element to get
        `handler` - Handler for the result of this call.
      Returns:

    - #### lindexObservable

          @Deprecated
          public rx.Observable<String> lindexObservable(String key,
                                                                    int index)

      Deprecated. use `rxLindex(java.lang.String, int)` instead
      Get an element from a list by its index
      Parameters:
        `key` - Key string
        `index` - Index of list element to get
      Returns:

    - #### rxLindex

          public rx.Single<String> rxLindex(String key,
                                            int index)

      Get an element from a list by its index
      Parameters:
        `key` - Key string
        `index` - Index of list element to get
      Returns:

    - #### linsert

          public RedisTransaction linsert(String key,
                                          InsertOptions option,
                                          String pivot,
                                          String value,
                                          Handler<AsyncResult<String>> handler)

      Insert an element before or after another element in a list
      Parameters:
        `key` - Key string
        `option` - BEFORE or AFTER
        `pivot` - Key to use as a pivot
        `value` - Value to be inserted before or after the pivot
        `handler` - Handler for the result of this call.
      Returns:

    - #### linsertObservable

          @Deprecated
          public rx.Observable<String> linsertObservable(String key,
                                                                     InsertOptions option,
                                                                     String pivot,
                                                                     String value)

      Deprecated. use `rxLinsert(java.lang.String, io.vertx.redis.op.InsertOptions, java.lang.String, java.lang.String)` instead
      Insert an element before or after another element in a list
      Parameters:
        `key` - Key string
        `option` - BEFORE or AFTER
        `pivot` - Key to use as a pivot
        `value` - Value to be inserted before or after the pivot
      Returns:

    - #### rxLinsert

          public rx.Single<String> rxLinsert(String key,
                                             InsertOptions option,
                                             String pivot,
                                             String value)

      Insert an element before or after another element in a list
      Parameters:
        `key` - Key string
        `option` - BEFORE or AFTER
        `pivot` - Key to use as a pivot
        `value` - Value to be inserted before or after the pivot
      Returns:

    - #### llen

          public RedisTransaction llen(String key,
                                       Handler<AsyncResult<String>> handler)

      Get the length of a list
      Parameters:
        `key` - String key
        `handler` - Handler for the result of this call.
      Returns:

    - #### llenObservable

          @Deprecated
          public rx.Observable<String> llenObservable(String key)

      Deprecated. use `rxLlen(java.lang.String)` instead
      Get the length of a list
      Parameters:
        `key` - String key
      Returns:

    - #### rxLlen

          public rx.Single<String> rxLlen(String key)

      Get the length of a list
      Parameters:
        `key` - String key
      Returns:

    - #### lpop

          public RedisTransaction lpop(String key,
                                       Handler<AsyncResult<String>> handler)

      Remove and get the first element in a list
      Parameters:
        `key` - String key
        `handler` - Handler for the result of this call.
      Returns:

    - #### lpopObservable

          @Deprecated
          public rx.Observable<String> lpopObservable(String key)

      Deprecated. use `rxLpop(java.lang.String)` instead
      Remove and get the first element in a list
      Parameters:
        `key` - String key
      Returns:

    - #### rxLpop

          public rx.Single<String> rxLpop(String key)

      Remove and get the first element in a list
      Parameters:
        `key` - String key
      Returns:

    - #### lpushMany

          public RedisTransaction lpushMany(String key,
                                            List<String> values,
                                            Handler<AsyncResult<String>> handler)

      Prepend one or multiple values to a list
      Parameters:
        `key` - Key string
        `values` - Values to be added at the beginning of the list, one by one
        `handler` - Handler for the result of this call.
      Returns:

    - #### lpushManyObservable

          @Deprecated
          public rx.Observable<String> lpushManyObservable(String key,
                                                                       List<String> values)

      Deprecated. use `rxLpushMany(java.lang.String, java.util.List<java.lang.String>)` instead
      Prepend one or multiple values to a list
      Parameters:
        `key` - Key string
        `values` - Values to be added at the beginning of the list, one by one
      Returns:

    - #### rxLpushMany

          public rx.Single<String> rxLpushMany(String key,
                                               List<String> values)

      Prepend one or multiple values to a list
      Parameters:
        `key` - Key string
        `values` - Values to be added at the beginning of the list, one by one
      Returns:

    - #### lpush

          public RedisTransaction lpush(String key,
                                        String value,
                                        Handler<AsyncResult<String>> handler)

      Prepend one value to a list
      Parameters:
        `key` - Key string
        `value` - Value to be added at the beginning of the list
        `handler` - Handler for the result of this call.
      Returns:

    - #### lpushObservable

          @Deprecated
          public rx.Observable<String> lpushObservable(String key,
                                                                   String value)

      Deprecated. use `rxLpush(java.lang.String, java.lang.String)` instead
      Prepend one value to a list
      Parameters:
        `key` - Key string
        `value` - Value to be added at the beginning of the list
      Returns:

    - #### rxLpush

          public rx.Single<String> rxLpush(String key,
                                           String value)

      Prepend one value to a list
      Parameters:
        `key` - Key string
        `value` - Value to be added at the beginning of the list
      Returns:

    - #### lpushx

          public RedisTransaction lpushx(String key,
                                         String value,
                                         Handler<AsyncResult<String>> handler)

      Prepend a value to a list, only if the list exists
      Parameters:
        `key` - Key string
        `value` - Value to add at the beginning of the list
        `handler` - Handler for the result of this call.
      Returns:

    - #### lpushxObservable

          @Deprecated
          public rx.Observable<String> lpushxObservable(String key,
                                                                    String value)

      Deprecated. use `rxLpushx(java.lang.String, java.lang.String)` instead
      Prepend a value to a list, only if the list exists
      Parameters:
        `key` - Key string
        `value` - Value to add at the beginning of the list
      Returns:

    - #### rxLpushx

          public rx.Single<String> rxLpushx(String key,
                                            String value)

      Prepend a value to a list, only if the list exists
      Parameters:
        `key` - Key string
        `value` - Value to add at the beginning of the list
      Returns:

    - #### lrange

          public RedisTransaction lrange(String key,
                                         long from,
                                         long to,
                                         Handler<AsyncResult<String>> handler)

      Get a range of elements from a list
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
        `handler` - Handler for the result of this call.
      Returns:

    - #### lrangeObservable

          @Deprecated
          public rx.Observable<String> lrangeObservable(String key,
                                                                    long from,
                                                                    long to)

      Deprecated. use `rxLrange(java.lang.String, long, long)` instead
      Get a range of elements from a list
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
      Returns:

    - #### rxLrange

          public rx.Single<String> rxLrange(String key,
                                            long from,
                                            long to)

      Get a range of elements from a list
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
      Returns:

    - #### lrem

          public RedisTransaction lrem(String key,
                                       long count,
                                       String value,
                                       Handler<AsyncResult<String>> handler)

      Remove elements from a list
      Parameters:
        `key` - Key string
        `count` - Number of first found occurrences equal to $value to remove from the list
        `value` - Value to be removed
        `handler` - Handler for the result of this call.
      Returns:

    - #### lremObservable

          @Deprecated
          public rx.Observable<String> lremObservable(String key,
                                                                  long count,
                                                                  String value)

      Deprecated. use `rxLrem(java.lang.String, long, java.lang.String)` instead
      Remove elements from a list
      Parameters:
        `key` - Key string
        `count` - Number of first found occurrences equal to $value to remove from the list
        `value` - Value to be removed
      Returns:

    - #### rxLrem

          public rx.Single<String> rxLrem(String key,
                                          long count,
                                          String value)

      Remove elements from a list
      Parameters:
        `key` - Key string
        `count` - Number of first found occurrences equal to $value to remove from the list
        `value` - Value to be removed
      Returns:

    - #### lset

          public RedisTransaction lset(String key,
                                       long index,
                                       String value,
                                       Handler<AsyncResult<String>> handler)

      Set the value of an element in a list by its index
      Parameters:
        `key` - Key string
        `index` - Position within list
        `value` - New value
        `handler` - Handler for the result of this call.
      Returns:

    - #### lsetObservable

          @Deprecated
          public rx.Observable<String> lsetObservable(String key,
                                                                  long index,
                                                                  String value)

      Deprecated. use `rxLset(java.lang.String, long, java.lang.String)` instead
      Set the value of an element in a list by its index
      Parameters:
        `key` - Key string
        `index` - Position within list
        `value` - New value
      Returns:

    - #### rxLset

          public rx.Single<String> rxLset(String key,
                                          long index,
                                          String value)

      Set the value of an element in a list by its index
      Parameters:
        `key` - Key string
        `index` - Position within list
        `value` - New value
      Returns:

    - #### ltrim

          public RedisTransaction ltrim(String key,
                                        long from,
                                        long to,
                                        Handler<AsyncResult<String>> handler)

      Trim a list to the specified range
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
        `handler` - Handler for the result of this call.
      Returns:

    - #### ltrimObservable

          @Deprecated
          public rx.Observable<String> ltrimObservable(String key,
                                                                   long from,
                                                                   long to)

      Deprecated. use `rxLtrim(java.lang.String, long, long)` instead
      Trim a list to the specified range
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
      Returns:

    - #### rxLtrim

          public rx.Single<String> rxLtrim(String key,
                                           long from,
                                           long to)

      Trim a list to the specified range
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
      Returns:

    - #### mget

          public RedisTransaction mget(String key,
                                       Handler<AsyncResult<String>> handler)

      Get the value of the given key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### mgetObservable

          @Deprecated
          public rx.Observable<String> mgetObservable(String key)

      Deprecated. use `rxMget(java.lang.String)` instead
      Get the value of the given key
      Parameters:
        `key` - Key string
      Returns:

    - #### rxMget

          public rx.Single<String> rxMget(String key)

      Get the value of the given key
      Parameters:
        `key` - Key string
      Returns:

    - #### mgetMany

          public RedisTransaction mgetMany(List<String> keys,
                                           Handler<AsyncResult<String>> handler)

      Get the values of all the given keys
      Parameters:
        `keys` - List of keys to get
        `handler` - Handler for the result of this call.
      Returns:

    - #### mgetManyObservable

          @Deprecated
          public rx.Observable<String> mgetManyObservable(List<String> keys)

      Deprecated. use `rxMgetMany(java.util.List<java.lang.String>)` instead
      Get the values of all the given keys
      Parameters:
        `keys` - List of keys to get
      Returns:

    - #### rxMgetMany

          public rx.Single<String> rxMgetMany(List<String> keys)

      Get the values of all the given keys
      Parameters:
        `keys` - List of keys to get
      Returns:

    - #### migrate

          public RedisTransaction migrate(String host,
                                          int port,
                                          String key,
                                          int destdb,
                                          long timeout,
                                          MigrateOptions options,
                                          Handler<AsyncResult<String>> handler)

      Atomically transfer a key from a Redis instance to another one.
      Parameters:
        `host` - Destination host
        `port` - Destination port
        `key` - Key to migrate
        `destdb` - Destination database index
        `timeout` -
        `options` - Migrate options
        `handler` - Handler for the result of this call.
      Returns:

    - #### migrateObservable

          @Deprecated
          public rx.Observable<String> migrateObservable(String host,
                                                                     int port,
                                                                     String key,
                                                                     int destdb,
                                                                     long timeout,
                                                                     MigrateOptions options)

      Deprecated. use `rxMigrate(java.lang.String, int, java.lang.String, int, long, io.vertx.redis.op.MigrateOptions)` instead
      Atomically transfer a key from a Redis instance to another one.
      Parameters:
        `host` - Destination host
        `port` - Destination port
        `key` - Key to migrate
        `destdb` - Destination database index
        `timeout` -
        `options` - Migrate options
      Returns:

    - #### rxMigrate

          public rx.Single<String> rxMigrate(String host,
                                             int port,
                                             String key,
                                             int destdb,
                                             long timeout,
                                             MigrateOptions options)

      Atomically transfer a key from a Redis instance to another one.
      Parameters:
        `host` - Destination host
        `port` - Destination port
        `key` - Key to migrate
        `destdb` - Destination database index
        `timeout` -
        `options` - Migrate options
      Returns:

    - #### monitor

          public RedisTransaction monitor(Handler<AsyncResult<String>> handler)

      Listen for all requests received by the server in real time
      Parameters:
        `handler` -
      Returns:

    - #### monitorObservable

          @Deprecated
          public rx.Observable<String> monitorObservable()

      Deprecated. use `rxMonitor()` instead
      Listen for all requests received by the server in real time
      Returns:

    - #### rxMonitor

          public rx.Single<String> rxMonitor()

      Listen for all requests received by the server in real time
      Returns:

    - #### move

          public RedisTransaction move(String key,
                                       int destdb,
                                       Handler<AsyncResult<String>> handler)

      Move a key to another database
      Parameters:
        `key` - Key to migrate
        `destdb` - Destination database index
        `handler` - Handler for the result of this call.
      Returns:

    - #### moveObservable

          @Deprecated
          public rx.Observable<String> moveObservable(String key,
                                                                  int destdb)

      Deprecated. use `rxMove(java.lang.String, int)` instead
      Move a key to another database
      Parameters:
        `key` - Key to migrate
        `destdb` - Destination database index
      Returns:

    - #### rxMove

          public rx.Single<String> rxMove(String key,
                                          int destdb)

      Move a key to another database
      Parameters:
        `key` - Key to migrate
        `destdb` - Destination database index
      Returns:

    - #### mset

          public RedisTransaction mset(JsonObject keyvals,
                                       Handler<AsyncResult<String>> handler)

      Set multiple keys to multiple values
      Parameters:
        `keyvals` - Key value pairs to set
        `handler` - Handler for the result of this call.
      Returns:

    - #### msetObservable

          @Deprecated
          public rx.Observable<String> msetObservable(JsonObject keyvals)

      Deprecated. use `rxMset(io.vertx.core.json.JsonObject)` instead
      Set multiple keys to multiple values
      Parameters:
        `keyvals` - Key value pairs to set
      Returns:

    - #### rxMset

          public rx.Single<String> rxMset(JsonObject keyvals)

      Set multiple keys to multiple values
      Parameters:
        `keyvals` - Key value pairs to set
      Returns:

    - #### msetnx

          public RedisTransaction msetnx(JsonObject keyvals,
                                         Handler<AsyncResult<String>> handler)

      Set multiple keys to multiple values, only if none of the keys exist
      Parameters:
        `keyvals` - Key value pairs to set
        `handler` - Handler for the result of this call.
      Returns:

    - #### msetnxObservable

          @Deprecated
          public rx.Observable<String> msetnxObservable(JsonObject keyvals)

      Deprecated. use `rxMsetnx(io.vertx.core.json.JsonObject)` instead
      Set multiple keys to multiple values, only if none of the keys exist
      Parameters:
        `keyvals` - Key value pairs to set
      Returns:

    - #### rxMsetnx

          public rx.Single<String> rxMsetnx(JsonObject keyvals)

      Set multiple keys to multiple values, only if none of the keys exist
      Parameters:
        `keyvals` - Key value pairs to set
      Returns:

    - #### multi

          public RedisTransaction multi(Handler<AsyncResult<String>> handler)

      Mark the start of a RedisTransaction block
      Parameters:
        `handler` -
      Returns:

    - #### multiObservable

          @Deprecated
          public rx.Observable<String> multiObservable()

      Deprecated. use `rxMulti()` instead
      Mark the start of a RedisTransaction block
      Returns:

    - #### rxMulti

          public rx.Single<String> rxMulti()

      Mark the start of a RedisTransaction block
      Returns:

    - #### object

          public RedisTransaction object(String key,
                                         ObjectCmd cmd,
                                         Handler<AsyncResult<String>> handler)

      Inspect the internals of Redis objects
      Parameters:
        `key` - Key string
        `cmd` - Object sub command
        `handler` - Handler for the result of this call.
      Returns:

    - #### objectObservable

          @Deprecated
          public rx.Observable<String> objectObservable(String key,
                                                                    ObjectCmd cmd)

      Deprecated. use `rxObject(java.lang.String, io.vertx.redis.op.ObjectCmd)` instead
      Inspect the internals of Redis objects
      Parameters:
        `key` - Key string
        `cmd` - Object sub command
      Returns:

    - #### rxObject

          public rx.Single<String> rxObject(String key,
                                            ObjectCmd cmd)

      Inspect the internals of Redis objects
      Parameters:
        `key` - Key string
        `cmd` - Object sub command
      Returns:

    - #### persist

          public RedisTransaction persist(String key,
                                          Handler<AsyncResult<String>> handler)

      Remove the expiration from a key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### persistObservable

          @Deprecated
          public rx.Observable<String> persistObservable(String key)

      Deprecated. use `rxPersist(java.lang.String)` instead
      Remove the expiration from a key
      Parameters:
        `key` - Key string
      Returns:

    - #### rxPersist

          public rx.Single<String> rxPersist(String key)

      Remove the expiration from a key
      Parameters:
        `key` - Key string
      Returns:

    - #### pexpire

          public RedisTransaction pexpire(String key,
                                          long millis,
                                          Handler<AsyncResult<String>> handler)

      Set a key's time to live in milliseconds
      Parameters:
        `key` - String key
        `millis` - Time to live in milliseconds
        `handler` - Handler for the result of this call.
      Returns:

    - #### pexpireObservable

          @Deprecated
          public rx.Observable<String> pexpireObservable(String key,
                                                                     long millis)

      Deprecated. use `rxPexpire(java.lang.String, long)` instead
      Set a key's time to live in milliseconds
      Parameters:
        `key` - String key
        `millis` - Time to live in milliseconds
      Returns:

    - #### rxPexpire

          public rx.Single<String> rxPexpire(String key,
                                             long millis)

      Set a key's time to live in milliseconds
      Parameters:
        `key` - String key
        `millis` - Time to live in milliseconds
      Returns:

    - #### pexpireat

          public RedisTransaction pexpireat(String key,
                                            long millis,
                                            Handler<AsyncResult<String>> handler)

      Set the expiration for a key as a UNIX timestamp specified in milliseconds
      Parameters:
        `key` - Key string
        `millis` - Expiry time as Unix timestamp in milliseconds
        `handler` - Handler for the result of this call.
      Returns:

    - #### pexpireatObservable

          @Deprecated
          public rx.Observable<String> pexpireatObservable(String key,
                                                                       long millis)

      Deprecated. use `rxPexpireat(java.lang.String, long)` instead
      Set the expiration for a key as a UNIX timestamp specified in milliseconds
      Parameters:
        `key` - Key string
        `millis` - Expiry time as Unix timestamp in milliseconds
      Returns:

    - #### rxPexpireat

          public rx.Single<String> rxPexpireat(String key,
                                               long millis)

      Set the expiration for a key as a UNIX timestamp specified in milliseconds
      Parameters:
        `key` - Key string
        `millis` - Expiry time as Unix timestamp in milliseconds
      Returns:

    - #### pfadd

          public RedisTransaction pfadd(String key,
                                        String element,
                                        Handler<AsyncResult<String>> handler)

      Adds the specified element to the specified HyperLogLog.
      Parameters:
        `key` - Key string
        `element` - Element to add
        `handler` - Handler for the result of this call.
      Returns:

    - #### pfaddObservable

          @Deprecated
          public rx.Observable<String> pfaddObservable(String key,
                                                                   String element)

      Deprecated. use `rxPfadd(java.lang.String, java.lang.String)` instead
      Adds the specified element to the specified HyperLogLog.
      Parameters:
        `key` - Key string
        `element` - Element to add
      Returns:

    - #### rxPfadd

          public rx.Single<String> rxPfadd(String key,
                                           String element)

      Adds the specified element to the specified HyperLogLog.
      Parameters:
        `key` - Key string
        `element` - Element to add
      Returns:

    - #### pfaddMany

          public RedisTransaction pfaddMany(String key,
                                            List<String> elements,
                                            Handler<AsyncResult<String>> handler)

      Adds the specified elements to the specified HyperLogLog.
      Parameters:
        `key` - Key string
        `elements` - Elementa to add
        `handler` - Handler for the result of this call.
      Returns:

    - #### pfaddManyObservable

          @Deprecated
          public rx.Observable<String> pfaddManyObservable(String key,
                                                                       List<String> elements)

      Deprecated. use `rxPfaddMany(java.lang.String, java.util.List<java.lang.String>)` instead
      Adds the specified elements to the specified HyperLogLog.
      Parameters:
        `key` - Key string
        `elements` - Elementa to add
      Returns:

    - #### rxPfaddMany

          public rx.Single<String> rxPfaddMany(String key,
                                               List<String> elements)

      Adds the specified elements to the specified HyperLogLog.
      Parameters:
        `key` - Key string
        `elements` - Elementa to add
      Returns:

    - #### pfcount

          public RedisTransaction pfcount(String key,
                                          Handler<AsyncResult<String>> handler)

      Return the approximated cardinality of the set observed by the HyperLogLog at key.
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### pfcountObservable

          @Deprecated
          public rx.Observable<String> pfcountObservable(String key)

      Deprecated. use `rxPfcount(java.lang.String)` instead
      Return the approximated cardinality of the set observed by the HyperLogLog at key.
      Parameters:
        `key` - Key string
      Returns:

    - #### rxPfcount

          public rx.Single<String> rxPfcount(String key)

      Return the approximated cardinality of the set observed by the HyperLogLog at key.
      Parameters:
        `key` - Key string
      Returns:

    - #### pfcountMany

          public RedisTransaction pfcountMany(List<String> keys,
                                              Handler<AsyncResult<String>> handler)

      Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
      Parameters:
        `keys` - List of keys
        `handler` - Handler for the result of this call.
      Returns:

    - #### pfcountManyObservable

          @Deprecated
          public rx.Observable<String> pfcountManyObservable(List<String> keys)

      Deprecated. use `rxPfcountMany(java.util.List<java.lang.String>)` instead
      Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
      Parameters:
        `keys` - List of keys
      Returns:

    - #### rxPfcountMany

          public rx.Single<String> rxPfcountMany(List<String> keys)

      Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
      Parameters:
        `keys` - List of keys
      Returns:

    - #### pfmerge

          public RedisTransaction pfmerge(String destkey,
                                          List<String> keys,
                                          Handler<AsyncResult<String>> handler)

      Merge N different HyperLogLogs into a single one.
      Parameters:
        `destkey` - Destination key
        `keys` - List of source keys
        `handler` - Handler for the result of this call.
      Returns:

    - #### pfmergeObservable

          @Deprecated
          public rx.Observable<String> pfmergeObservable(String destkey,
                                                                     List<String> keys)

      Deprecated. use `rxPfmerge(java.lang.String, java.util.List<java.lang.String>)` instead
      Merge N different HyperLogLogs into a single one.
      Parameters:
        `destkey` - Destination key
        `keys` - List of source keys
      Returns:

    - #### rxPfmerge

          public rx.Single<String> rxPfmerge(String destkey,
                                             List<String> keys)

      Merge N different HyperLogLogs into a single one.
      Parameters:
        `destkey` - Destination key
        `keys` - List of source keys
      Returns:

    - #### ping

          public RedisTransaction ping(Handler<AsyncResult<String>> handler)

      Ping the server
      Parameters:
        `handler` -
      Returns:

    - #### pingObservable

          @Deprecated
          public rx.Observable<String> pingObservable()

      Deprecated. use `rxPing()` instead
      Ping the server
      Returns:

    - #### rxPing

          public rx.Single<String> rxPing()

      Ping the server
      Returns:

    - #### psetex

          public RedisTransaction psetex(String key,
                                         long millis,
                                         String value,
                                         Handler<AsyncResult<String>> handler)

      Set the value and expiration in milliseconds of a key
      Parameters:
        `key` - Key string
        `millis` - Number of milliseconds until the key expires
        `value` - New value for key
        `handler` - Handler for the result of this call.
      Returns:

    - #### psetexObservable

          @Deprecated
          public rx.Observable<String> psetexObservable(String key,
                                                                    long millis,
                                                                    String value)

      Deprecated. use `rxPsetex(java.lang.String, long, java.lang.String)` instead
      Set the value and expiration in milliseconds of a key
      Parameters:
        `key` - Key string
        `millis` - Number of milliseconds until the key expires
        `value` - New value for key
      Returns:

    - #### rxPsetex

          public rx.Single<String> rxPsetex(String key,
                                            long millis,
                                            String value)

      Set the value and expiration in milliseconds of a key
      Parameters:
        `key` - Key string
        `millis` - Number of milliseconds until the key expires
        `value` - New value for key
      Returns:

    - #### psubscribe

          public RedisTransaction psubscribe(String pattern,
                                             Handler<AsyncResult<String>> handler)

      Listen for messages published to channels matching the given pattern
      Parameters:
        `pattern` - Pattern string
        `handler` - Handler for the result of this call.
      Returns:

    - #### psubscribeObservable

          @Deprecated
          public rx.Observable<String> psubscribeObservable(String pattern)

      Deprecated. use `rxPsubscribe(java.lang.String)` instead
      Listen for messages published to channels matching the given pattern
      Parameters:
        `pattern` - Pattern string
      Returns:

    - #### rxPsubscribe

          public rx.Single<String> rxPsubscribe(String pattern)

      Listen for messages published to channels matching the given pattern
      Parameters:
        `pattern` - Pattern string
      Returns:

    - #### psubscribeMany

          public RedisTransaction psubscribeMany(List<String> patterns,
                                                 Handler<AsyncResult<String>> handler)

      Listen for messages published to channels matching the given patterns
      Parameters:
        `patterns` - List of patterns
        `handler` - Handler for the result of this call.
      Returns:

    - #### psubscribeManyObservable

          @Deprecated
          public rx.Observable<String> psubscribeManyObservable(List<String> patterns)

      Deprecated. use `rxPsubscribeMany(java.util.List<java.lang.String>)` instead
      Listen for messages published to channels matching the given patterns
      Parameters:
        `patterns` - List of patterns
      Returns:

    - #### rxPsubscribeMany

          public rx.Single<String> rxPsubscribeMany(List<String> patterns)

      Listen for messages published to channels matching the given patterns
      Parameters:
        `patterns` - List of patterns
      Returns:

    - #### pubsubChannels

          public RedisTransaction pubsubChannels(String pattern,
                                                 Handler<AsyncResult<String>> handler)

      Lists the currently active channels - only those matching the pattern
      Parameters:
        `pattern` - A glob-style pattern - an empty string means no pattern
        `handler` - Handler for the result of this call.
      Returns:

    - #### pubsubChannelsObservable

          @Deprecated
          public rx.Observable<String> pubsubChannelsObservable(String pattern)

      Deprecated. use `rxPubsubChannels(java.lang.String)` instead
      Lists the currently active channels - only those matching the pattern
      Parameters:
        `pattern` - A glob-style pattern - an empty string means no pattern
      Returns:

    - #### rxPubsubChannels

          public rx.Single<String> rxPubsubChannels(String pattern)

      Lists the currently active channels - only those matching the pattern
      Parameters:
        `pattern` - A glob-style pattern - an empty string means no pattern
      Returns:

    - #### pubsubNumsub

          public RedisTransaction pubsubNumsub(List<String> channels,
                                               Handler<AsyncResult<String>> handler)

      Returns the number of subscribers (not counting clients subscribed to patterns) for the specified channels
      Parameters:
        `channels` - List of channels
        `handler` - Handler for the result of this call.
      Returns:

    - #### pubsubNumsubObservable

          @Deprecated
          public rx.Observable<String> pubsubNumsubObservable(List<String> channels)

      Deprecated. use `rxPubsubNumsub(java.util.List<java.lang.String>)` instead
      Returns the number of subscribers (not counting clients subscribed to patterns) for the specified channels
      Parameters:
        `channels` - List of channels
      Returns:

    - #### rxPubsubNumsub

          public rx.Single<String> rxPubsubNumsub(List<String> channels)

      Returns the number of subscribers (not counting clients subscribed to patterns) for the specified channels
      Parameters:
        `channels` - List of channels
      Returns:

    - #### pubsubNumpat

          public RedisTransaction pubsubNumpat(Handler<AsyncResult<String>> handler)

      Returns the number of subscriptions to patterns (that are performed using the PSUBSCRIBE command)
      Parameters:
        `handler` - Handler for the result of this call.
      Returns:

    - #### pubsubNumpatObservable

          @Deprecated
          public rx.Observable<String> pubsubNumpatObservable()

      Deprecated. use `rxPubsubNumpat()` instead
      Returns the number of subscriptions to patterns (that are performed using the PSUBSCRIBE command)
      Returns:

    - #### rxPubsubNumpat

          public rx.Single<String> rxPubsubNumpat()

      Returns the number of subscriptions to patterns (that are performed using the PSUBSCRIBE command)
      Returns:

    - #### pttl

          public RedisTransaction pttl(String key,
                                       Handler<AsyncResult<String>> handler)

      Get the time to live for a key in milliseconds
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### pttlObservable

          @Deprecated
          public rx.Observable<String> pttlObservable(String key)

      Deprecated. use `rxPttl(java.lang.String)` instead
      Get the time to live for a key in milliseconds
      Parameters:
        `key` - Key string
      Returns:

    - #### rxPttl

          public rx.Single<String> rxPttl(String key)

      Get the time to live for a key in milliseconds
      Parameters:
        `key` - Key string
      Returns:

    - #### publish

          public RedisTransaction publish(String channel,
                                          String message,
                                          Handler<AsyncResult<String>> handler)

      Post a message to a channel
      Parameters:
        `channel` - Channel key
        `message` - Message to send to channel
        `handler` - Handler for the result of this call.
      Returns:

    - #### publishObservable

          @Deprecated
          public rx.Observable<String> publishObservable(String channel,
                                                                     String message)

      Deprecated. use `rxPublish(java.lang.String, java.lang.String)` instead
      Post a message to a channel
      Parameters:
        `channel` - Channel key
        `message` - Message to send to channel
      Returns:

    - #### rxPublish

          public rx.Single<String> rxPublish(String channel,
                                             String message)

      Post a message to a channel
      Parameters:
        `channel` - Channel key
        `message` - Message to send to channel
      Returns:

    - #### punsubscribe

          public RedisTransaction punsubscribe(List<String> patterns,
                                               Handler<AsyncResult<String>> handler)

      Stop listening for messages posted to channels matching the given patterns
      Parameters:
        `patterns` - List of patterns to match against
        `handler` - Handler for the result of this call.
      Returns:

    - #### punsubscribeObservable

          @Deprecated
          public rx.Observable<String> punsubscribeObservable(List<String> patterns)

      Deprecated. use `rxPunsubscribe(java.util.List<java.lang.String>)` instead
      Stop listening for messages posted to channels matching the given patterns
      Parameters:
        `patterns` - List of patterns to match against
      Returns:

    - #### rxPunsubscribe

          public rx.Single<String> rxPunsubscribe(List<String> patterns)

      Stop listening for messages posted to channels matching the given patterns
      Parameters:
        `patterns` - List of patterns to match against
      Returns:

    - #### randomkey

          public RedisTransaction randomkey(Handler<AsyncResult<String>> handler)

      Return a random key from the keyspace
      Parameters:
        `handler` -
      Returns:

    - #### randomkeyObservable

          @Deprecated
          public rx.Observable<String> randomkeyObservable()

      Deprecated. use `rxRandomkey()` instead
      Return a random key from the keyspace
      Returns:

    - #### rxRandomkey

          public rx.Single<String> rxRandomkey()

      Return a random key from the keyspace
      Returns:

    - #### rename

          public RedisTransaction rename(String key,
                                         String newkey,
                                         Handler<AsyncResult<String>> handler)

      Rename a key
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### renameObservable

          @Deprecated
          public rx.Observable<String> renameObservable(String key,
                                                                    String newkey)

      Deprecated. use `rxRename(java.lang.String, java.lang.String)` instead
      Rename a key
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
      Returns:

    - #### rxRename

          public rx.Single<String> rxRename(String key,
                                            String newkey)

      Rename a key
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
      Returns:

    - #### renamenx

          public RedisTransaction renamenx(String key,
                                           String newkey,
                                           Handler<AsyncResult<String>> handler)

      Rename a key, only if the new key does not exist
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### renamenxObservable

          @Deprecated
          public rx.Observable<String> renamenxObservable(String key,
                                                                      String newkey)

      Deprecated. use `rxRenamenx(java.lang.String, java.lang.String)` instead
      Rename a key, only if the new key does not exist
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
      Returns:

    - #### rxRenamenx

          public rx.Single<String> rxRenamenx(String key,
                                              String newkey)

      Rename a key, only if the new key does not exist
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
      Returns:

    - #### restore

          public RedisTransaction restore(String key,
                                          long millis,
                                          String serialized,
                                          Handler<AsyncResult<String>> handler)

      Create a key using the provided serialized value, previously obtained using DUMP.
      Parameters:
        `key` - Key string
        `millis` - Expiry time in milliseconds to set on the key
        `serialized` - Serialized form of the key value as obtained using DUMP
        `handler` - Handler for the result of this call.
      Returns:

    - #### restoreObservable

          @Deprecated
          public rx.Observable<String> restoreObservable(String key,
                                                                     long millis,
                                                                     String serialized)

      Deprecated. use `rxRestore(java.lang.String, long, java.lang.String)` instead
      Create a key using the provided serialized value, previously obtained using DUMP.
      Parameters:
        `key` - Key string
        `millis` - Expiry time in milliseconds to set on the key
        `serialized` - Serialized form of the key value as obtained using DUMP
      Returns:

    - #### rxRestore

          public rx.Single<String> rxRestore(String key,
                                             long millis,
                                             String serialized)

      Create a key using the provided serialized value, previously obtained using DUMP.
      Parameters:
        `key` - Key string
        `millis` - Expiry time in milliseconds to set on the key
        `serialized` - Serialized form of the key value as obtained using DUMP
      Returns:

    - #### role

          public RedisTransaction role(Handler<AsyncResult<String>> handler)

      Return the role of the instance in the context of replication
      Parameters:
        `handler` -
      Returns:

    - #### roleObservable

          @Deprecated
          public rx.Observable<String> roleObservable()

      Deprecated. use `rxRole()` instead
      Return the role of the instance in the context of replication
      Returns:

    - #### rxRole

          public rx.Single<String> rxRole()

      Return the role of the instance in the context of replication
      Returns:

    - #### rpop

          public RedisTransaction rpop(String key,
                                       Handler<AsyncResult<String>> handler)

      Remove and get the last element in a list
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### rpopObservable

          @Deprecated
          public rx.Observable<String> rpopObservable(String key)

      Deprecated. use `rxRpop(java.lang.String)` instead
      Remove and get the last element in a list
      Parameters:
        `key` - Key string
      Returns:

    - #### rxRpop

          public rx.Single<String> rxRpop(String key)

      Remove and get the last element in a list
      Parameters:
        `key` - Key string
      Returns:

    - #### rpoplpush

          public RedisTransaction rpoplpush(String key,
                                            String destkey,
                                            Handler<AsyncResult<String>> handler)

      Remove the last element in a list, append it to another list and return it
      Parameters:
        `key` - Key string identifying source list
        `destkey` - Key string identifying destination list
        `handler` - Handler for the result of this call.
      Returns:

    - #### rpoplpushObservable

          @Deprecated
          public rx.Observable<String> rpoplpushObservable(String key,
                                                                       String destkey)

      Deprecated. use `rxRpoplpush(java.lang.String, java.lang.String)` instead
      Remove the last element in a list, append it to another list and return it
      Parameters:
        `key` - Key string identifying source list
        `destkey` - Key string identifying destination list
      Returns:

    - #### rxRpoplpush

          public rx.Single<String> rxRpoplpush(String key,
                                               String destkey)

      Remove the last element in a list, append it to another list and return it
      Parameters:
        `key` - Key string identifying source list
        `destkey` - Key string identifying destination list
      Returns:

    - #### rpushMany

          public RedisTransaction rpushMany(String key,
                                            List<String> values,
                                            Handler<AsyncResult<String>> handler)

      Append one or multiple values to a list
      Parameters:
        `key` - Key string
        `values` - List of values to add to the end of the list
        `handler` - Handler for the result of this call.
      Returns:

    - #### rpushManyObservable

          @Deprecated
          public rx.Observable<String> rpushManyObservable(String key,
                                                                       List<String> values)

      Deprecated. use `rxRpushMany(java.lang.String, java.util.List<java.lang.String>)` instead
      Append one or multiple values to a list
      Parameters:
        `key` - Key string
        `values` - List of values to add to the end of the list
      Returns:

    - #### rxRpushMany

          public rx.Single<String> rxRpushMany(String key,
                                               List<String> values)

      Append one or multiple values to a list
      Parameters:
        `key` - Key string
        `values` - List of values to add to the end of the list
      Returns:

    - #### rpush

          public RedisTransaction rpush(String key,
                                        String value,
                                        Handler<AsyncResult<String>> handler)

      Append one or multiple values to a list
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
        `handler` - Handler for the result of this call.
      Returns:

    - #### rpushObservable

          @Deprecated
          public rx.Observable<String> rpushObservable(String key,
                                                                   String value)

      Deprecated. use `rxRpush(java.lang.String, java.lang.String)` instead
      Append one or multiple values to a list
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
      Returns:

    - #### rxRpush

          public rx.Single<String> rxRpush(String key,
                                           String value)

      Append one or multiple values to a list
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
      Returns:

    - #### rpushx

          public RedisTransaction rpushx(String key,
                                         String value,
                                         Handler<AsyncResult<String>> handler)

      Append a value to a list, only if the list exists
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
        `handler` - Handler for the result of this call.
      Returns:

    - #### rpushxObservable

          @Deprecated
          public rx.Observable<String> rpushxObservable(String key,
                                                                    String value)

      Deprecated. use `rxRpushx(java.lang.String, java.lang.String)` instead
      Append a value to a list, only if the list exists
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
      Returns:

    - #### rxRpushx

          public rx.Single<String> rxRpushx(String key,
                                            String value)

      Append a value to a list, only if the list exists
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
      Returns:

    - #### sadd

          public RedisTransaction sadd(String key,
                                       String member,
                                       Handler<AsyncResult<String>> handler)

      Add a member to a set
      Parameters:
        `key` - Key string
        `member` - Value to be added to the set
        `handler` - Handler for the result of this call.
      Returns:

    - #### saddObservable

          @Deprecated
          public rx.Observable<String> saddObservable(String key,
                                                                  String member)

      Deprecated. use `rxSadd(java.lang.String, java.lang.String)` instead
      Add a member to a set
      Parameters:
        `key` - Key string
        `member` - Value to be added to the set
      Returns:

    - #### rxSadd

          public rx.Single<String> rxSadd(String key,
                                          String member)

      Add a member to a set
      Parameters:
        `key` - Key string
        `member` - Value to be added to the set
      Returns:

    - #### saddMany

          public RedisTransaction saddMany(String key,
                                           List<String> members,
                                           Handler<AsyncResult<String>> handler)

      Add one or more members to a set
      Parameters:
        `key` - Key string
        `members` - Values to be added to the set
        `handler` - Handler for the result of this call.
      Returns:

    - #### saddManyObservable

          @Deprecated
          public rx.Observable<String> saddManyObservable(String key,
                                                                      List<String> members)

      Deprecated. use `rxSaddMany(java.lang.String, java.util.List<java.lang.String>)` instead
      Add one or more members to a set
      Parameters:
        `key` - Key string
        `members` - Values to be added to the set
      Returns:

    - #### rxSaddMany

          public rx.Single<String> rxSaddMany(String key,
                                              List<String> members)

      Add one or more members to a set
      Parameters:
        `key` - Key string
        `members` - Values to be added to the set
      Returns:

    - #### save

          public RedisTransaction save(Handler<AsyncResult<String>> handler)

      Synchronously save the dataset to disk
      Parameters:
        `handler` -
      Returns:

    - #### saveObservable

          @Deprecated
          public rx.Observable<String> saveObservable()

      Deprecated. use `rxSave()` instead
      Synchronously save the dataset to disk
      Returns:

    - #### rxSave

          public rx.Single<String> rxSave()

      Synchronously save the dataset to disk
      Returns:

    - #### scard

          public RedisTransaction scard(String key,
                                        Handler<AsyncResult<String>> handler)

      Get the number of members in a set
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### scardObservable

          @Deprecated
          public rx.Observable<String> scardObservable(String key)

      Deprecated. use `rxScard(java.lang.String)` instead
      Get the number of members in a set
      Parameters:
        `key` - Key string
      Returns:

    - #### rxScard

          public rx.Single<String> rxScard(String key)

      Get the number of members in a set
      Parameters:
        `key` - Key string
      Returns:

    - #### scriptExists

          public RedisTransaction scriptExists(String script,
                                               Handler<AsyncResult<String>> handler)

      Check existence of script in the script cache.
      Parameters:
        `script` - SHA1 digest identifying a script in the script cache
        `handler` - Handler for the result of this call.
      Returns:

    - #### scriptExistsObservable

          @Deprecated
          public rx.Observable<String> scriptExistsObservable(String script)

      Deprecated. use `rxScriptExists(java.lang.String)` instead
      Check existence of script in the script cache.
      Parameters:
        `script` - SHA1 digest identifying a script in the script cache
      Returns:

    - #### rxScriptExists

          public rx.Single<String> rxScriptExists(String script)

      Check existence of script in the script cache.
      Parameters:
        `script` - SHA1 digest identifying a script in the script cache
      Returns:

    - #### scriptExistsMany

          public RedisTransaction scriptExistsMany(List<String> scripts,
                                                   Handler<AsyncResult<String>> handler)

      Check existence of scripts in the script cache.
      Parameters:
        `scripts` - List of SHA1 digests identifying scripts in the script cache
        `handler` - Handler for the result of this call.
      Returns:

    - #### scriptExistsManyObservable

          @Deprecated
          public rx.Observable<String> scriptExistsManyObservable(List<String> scripts)

      Deprecated. use `rxScriptExistsMany(java.util.List<java.lang.String>)` instead
      Check existence of scripts in the script cache.
      Parameters:
        `scripts` - List of SHA1 digests identifying scripts in the script cache
      Returns:

    - #### rxScriptExistsMany

          public rx.Single<String> rxScriptExistsMany(List<String> scripts)

      Check existence of scripts in the script cache.
      Parameters:
        `scripts` - List of SHA1 digests identifying scripts in the script cache
      Returns:

    - #### scriptFlush

          public RedisTransaction scriptFlush(Handler<AsyncResult<String>> handler)

      Remove all the scripts from the script cache.
      Parameters:
        `handler` -
      Returns:

    - #### scriptFlushObservable

          @Deprecated
          public rx.Observable<String> scriptFlushObservable()

      Deprecated. use `rxScriptFlush()` instead
      Remove all the scripts from the script cache.
      Returns:

    - #### rxScriptFlush

          public rx.Single<String> rxScriptFlush()

      Remove all the scripts from the script cache.
      Returns:

    - #### scriptKill

          public RedisTransaction scriptKill(Handler<AsyncResult<String>> handler)

      Kill the script currently in execution.
      Parameters:
        `handler` -
      Returns:

    - #### scriptKillObservable

          @Deprecated
          public rx.Observable<String> scriptKillObservable()

      Deprecated. use `rxScriptKill()` instead
      Kill the script currently in execution.
      Returns:

    - #### rxScriptKill

          public rx.Single<String> rxScriptKill()

      Kill the script currently in execution.
      Returns:

    - #### scriptLoad

          public RedisTransaction scriptLoad(String script,
                                             Handler<AsyncResult<String>> handler)

      Load the specified Lua script into the script cache.
      Parameters:
        `script` - Lua script
        `handler` - Handler for the result of this call.
      Returns:

    - #### scriptLoadObservable

          @Deprecated
          public rx.Observable<String> scriptLoadObservable(String script)

      Deprecated. use `rxScriptLoad(java.lang.String)` instead
      Load the specified Lua script into the script cache.
      Parameters:
        `script` - Lua script
      Returns:

    - #### rxScriptLoad

          public rx.Single<String> rxScriptLoad(String script)

      Load the specified Lua script into the script cache.
      Parameters:
        `script` - Lua script
      Returns:

    - #### sdiff

          public RedisTransaction sdiff(String key,
                                        List<String> cmpkeys,
                                        Handler<AsyncResult<String>> handler)

      Subtract multiple sets
      Parameters:
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
        `handler` - Handler for the result of this call.
      Returns:

    - #### sdiffObservable

          @Deprecated
          public rx.Observable<String> sdiffObservable(String key,
                                                                   List<String> cmpkeys)

      Deprecated. use `rxSdiff(java.lang.String, java.util.List<java.lang.String>)` instead
      Subtract multiple sets
      Parameters:
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
      Returns:

    - #### rxSdiff

          public rx.Single<String> rxSdiff(String key,
                                           List<String> cmpkeys)

      Subtract multiple sets
      Parameters:
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
      Returns:

    - #### sdiffstore

          public RedisTransaction sdiffstore(String destkey,
                                             String key,
                                             List<String> cmpkeys,
                                             Handler<AsyncResult<String>> handler)

      Subtract multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Destination key where the result should be stored
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
        `handler` - Handler for the result of this call.
      Returns:

    - #### sdiffstoreObservable

          @Deprecated
          public rx.Observable<String> sdiffstoreObservable(String destkey,
                                                                        String key,
                                                                        List<String> cmpkeys)

      Deprecated. use `rxSdiffstore(java.lang.String, java.lang.String, java.util.List<java.lang.String>)` instead
      Subtract multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Destination key where the result should be stored
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
      Returns:

    - #### rxSdiffstore

          public rx.Single<String> rxSdiffstore(String destkey,
                                                String key,
                                                List<String> cmpkeys)

      Subtract multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Destination key where the result should be stored
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
      Returns:

    - #### select

          public RedisTransaction select(int dbindex,
                                         Handler<AsyncResult<String>> handler)

      Change the selected database for the current connection
      Parameters:
        `dbindex` - Index identifying the new active database
        `handler` - Handler for the result of this call.
      Returns:

    - #### selectObservable

          @Deprecated
          public rx.Observable<String> selectObservable(int dbindex)

      Deprecated. use `rxSelect(int)` instead
      Change the selected database for the current connection
      Parameters:
        `dbindex` - Index identifying the new active database
      Returns:

    - #### rxSelect

          public rx.Single<String> rxSelect(int dbindex)

      Change the selected database for the current connection
      Parameters:
        `dbindex` - Index identifying the new active database
      Returns:

    - #### set

          public RedisTransaction set(String key,
                                      String value,
                                      Handler<AsyncResult<String>> handler)

      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.
      Returns:

    - #### setObservable

          @Deprecated
          public rx.Observable<String> setObservable(String key,
                                                                 String value)

      Deprecated. use `rxSet(java.lang.String, java.lang.String)` instead
      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
      Returns:

    - #### rxSet

          public rx.Single<String> rxSet(String key,
                                         String value)

      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
      Returns:

    - #### setWithOptions

          public RedisTransaction setWithOptions(String key,
                                                 String value,
                                                 SetOptions options,
                                                 Handler<AsyncResult<String>> handler)

      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options
        `handler` - Handler for the result of this call.
      Returns:

    - #### setWithOptionsObservable

          @Deprecated
          public rx.Observable<String> setWithOptionsObservable(String key,
                                                                            String value,
                                                                            SetOptions options)

      Deprecated. use `rxSetWithOptions(java.lang.String, java.lang.String, io.vertx.redis.op.SetOptions)` instead
      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options
      Returns:

    - #### rxSetWithOptions

          public rx.Single<String> rxSetWithOptions(String key,
                                                    String value,
                                                    SetOptions options)

      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options
      Returns:

    - #### setBinary

          public RedisTransaction setBinary(String key,
                                            Buffer value,
                                            Handler<AsyncResult<String>> handler)

      Set the binary string value of a key - without encoding as utf-8
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.
      Returns:

    - #### setBinaryObservable

          @Deprecated
          public rx.Observable<String> setBinaryObservable(String key,
                                                                       Buffer value)

      Deprecated. use `rxSetBinary(java.lang.String, io.vertx.rxjava.core.buffer.Buffer)` instead
      Set the binary string value of a key - without encoding as utf-8
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
      Returns:

    - #### rxSetBinary

          public rx.Single<String> rxSetBinary(String key,
                                               Buffer value)

      Set the binary string value of a key - without encoding as utf-8
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
      Returns:

    - #### setBinaryWithOptions

          public RedisTransaction setBinaryWithOptions(String key,
                                                       Buffer value,
                                                       SetOptions options,
                                                       Handler<AsyncResult<String>> handler)

      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options
        `handler` - Handler for the result of this call.
      Returns:

    - #### setBinaryWithOptionsObservable

          @Deprecated
          public rx.Observable<String> setBinaryWithOptionsObservable(String key,
                                                                                  Buffer value,
                                                                                  SetOptions options)

      Deprecated. use `rxSetBinaryWithOptions(java.lang.String, io.vertx.rxjava.core.buffer.Buffer, io.vertx.redis.op.SetOptions)` instead
      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options
      Returns:

    - #### rxSetBinaryWithOptions

          public rx.Single<String> rxSetBinaryWithOptions(String key,
                                                          Buffer value,
                                                          SetOptions options)

      Set the string value of a key
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options
      Returns:

    - #### setbit

          public RedisTransaction setbit(String key,
                                         long offset,
                                         int bit,
                                         Handler<AsyncResult<String>> handler)

      Sets or clears the bit at offset in the string value stored at key
      Parameters:
        `key` - Key string
        `offset` - Bit offset
        `bit` - New value - must be 1 or 0
        `handler` - Handler for the result of this call.
      Returns:

    - #### setbitObservable

          @Deprecated
          public rx.Observable<String> setbitObservable(String key,
                                                                    long offset,
                                                                    int bit)

      Deprecated. use `rxSetbit(java.lang.String, long, int)` instead
      Sets or clears the bit at offset in the string value stored at key
      Parameters:
        `key` - Key string
        `offset` - Bit offset
        `bit` - New value - must be 1 or 0
      Returns:

    - #### rxSetbit

          public rx.Single<String> rxSetbit(String key,
                                            long offset,
                                            int bit)

      Sets or clears the bit at offset in the string value stored at key
      Parameters:
        `key` - Key string
        `offset` - Bit offset
        `bit` - New value - must be 1 or 0
      Returns:

    - #### setex

          public RedisTransaction setex(String key,
                                        long seconds,
                                        String value,
                                        Handler<AsyncResult<String>> handler)

      Set the value and expiration of a key
      Parameters:
        `key` - Key string
        `seconds` - Number of seconds until the key expires
        `value` - New value for key
        `handler` - Handler for the result of this call.
      Returns:

    - #### setexObservable

          @Deprecated
          public rx.Observable<String> setexObservable(String key,
                                                                   long seconds,
                                                                   String value)

      Deprecated. use `rxSetex(java.lang.String, long, java.lang.String)` instead
      Set the value and expiration of a key
      Parameters:
        `key` - Key string
        `seconds` - Number of seconds until the key expires
        `value` - New value for key
      Returns:

    - #### rxSetex

          public rx.Single<String> rxSetex(String key,
                                           long seconds,
                                           String value)

      Set the value and expiration of a key
      Parameters:
        `key` - Key string
        `seconds` - Number of seconds until the key expires
        `value` - New value for key
      Returns:

    - #### setnx

          public RedisTransaction setnx(String key,
                                        String value,
                                        Handler<AsyncResult<String>> handler)

      Set the value of a key, only if the key does not exist
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.
      Returns:

    - #### setnxObservable

          @Deprecated
          public rx.Observable<String> setnxObservable(String key,
                                                                   String value)

      Deprecated. use `rxSetnx(java.lang.String, java.lang.String)` instead
      Set the value of a key, only if the key does not exist
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
      Returns:

    - #### rxSetnx

          public rx.Single<String> rxSetnx(String key,
                                           String value)

      Set the value of a key, only if the key does not exist
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
      Returns:

    - #### setrange

          public RedisTransaction setrange(String key,
                                           int offset,
                                           String value,
                                           Handler<AsyncResult<String>> handler)

      Overwrite part of a string at key starting at the specified offset
      Parameters:
        `key` - Key string
        `offset` - Offset - the maximum offset that you can set is 2^29 -1 (536870911), as Redis Strings are limited to 512 megabytes
        `value` - Value to overwrite with
        `handler` - Handler for the result of this call.
      Returns:

    - #### setrangeObservable

          @Deprecated
          public rx.Observable<String> setrangeObservable(String key,
                                                                      int offset,
                                                                      String value)

      Deprecated. use `rxSetrange(java.lang.String, int, java.lang.String)` instead
      Overwrite part of a string at key starting at the specified offset
      Parameters:
        `key` - Key string
        `offset` - Offset - the maximum offset that you can set is 2^29 -1 (536870911), as Redis Strings are limited to 512 megabytes
        `value` - Value to overwrite with
      Returns:

    - #### rxSetrange

          public rx.Single<String> rxSetrange(String key,
                                              int offset,
                                              String value)

      Overwrite part of a string at key starting at the specified offset
      Parameters:
        `key` - Key string
        `offset` - Offset - the maximum offset that you can set is 2^29 -1 (536870911), as Redis Strings are limited to 512 megabytes
        `value` - Value to overwrite with
      Returns:

    - #### sinter

          public RedisTransaction sinter(List<String> keys,
                                         Handler<AsyncResult<String>> handler)

      Intersect multiple sets
      Parameters:
        `keys` - List of keys to perform intersection on
        `handler` - Handler for the result of this call.
      Returns:

    - #### sinterObservable

          @Deprecated
          public rx.Observable<String> sinterObservable(List<String> keys)

      Deprecated. use `rxSinter(java.util.List<java.lang.String>)` instead
      Intersect multiple sets
      Parameters:
        `keys` - List of keys to perform intersection on
      Returns:

    - #### rxSinter

          public rx.Single<String> rxSinter(List<String> keys)

      Intersect multiple sets
      Parameters:
        `keys` - List of keys to perform intersection on
      Returns:

    - #### sinterstore

          public RedisTransaction sinterstore(String destkey,
                                              List<String> keys,
                                              Handler<AsyncResult<String>> handler)

      Intersect multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Key where to store the results
        `keys` - List of keys to perform intersection on
        `handler` - Handler for the result of this call.
      Returns:

    - #### sinterstoreObservable

          @Deprecated
          public rx.Observable<String> sinterstoreObservable(String destkey,
                                                                         List<String> keys)

      Deprecated. use `rxSinterstore(java.lang.String, java.util.List<java.lang.String>)` instead
      Intersect multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Key where to store the results
        `keys` - List of keys to perform intersection on
      Returns:

    - #### rxSinterstore

          public rx.Single<String> rxSinterstore(String destkey,
                                                 List<String> keys)

      Intersect multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Key where to store the results
        `keys` - List of keys to perform intersection on
      Returns:

    - #### sismember

          public RedisTransaction sismember(String key,
                                            String member,
                                            Handler<AsyncResult<String>> handler)

      Determine if a given value is a member of a set
      Parameters:
        `key` - Key string
        `member` - Member to look for
        `handler` - Handler for the result of this call.
      Returns:

    - #### sismemberObservable

          @Deprecated
          public rx.Observable<String> sismemberObservable(String key,
                                                                       String member)

      Deprecated. use `rxSismember(java.lang.String, java.lang.String)` instead
      Determine if a given value is a member of a set
      Parameters:
        `key` - Key string
        `member` - Member to look for
      Returns:

    - #### rxSismember

          public rx.Single<String> rxSismember(String key,
                                               String member)

      Determine if a given value is a member of a set
      Parameters:
        `key` - Key string
        `member` - Member to look for
      Returns:

    - #### slaveof

          public RedisTransaction slaveof(String host,
                                          int port,
                                          Handler<AsyncResult<String>> handler)

      Make the server a slave of another instance
      Parameters:
        `host` - Host to become this server's master
        `port` - Port of our new master
        `handler` - Handler for the result of this call.
      Returns:

    - #### slaveofObservable

          @Deprecated
          public rx.Observable<String> slaveofObservable(String host,
                                                                     int port)

      Deprecated. use `rxSlaveof(java.lang.String, int)` instead
      Make the server a slave of another instance
      Parameters:
        `host` - Host to become this server's master
        `port` - Port of our new master
      Returns:

    - #### rxSlaveof

          public rx.Single<String> rxSlaveof(String host,
                                             int port)

      Make the server a slave of another instance
      Parameters:
        `host` - Host to become this server's master
        `port` - Port of our new master
      Returns:

    - #### slaveofNoone

          public RedisTransaction slaveofNoone(Handler<AsyncResult<String>> handler)

      Make this server a master
      Parameters:
        `handler` - Handler for the result of this call.
      Returns:

    - #### slaveofNooneObservable

          @Deprecated
          public rx.Observable<String> slaveofNooneObservable()

      Deprecated. use `rxSlaveofNoone()` instead
      Make this server a master
      Returns:

    - #### rxSlaveofNoone

          public rx.Single<String> rxSlaveofNoone()

      Make this server a master
      Returns:

    - #### slowlogGet

          public RedisTransaction slowlogGet(int limit,
                                             Handler<AsyncResult<String>> handler)

      Read the Redis slow queries log
      Parameters:
        `limit` - Number of log entries to return. If value is less than zero all entries are returned
        `handler` - Handler for the result of this call.
      Returns:

    - #### slowlogGetObservable

          @Deprecated
          public rx.Observable<String> slowlogGetObservable(int limit)

      Deprecated. use `rxSlowlogGet(int)` instead
      Read the Redis slow queries log
      Parameters:
        `limit` - Number of log entries to return. If value is less than zero all entries are returned
      Returns:

    - #### rxSlowlogGet

          public rx.Single<String> rxSlowlogGet(int limit)

      Read the Redis slow queries log
      Parameters:
        `limit` - Number of log entries to return. If value is less than zero all entries are returned
      Returns:

    - #### slowlogLen

          public RedisTransaction slowlogLen(Handler<AsyncResult<String>> handler)

      Get the length of the Redis slow queries log
      Parameters:
        `handler` - Handler for the result of this call.
      Returns:

    - #### slowlogLenObservable

          @Deprecated
          public rx.Observable<String> slowlogLenObservable()

      Deprecated. use `rxSlowlogLen()` instead
      Get the length of the Redis slow queries log
      Returns:

    - #### rxSlowlogLen

          public rx.Single<String> rxSlowlogLen()

      Get the length of the Redis slow queries log
      Returns:

    - #### slowlogReset

          public RedisTransaction slowlogReset(Handler<AsyncResult<String>> handler)

      Reset the Redis slow queries log
      Parameters:
        `handler` - Handler for the result of this call.
      Returns:

    - #### slowlogResetObservable

          @Deprecated
          public rx.Observable<String> slowlogResetObservable()

      Deprecated. use `rxSlowlogReset()` instead
      Reset the Redis slow queries log
      Returns:

    - #### rxSlowlogReset

          public rx.Single<String> rxSlowlogReset()

      Reset the Redis slow queries log
      Returns:

    - #### smembers

          public RedisTransaction smembers(String key,
                                           Handler<AsyncResult<JsonArray>> handler)

      Get all the members in a set
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### smembersObservable

          @Deprecated
          public rx.Observable<JsonArray> smembersObservable(String key)

      Deprecated. use `rxSmembers(java.lang.String)` instead
      Get all the members in a set
      Parameters:
        `key` - Key string
      Returns:

    - #### rxSmembers

          public rx.Single<JsonArray> rxSmembers(String key)

      Get all the members in a set
      Parameters:
        `key` - Key string
      Returns:

    - #### smove

          public RedisTransaction smove(String key,
                                        String destkey,
                                        String member,
                                        Handler<AsyncResult<String>> handler)

      Move a member from one set to another
      Parameters:
        `key` - Key of source set currently containing the member
        `destkey` - Key identifying the destination set
        `member` - Member to move
        `handler` - Handler for the result of this call.
      Returns:

    - #### smoveObservable

          @Deprecated
          public rx.Observable<String> smoveObservable(String key,
                                                                   String destkey,
                                                                   String member)

      Deprecated. use `rxSmove(java.lang.String, java.lang.String, java.lang.String)` instead
      Move a member from one set to another
      Parameters:
        `key` - Key of source set currently containing the member
        `destkey` - Key identifying the destination set
        `member` - Member to move
      Returns:

    - #### rxSmove

          public rx.Single<String> rxSmove(String key,
                                           String destkey,
                                           String member)

      Move a member from one set to another
      Parameters:
        `key` - Key of source set currently containing the member
        `destkey` - Key identifying the destination set
        `member` - Member to move
      Returns:

    - #### sort

          public RedisTransaction sort(String key,
                                       SortOptions options,
                                       Handler<AsyncResult<String>> handler)

      Sort the elements in a list, set or sorted set
      Parameters:
        `key` - Key string
        `options` - Sort options
        `handler` - Handler for the result of this call.
      Returns:

    - #### sortObservable

          @Deprecated
          public rx.Observable<String> sortObservable(String key,
                                                                  SortOptions options)

      Deprecated. use `rxSort(java.lang.String, io.vertx.redis.op.SortOptions)` instead
      Sort the elements in a list, set or sorted set
      Parameters:
        `key` - Key string
        `options` - Sort options
      Returns:

    - #### rxSort

          public rx.Single<String> rxSort(String key,
                                          SortOptions options)

      Sort the elements in a list, set or sorted set
      Parameters:
        `key` - Key string
        `options` - Sort options
      Returns:

    - #### spop

          public RedisTransaction spop(String key,
                                       Handler<AsyncResult<String>> handler)

      Remove and return a random member from a set
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### spopObservable

          @Deprecated
          public rx.Observable<String> spopObservable(String key)

      Deprecated. use `rxSpop(java.lang.String)` instead
      Remove and return a random member from a set
      Parameters:
        `key` - Key string
      Returns:

    - #### rxSpop

          public rx.Single<String> rxSpop(String key)

      Remove and return a random member from a set
      Parameters:
        `key` - Key string
      Returns:

    - #### spopMany

          public RedisTransaction spopMany(String key,
                                           int count,
                                           Handler<AsyncResult<String>> handler)

      Remove and return random members from a set
      Parameters:
        `key` - Key string
        `count` - Number of members to remove
        `handler` - Handler for the result of this call.
      Returns:

    - #### spopManyObservable

          @Deprecated
          public rx.Observable<String> spopManyObservable(String key,
                                                                      int count)

      Deprecated. use `rxSpopMany(java.lang.String, int)` instead
      Remove and return random members from a set
      Parameters:
        `key` - Key string
        `count` - Number of members to remove
      Returns:

    - #### rxSpopMany

          public rx.Single<String> rxSpopMany(String key,
                                              int count)

      Remove and return random members from a set
      Parameters:
        `key` - Key string
        `count` - Number of members to remove
      Returns:

    - #### srandmember

          public RedisTransaction srandmember(String key,
                                              Handler<AsyncResult<String>> handler)

      Get one or multiple random members from a set
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### srandmemberObservable

          @Deprecated
          public rx.Observable<String> srandmemberObservable(String key)

      Deprecated. use `rxSrandmember(java.lang.String)` instead
      Get one or multiple random members from a set
      Parameters:
        `key` - Key string
      Returns:

    - #### rxSrandmember

          public rx.Single<String> rxSrandmember(String key)

      Get one or multiple random members from a set
      Parameters:
        `key` - Key string
      Returns:

    - #### srandmemberCount

          public RedisTransaction srandmemberCount(String key,
                                                   int count,
                                                   Handler<AsyncResult<String>> handler)

      Get one or multiple random members from a set
      Parameters:
        `key` - Key string
        `count` - Number of members to get
        `handler` - Handler for the result of this call.
      Returns:

    - #### srandmemberCountObservable

          @Deprecated
          public rx.Observable<String> srandmemberCountObservable(String key,
                                                                              int count)

      Deprecated. use `rxSrandmemberCount(java.lang.String, int)` instead
      Get one or multiple random members from a set
      Parameters:
        `key` - Key string
        `count` - Number of members to get
      Returns:

    - #### rxSrandmemberCount

          public rx.Single<String> rxSrandmemberCount(String key,
                                                      int count)

      Get one or multiple random members from a set
      Parameters:
        `key` - Key string
        `count` - Number of members to get
      Returns:

    - #### srem

          public RedisTransaction srem(String key,
                                       String member,
                                       Handler<AsyncResult<String>> handler)

      Remove one member from a set
      Parameters:
        `key` - Key string
        `member` - Member to remove
        `handler` - Handler for the result of this call.
      Returns:

    - #### sremObservable

          @Deprecated
          public rx.Observable<String> sremObservable(String key,
                                                                  String member)

      Deprecated. use `rxSrem(java.lang.String, java.lang.String)` instead
      Remove one member from a set
      Parameters:
        `key` - Key string
        `member` - Member to remove
      Returns:

    - #### rxSrem

          public rx.Single<String> rxSrem(String key,
                                          String member)

      Remove one member from a set
      Parameters:
        `key` - Key string
        `member` - Member to remove
      Returns:

    - #### sremMany

          public RedisTransaction sremMany(String key,
                                           List<String> members,
                                           Handler<AsyncResult<String>> handler)

      Remove one or more members from a set
      Parameters:
        `key` - Key string
        `members` - Members to remove
        `handler` - Handler for the result of this call.
      Returns:

    - #### sremManyObservable

          @Deprecated
          public rx.Observable<String> sremManyObservable(String key,
                                                                      List<String> members)

      Deprecated. use `rxSremMany(java.lang.String, java.util.List<java.lang.String>)` instead
      Remove one or more members from a set
      Parameters:
        `key` - Key string
        `members` - Members to remove
      Returns:

    - #### rxSremMany

          public rx.Single<String> rxSremMany(String key,
                                              List<String> members)

      Remove one or more members from a set
      Parameters:
        `key` - Key string
        `members` - Members to remove
      Returns:

    - #### strlen

          public RedisTransaction strlen(String key,
                                         Handler<AsyncResult<String>> handler)

      Get the length of the value stored in a key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### strlenObservable

          @Deprecated
          public rx.Observable<String> strlenObservable(String key)

      Deprecated. use `rxStrlen(java.lang.String)` instead
      Get the length of the value stored in a key
      Parameters:
        `key` - Key string
      Returns:

    - #### rxStrlen

          public rx.Single<String> rxStrlen(String key)

      Get the length of the value stored in a key
      Parameters:
        `key` - Key string
      Returns:

    - #### subscribe

          public RedisTransaction subscribe(String channel,
                                            Handler<AsyncResult<String>> handler)

      Listen for messages published to the given channels
      Parameters:
        `channel` - Channel to subscribe to
        `handler` - Handler for the result of this call.
      Returns:

    - #### subscribeObservable

          @Deprecated
          public rx.Observable<String> subscribeObservable(String channel)

      Deprecated. use `rxSubscribe(java.lang.String)` instead
      Listen for messages published to the given channels
      Parameters:
        `channel` - Channel to subscribe to
      Returns:

    - #### rxSubscribe

          public rx.Single<String> rxSubscribe(String channel)

      Listen for messages published to the given channels
      Parameters:
        `channel` - Channel to subscribe to
      Returns:

    - #### subscribeMany

          public RedisTransaction subscribeMany(List<String> channels,
                                                Handler<AsyncResult<String>> handler)

      Listen for messages published to the given channels
      Parameters:
        `channels` - List of channels to subscribe to
        `handler` - Handler for the result of this call.
      Returns:

    - #### subscribeManyObservable

          @Deprecated
          public rx.Observable<String> subscribeManyObservable(List<String> channels)

      Deprecated. use `rxSubscribeMany(java.util.List<java.lang.String>)` instead
      Listen for messages published to the given channels
      Parameters:
        `channels` - List of channels to subscribe to
      Returns:

    - #### rxSubscribeMany

          public rx.Single<String> rxSubscribeMany(List<String> channels)

      Listen for messages published to the given channels
      Parameters:
        `channels` - List of channels to subscribe to
      Returns:

    - #### sunion

          public RedisTransaction sunion(List<String> keys,
                                         Handler<AsyncResult<String>> handler)

      Add multiple sets
      Parameters:
        `keys` - List of keys identifying sets to add up
        `handler` - Handler for the result of this call.
      Returns:

    - #### sunionObservable

          @Deprecated
          public rx.Observable<String> sunionObservable(List<String> keys)

      Deprecated. use `rxSunion(java.util.List<java.lang.String>)` instead
      Add multiple sets
      Parameters:
        `keys` - List of keys identifying sets to add up
      Returns:

    - #### rxSunion

          public rx.Single<String> rxSunion(List<String> keys)

      Add multiple sets
      Parameters:
        `keys` - List of keys identifying sets to add up
      Returns:

    - #### sunionstore

          public RedisTransaction sunionstore(String destkey,
                                              List<String> keys,
                                              Handler<AsyncResult<String>> handler)

      Add multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Destination key
        `keys` - List of keys identifying sets to add up
        `handler` - Handler for the result of this call.
      Returns:

    - #### sunionstoreObservable

          @Deprecated
          public rx.Observable<String> sunionstoreObservable(String destkey,
                                                                         List<String> keys)

      Deprecated. use `rxSunionstore(java.lang.String, java.util.List<java.lang.String>)` instead
      Add multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Destination key
        `keys` - List of keys identifying sets to add up
      Returns:

    - #### rxSunionstore

          public rx.Single<String> rxSunionstore(String destkey,
                                                 List<String> keys)

      Add multiple sets and store the resulting set in a key
      Parameters:
        `destkey` - Destination key
        `keys` - List of keys identifying sets to add up
      Returns:

    - #### sync

          public RedisTransaction sync(Handler<AsyncResult<String>> handler)

      Internal command used for replication
      Parameters:
        `handler` -
      Returns:

    - #### syncObservable

          @Deprecated
          public rx.Observable<String> syncObservable()

      Deprecated. use `rxSync()` instead
      Internal command used for replication
      Returns:

    - #### rxSync

          public rx.Single<String> rxSync()

      Internal command used for replication
      Returns:

    - #### time

          public RedisTransaction time(Handler<AsyncResult<String>> handler)

      Return the current server time
      Parameters:
        `handler` -
      Returns:

    - #### timeObservable

          @Deprecated
          public rx.Observable<String> timeObservable()

      Deprecated. use `rxTime()` instead
      Return the current server time
      Returns:

    - #### rxTime

          public rx.Single<String> rxTime()

      Return the current server time
      Returns:

    - #### ttl

          public RedisTransaction ttl(String key,
                                      Handler<AsyncResult<String>> handler)

      Get the time to live for a key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### ttlObservable

          @Deprecated
          public rx.Observable<String> ttlObservable(String key)

      Deprecated. use `rxTtl(java.lang.String)` instead
      Get the time to live for a key
      Parameters:
        `key` - Key string
      Returns:

    - #### rxTtl

          public rx.Single<String> rxTtl(String key)

      Get the time to live for a key
      Parameters:
        `key` - Key string
      Returns:

    - #### type

          public RedisTransaction type(String key,
                                       Handler<AsyncResult<String>> handler)

      Determine the type stored at key
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### typeObservable

          @Deprecated
          public rx.Observable<String> typeObservable(String key)

      Deprecated. use `rxType(java.lang.String)` instead
      Determine the type stored at key
      Parameters:
        `key` - Key string
      Returns:

    - #### rxType

          public rx.Single<String> rxType(String key)

      Determine the type stored at key
      Parameters:
        `key` - Key string
      Returns:

    - #### unsubscribe

          public RedisTransaction unsubscribe(List<String> channels,
                                              Handler<AsyncResult<String>> handler)

      Stop listening for messages posted to the given channels
      Parameters:
        `channels` - List of channels to subscribe to
        `handler` - Handler for the result of this call.
      Returns:

    - #### unsubscribeObservable

          @Deprecated
          public rx.Observable<String> unsubscribeObservable(List<String> channels)

      Deprecated. use `rxUnsubscribe(java.util.List<java.lang.String>)` instead
      Stop listening for messages posted to the given channels
      Parameters:
        `channels` - List of channels to subscribe to
      Returns:

    - #### rxUnsubscribe

          public rx.Single<String> rxUnsubscribe(List<String> channels)

      Stop listening for messages posted to the given channels
      Parameters:
        `channels` - List of channels to subscribe to
      Returns:

    - #### unwatch

          public RedisTransaction unwatch(Handler<AsyncResult<String>> handler)

      Forget about all watched keys
      Parameters:
        `handler` -
      Returns:

    - #### unwatchObservable

          @Deprecated
          public rx.Observable<String> unwatchObservable()

      Deprecated. use `rxUnwatch()` instead
      Forget about all watched keys
      Returns:

    - #### rxUnwatch

          public rx.Single<String> rxUnwatch()

      Forget about all watched keys
      Returns:

    - #### wait

          public RedisTransaction wait(long numSlaves,
                                       long timeout,
                                       Handler<AsyncResult<String>> handler)

      Wait for the synchronous replication of all the write commands sent in the context of the current connection.
      Parameters:
        `numSlaves` -
        `timeout` -
        `handler` - Handler for the result of this call.
      Returns:

    - #### waitObservable

          @Deprecated
          public rx.Observable<String> waitObservable(long numSlaves,
                                                                  long timeout)

      Deprecated. use `rxWait(long, long)` instead
      Wait for the synchronous replication of all the write commands sent in the context of the current connection.
      Parameters:
        `numSlaves` -
        `timeout` -
      Returns:

    - #### rxWait

          public rx.Single<String> rxWait(long numSlaves,
                                          long timeout)

      Wait for the synchronous replication of all the write commands sent in the context of the current connection.
      Parameters:
        `numSlaves` -
        `timeout` -
      Returns:

    - #### watch

          public RedisTransaction watch(String key,
                                        Handler<AsyncResult<String>> handler)

      Watch the given keys to determine execution of the MULTI/EXEC block
      Parameters:
        `key` - Key to watch
        `handler` - Handler for the result of this call.
      Returns:

    - #### watchObservable

          @Deprecated
          public rx.Observable<String> watchObservable(String key)

      Deprecated. use `rxWatch(java.lang.String)` instead
      Watch the given keys to determine execution of the MULTI/EXEC block
      Parameters:
        `key` - Key to watch
      Returns:

    - #### rxWatch

          public rx.Single<String> rxWatch(String key)

      Watch the given keys to determine execution of the MULTI/EXEC block
      Parameters:
        `key` - Key to watch
      Returns:

    - #### watchMany

          public RedisTransaction watchMany(List<String> keys,
                                            Handler<AsyncResult<String>> handler)

      Watch the given keys to determine execution of the MULTI/EXEC block
      Parameters:
        `keys` - List of keys to watch
        `handler` - Handler for the result of this call.
      Returns:

    - #### watchManyObservable

          @Deprecated
          public rx.Observable<String> watchManyObservable(List<String> keys)

      Deprecated. use `rxWatchMany(java.util.List<java.lang.String>)` instead
      Watch the given keys to determine execution of the MULTI/EXEC block
      Parameters:
        `keys` - List of keys to watch
      Returns:

    - #### rxWatchMany

          public rx.Single<String> rxWatchMany(List<String> keys)

      Watch the given keys to determine execution of the MULTI/EXEC block
      Parameters:
        `keys` - List of keys to watch
      Returns:

    - #### zadd

          public RedisTransaction zadd(String key,
                                       double score,
                                       String member,
                                       Handler<AsyncResult<String>> handler)

      Add one or more members to a sorted set, or update its score if it already exists
      Parameters:
        `key` - Key string
        `score` - Score used for sorting
        `member` - New member key
        `handler` - Handler for the result of this call.
      Returns:

    - #### zaddObservable

          @Deprecated
          public rx.Observable<String> zaddObservable(String key,
                                                                  double score,
                                                                  String member)

      Deprecated. use `rxZadd(java.lang.String, double, java.lang.String)` instead
      Add one or more members to a sorted set, or update its score if it already exists
      Parameters:
        `key` - Key string
        `score` - Score used for sorting
        `member` - New member key
      Returns:

    - #### rxZadd

          public rx.Single<String> rxZadd(String key,
                                          double score,
                                          String member)

      Add one or more members to a sorted set, or update its score if it already exists
      Parameters:
        `key` - Key string
        `score` - Score used for sorting
        `member` - New member key
      Returns:

    - #### zaddMany

          public RedisTransaction zaddMany(String key,
                                           Map<String,Double> members,
                                           Handler<AsyncResult<String>> handler)

      Add one or more members to a sorted set, or update its score if it already exists
      Parameters:
        `key` - Key string
        `members` - New member keys and their scores
        `handler` - Handler for the result of this call.
      Returns:

    - #### zaddManyObservable

          @Deprecated
          public rx.Observable<String> zaddManyObservable(String key,
                                                                      Map<String,Double> members)

      Deprecated. use `rxZaddMany(java.lang.String, java.util.Map<java.lang.String, java.lang.Double>)` instead
      Add one or more members to a sorted set, or update its score if it already exists
      Parameters:
        `key` - Key string
        `members` - New member keys and their scores
      Returns:

    - #### rxZaddMany

          public rx.Single<String> rxZaddMany(String key,
                                              Map<String,Double> members)

      Add one or more members to a sorted set, or update its score if it already exists
      Parameters:
        `key` - Key string
        `members` - New member keys and their scores
      Returns:

    - #### zcard

          public RedisTransaction zcard(String key,
                                        Handler<AsyncResult<String>> handler)

      Get the number of members in a sorted set
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.
      Returns:

    - #### zcardObservable

          @Deprecated
          public rx.Observable<String> zcardObservable(String key)

      Deprecated. use `rxZcard(java.lang.String)` instead
      Get the number of members in a sorted set
      Parameters:
        `key` - Key string
      Returns:

    - #### rxZcard

          public rx.Single<String> rxZcard(String key)

      Get the number of members in a sorted set
      Parameters:
        `key` - Key string
      Returns:

    - #### zcount

          public RedisTransaction zcount(String key,
                                         double min,
                                         double max,
                                         Handler<AsyncResult<String>> handler)

      Count the members in a sorted set with scores within the given values
      Parameters:
        `key` - Key string
        `min` - Minimum score
        `max` - Maximum score
        `handler` - Handler for the result of this call.
      Returns:

    - #### zcountObservable

          @Deprecated
          public rx.Observable<String> zcountObservable(String key,
                                                                    double min,
                                                                    double max)

      Deprecated. use `rxZcount(java.lang.String, double, double)` instead
      Count the members in a sorted set with scores within the given values
      Parameters:
        `key` - Key string
        `min` - Minimum score
        `max` - Maximum score
      Returns:

    - #### rxZcount

          public rx.Single<String> rxZcount(String key,
                                            double min,
                                            double max)

      Count the members in a sorted set with scores within the given values
      Parameters:
        `key` - Key string
        `min` - Minimum score
        `max` - Maximum score
      Returns:

    - #### zincrby

          public RedisTransaction zincrby(String key,
                                          double increment,
                                          String member,
                                          Handler<AsyncResult<String>> handler)

      Increment the score of a member in a sorted set
      Parameters:
        `key` - Key string
        `increment` - Increment amount
        `member` - Member key
        `handler` - Handler for the result of this call.
      Returns:

    - #### zincrbyObservable

          @Deprecated
          public rx.Observable<String> zincrbyObservable(String key,
                                                                     double increment,
                                                                     String member)

      Deprecated. use `rxZincrby(java.lang.String, double, java.lang.String)` instead
      Increment the score of a member in a sorted set
      Parameters:
        `key` - Key string
        `increment` - Increment amount
        `member` - Member key
      Returns:

    - #### rxZincrby

          public rx.Single<String> rxZincrby(String key,
                                             double increment,
                                             String member)

      Increment the score of a member in a sorted set
      Parameters:
        `key` - Key string
        `increment` - Increment amount
        `member` - Member key
      Returns:

    - #### zinterstore

          public RedisTransaction zinterstore(String destkey,
                                              List<String> sets,
                                              AggregateOptions options,
                                              Handler<AsyncResult<String>> handler)

      Intersect multiple sorted sets and store the resulting sorted set in a new key
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
        `handler` - Handler for the result of this call.
      Returns:

    - #### zinterstoreObservable

          @Deprecated
          public rx.Observable<String> zinterstoreObservable(String destkey,
                                                                         List<String> sets,
                                                                         AggregateOptions options)

      Deprecated. use `rxZinterstore(java.lang.String, java.util.List<java.lang.String>, io.vertx.redis.op.AggregateOptions)` instead
      Intersect multiple sorted sets and store the resulting sorted set in a new key
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
      Returns:

    - #### rxZinterstore

          public rx.Single<String> rxZinterstore(String destkey,
                                                 List<String> sets,
                                                 AggregateOptions options)

      Intersect multiple sorted sets and store the resulting sorted set in a new key
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
      Returns:

    - #### zinterstoreWeighed

          public RedisTransaction zinterstoreWeighed(String destkey,
                                                     Map<String,Double> sets,
                                                     AggregateOptions options,
                                                     Handler<AsyncResult<String>> handler)

      Intersect multiple sorted sets and store the resulting sorted set in a new key using weights for scoring
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
        `handler` - Handler for the result of this call.
      Returns:

    - #### zinterstoreWeighedObservable

          @Deprecated
          public rx.Observable<String> zinterstoreWeighedObservable(String destkey,
                                                                                Map<String,Double> sets,
                                                                                AggregateOptions options)

      Deprecated. use `rxZinterstoreWeighed(java.lang.String, java.util.Map<java.lang.String, java.lang.Double>, io.vertx.redis.op.AggregateOptions)` instead
      Intersect multiple sorted sets and store the resulting sorted set in a new key using weights for scoring
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
      Returns:

    - #### rxZinterstoreWeighed

          public rx.Single<String> rxZinterstoreWeighed(String destkey,
                                                        Map<String,Double> sets,
                                                        AggregateOptions options)

      Intersect multiple sorted sets and store the resulting sorted set in a new key using weights for scoring
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
      Returns:

    - #### zlexcount

          public RedisTransaction zlexcount(String key,
                                            String min,
                                            String max,
                                            Handler<AsyncResult<String>> handler)

      Count the number of members in a sorted set between a given lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern to compare against for minimum value
        `max` - Pattern to compare against for maximum value
        `handler` - Handler for the result of this call.
      Returns:

    - #### zlexcountObservable

          @Deprecated
          public rx.Observable<String> zlexcountObservable(String key,
                                                                       String min,
                                                                       String max)

      Deprecated. use `rxZlexcount(java.lang.String, java.lang.String, java.lang.String)` instead
      Count the number of members in a sorted set between a given lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern to compare against for minimum value
        `max` - Pattern to compare against for maximum value
      Returns:

    - #### rxZlexcount

          public rx.Single<String> rxZlexcount(String key,
                                               String min,
                                               String max)

      Count the number of members in a sorted set between a given lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern to compare against for minimum value
        `max` - Pattern to compare against for maximum value
      Returns:

    - #### zrange

          public RedisTransaction zrange(String key,
                                         long start,
                                         long stop,
                                         Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by index
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `handler` - Handler for the result of this call.
      Returns:

    - #### zrangeObservable

          @Deprecated
          public rx.Observable<String> zrangeObservable(String key,
                                                                    long start,
                                                                    long stop)

      Deprecated. use `rxZrange(java.lang.String, long, long)` instead
      Return a range of members in a sorted set, by index
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
      Returns:

    - #### rxZrange

          public rx.Single<String> rxZrange(String key,
                                            long start,
                                            long stop)

      Return a range of members in a sorted set, by index
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
      Returns:

    - #### zrangeWithOptions

          public RedisTransaction zrangeWithOptions(String key,
                                                    long start,
                                                    long stop,
                                                    RangeOptions options,
                                                    Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by index
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
        `handler` - Handler for the result of this call.
      Returns:

    - #### zrangeWithOptionsObservable

          @Deprecated
          public rx.Observable<String> zrangeWithOptionsObservable(String key,
                                                                               long start,
                                                                               long stop,
                                                                               RangeOptions options)

      Deprecated. use `rxZrangeWithOptions(java.lang.String, long, long, io.vertx.redis.op.RangeOptions)` instead
      Return a range of members in a sorted set, by index
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
      Returns:

    - #### rxZrangeWithOptions

          public rx.Single<String> rxZrangeWithOptions(String key,
                                                       long start,
                                                       long stop,
                                                       RangeOptions options)

      Return a range of members in a sorted set, by index
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
      Returns:

    - #### zrangebylex

          public RedisTransaction zrangebylex(String key,
                                              String min,
                                              String max,
                                              LimitOptions options,
                                              Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern representing a minimum allowed value
        `max` - Pattern representing a maximum allowed value
        `options` - Limit options where limit can be specified
        `handler` - Handler for the result of this call.
      Returns:

    - #### zrangebylexObservable

          @Deprecated
          public rx.Observable<String> zrangebylexObservable(String key,
                                                                         String min,
                                                                         String max,
                                                                         LimitOptions options)

      Deprecated. use `rxZrangebylex(java.lang.String, java.lang.String, java.lang.String, io.vertx.redis.op.LimitOptions)` instead
      Return a range of members in a sorted set, by lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern representing a minimum allowed value
        `max` - Pattern representing a maximum allowed value
        `options` - Limit options where limit can be specified
      Returns:

    - #### rxZrangebylex

          public rx.Single<String> rxZrangebylex(String key,
                                                 String min,
                                                 String max,
                                                 LimitOptions options)

      Return a range of members in a sorted set, by lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern representing a minimum allowed value
        `max` - Pattern representing a maximum allowed value
        `options` - Limit options where limit can be specified
      Returns:

    - #### zrangebyscore

          public RedisTransaction zrangebyscore(String key,
                                                String min,
                                                String max,
                                                RangeLimitOptions options,
                                                Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by score
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        `options` - Range and limit options
        `handler` - Handler for the result of this call.
      Returns:

    - #### zrangebyscoreObservable

          @Deprecated
          public rx.Observable<String> zrangebyscoreObservable(String key,
                                                                           String min,
                                                                           String max,
                                                                           RangeLimitOptions options)

      Deprecated. use `rxZrangebyscore(java.lang.String, java.lang.String, java.lang.String, io.vertx.redis.op.RangeLimitOptions)` instead
      Return a range of members in a sorted set, by score
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        `options` - Range and limit options
      Returns:

    - #### rxZrangebyscore

          public rx.Single<String> rxZrangebyscore(String key,
                                                   String min,
                                                   String max,
                                                   RangeLimitOptions options)

      Return a range of members in a sorted set, by score
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        `options` - Range and limit options
      Returns:

    - #### zrank

          public RedisTransaction zrank(String key,
                                        String member,
                                        Handler<AsyncResult<String>> handler)

      Determine the index of a member in a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.
      Returns:

    - #### zrankObservable

          @Deprecated
          public rx.Observable<String> zrankObservable(String key,
                                                                   String member)

      Deprecated. use `rxZrank(java.lang.String, java.lang.String)` instead
      Determine the index of a member in a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
      Returns:

    - #### rxZrank

          public rx.Single<String> rxZrank(String key,
                                           String member)

      Determine the index of a member in a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
      Returns:

    - #### zrem

          public RedisTransaction zrem(String key,
                                       String member,
                                       Handler<AsyncResult<String>> handler)

      Remove one member from a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.
      Returns:

    - #### zremObservable

          @Deprecated
          public rx.Observable<String> zremObservable(String key,
                                                                  String member)

      Deprecated. use `rxZrem(java.lang.String, java.lang.String)` instead
      Remove one member from a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
      Returns:

    - #### rxZrem

          public rx.Single<String> rxZrem(String key,
                                          String member)

      Remove one member from a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
      Returns:

    - #### zremMany

          public RedisTransaction zremMany(String key,
                                           List<String> members,
                                           Handler<AsyncResult<String>> handler)

      Remove one or more members from a sorted set
      Parameters:
        `key` - Key string
        `members` - Members in the sorted set identified by key
        `handler` - Handler for the result of this call.
      Returns:

    - #### zremManyObservable

          @Deprecated
          public rx.Observable<String> zremManyObservable(String key,
                                                                      List<String> members)

      Deprecated. use `rxZremMany(java.lang.String, java.util.List<java.lang.String>)` instead
      Remove one or more members from a sorted set
      Parameters:
        `key` - Key string
        `members` - Members in the sorted set identified by key
      Returns:

    - #### rxZremMany

          public rx.Single<String> rxZremMany(String key,
                                              List<String> members)

      Remove one or more members from a sorted set
      Parameters:
        `key` - Key string
        `members` - Members in the sorted set identified by key
      Returns:

    - #### zremrangebylex

          public RedisTransaction zremrangebylex(String key,
                                                 String min,
                                                 String max,
                                                 Handler<AsyncResult<String>> handler)

      Remove all members in a sorted set between the given lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        `handler` - Handler for the result of this call.
      Returns:

    - #### zremrangebylexObservable

          @Deprecated
          public rx.Observable<String> zremrangebylexObservable(String key,
                                                                            String min,
                                                                            String max)

      Deprecated. use `rxZremrangebylex(java.lang.String, java.lang.String, java.lang.String)` instead
      Remove all members in a sorted set between the given lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
      Returns:

    - #### rxZremrangebylex

          public rx.Single<String> rxZremrangebylex(String key,
                                                    String min,
                                                    String max)

      Remove all members in a sorted set between the given lexicographical range
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
      Returns:

    - #### zremrangebyrank

          public RedisTransaction zremrangebyrank(String key,
                                                  long start,
                                                  long stop,
                                                  Handler<AsyncResult<String>> handler)

      Remove all members in a sorted set within the given indexes
      Parameters:
        `key` - Key string
        `start` - Start index
        `stop` - Stop index
        `handler` - Handler for the result of this call.
      Returns:

    - #### zremrangebyrankObservable

          @Deprecated
          public rx.Observable<String> zremrangebyrankObservable(String key,
                                                                             long start,
                                                                             long stop)

      Deprecated. use `rxZremrangebyrank(java.lang.String, long, long)` instead
      Remove all members in a sorted set within the given indexes
      Parameters:
        `key` - Key string
        `start` - Start index
        `stop` - Stop index
      Returns:

    - #### rxZremrangebyrank

          public rx.Single<String> rxZremrangebyrank(String key,
                                                     long start,
                                                     long stop)

      Remove all members in a sorted set within the given indexes
      Parameters:
        `key` - Key string
        `start` - Start index
        `stop` - Stop index
      Returns:

    - #### zremrangebyscore

          public RedisTransaction zremrangebyscore(String key,
                                                   String min,
                                                   String max,
                                                   Handler<AsyncResult<String>> handler)

      Remove all members in a sorted set within the given scores
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        `handler` -
      Returns:

    - #### zremrangebyscoreObservable

          @Deprecated
          public rx.Observable<String> zremrangebyscoreObservable(String key,
                                                                              String min,
                                                                              String max)

      Deprecated. use `rxZremrangebyscore(java.lang.String, java.lang.String, java.lang.String)` instead
      Remove all members in a sorted set within the given scores
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
      Returns:

    - #### rxZremrangebyscore

          public rx.Single<String> rxZremrangebyscore(String key,
                                                      String min,
                                                      String max)

      Remove all members in a sorted set within the given scores
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
      Returns:

    - #### zrevrange

          public RedisTransaction zrevrange(String key,
                                            long start,
                                            long stop,
                                            RangeOptions options,
                                            Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by index, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
        `handler` - Handler for the result of this call.
      Returns:

    - #### zrevrangeObservable

          @Deprecated
          public rx.Observable<String> zrevrangeObservable(String key,
                                                                       long start,
                                                                       long stop,
                                                                       RangeOptions options)

      Deprecated. use `rxZrevrange(java.lang.String, long, long, io.vertx.redis.op.RangeOptions)` instead
      Return a range of members in a sorted set, by index, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
      Returns:

    - #### rxZrevrange

          public rx.Single<String> rxZrevrange(String key,
                                               long start,
                                               long stop,
                                               RangeOptions options)

      Return a range of members in a sorted set, by index, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
      Returns:

    - #### zrevrangebylex

          public RedisTransaction zrevrangebylex(String key,
                                                 String max,
                                                 String min,
                                                 LimitOptions options,
                                                 Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by score, between the given lexicographical range with scores ordered from high to low
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Limit options
        `handler` - Handler for the result of this call.
      Returns:

    - #### zrevrangebylexObservable

          @Deprecated
          public rx.Observable<String> zrevrangebylexObservable(String key,
                                                                            String max,
                                                                            String min,
                                                                            LimitOptions options)

      Deprecated. use `rxZrevrangebylex(java.lang.String, java.lang.String, java.lang.String, io.vertx.redis.op.LimitOptions)` instead
      Return a range of members in a sorted set, by score, between the given lexicographical range with scores ordered from high to low
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Limit options
      Returns:

    - #### rxZrevrangebylex

          public rx.Single<String> rxZrevrangebylex(String key,
                                                    String max,
                                                    String min,
                                                    LimitOptions options)

      Return a range of members in a sorted set, by score, between the given lexicographical range with scores ordered from high to low
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Limit options
      Returns:

    - #### zrevrangebyscore

          public RedisTransaction zrevrangebyscore(String key,
                                                   String max,
                                                   String min,
                                                   RangeLimitOptions options,
                                                   Handler<AsyncResult<String>> handler)

      Return a range of members in a sorted set, by score, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Range and limit options
        `handler` - Handler for the result of this call.
      Returns:

    - #### zrevrangebyscoreObservable

          @Deprecated
          public rx.Observable<String> zrevrangebyscoreObservable(String key,
                                                                              String max,
                                                                              String min,
                                                                              RangeLimitOptions options)

      Deprecated. use `rxZrevrangebyscore(java.lang.String, java.lang.String, java.lang.String, io.vertx.redis.op.RangeLimitOptions)` instead
      Return a range of members in a sorted set, by score, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Range and limit options
      Returns:

    - #### rxZrevrangebyscore

          public rx.Single<String> rxZrevrangebyscore(String key,
                                                      String max,
                                                      String min,
                                                      RangeLimitOptions options)

      Return a range of members in a sorted set, by score, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Range and limit options
      Returns:

    - #### zrevrank

          public RedisTransaction zrevrank(String key,
                                           String member,
                                           Handler<AsyncResult<String>> handler)

      Determine the index of a member in a sorted set, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.
      Returns:

    - #### zrevrankObservable

          @Deprecated
          public rx.Observable<String> zrevrankObservable(String key,
                                                                      String member)

      Deprecated. use `rxZrevrank(java.lang.String, java.lang.String)` instead
      Determine the index of a member in a sorted set, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
      Returns:

    - #### rxZrevrank

          public rx.Single<String> rxZrevrank(String key,
                                              String member)

      Determine the index of a member in a sorted set, with scores ordered from high to low
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
      Returns:

    - #### zscore

          public RedisTransaction zscore(String key,
                                         String member,
                                         Handler<AsyncResult<String>> handler)

      Get the score associated with the given member in a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.
      Returns:

    - #### zscoreObservable

          @Deprecated
          public rx.Observable<String> zscoreObservable(String key,
                                                                    String member)

      Deprecated. use `rxZscore(java.lang.String, java.lang.String)` instead
      Get the score associated with the given member in a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
      Returns:

    - #### rxZscore

          public rx.Single<String> rxZscore(String key,
                                            String member)

      Get the score associated with the given member in a sorted set
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
      Returns:

    - #### zunionstore

          public RedisTransaction zunionstore(String destkey,
                                              List<String> sets,
                                              AggregateOptions options,
                                              Handler<AsyncResult<String>> handler)

      Add multiple sorted sets and store the resulting sorted set in a new key
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets
        `options` - Aggregation options
        `handler` - Handler for the result of this call.
      Returns:

    - #### zunionstoreObservable

          @Deprecated
          public rx.Observable<String> zunionstoreObservable(String destkey,
                                                                         List<String> sets,
                                                                         AggregateOptions options)

      Deprecated. use `rxZunionstore(java.lang.String, java.util.List<java.lang.String>, io.vertx.redis.op.AggregateOptions)` instead
      Add multiple sorted sets and store the resulting sorted set in a new key
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets
        `options` - Aggregation options
      Returns:

    - #### rxZunionstore

          public rx.Single<String> rxZunionstore(String destkey,
                                                 List<String> sets,
                                                 AggregateOptions options)

      Add multiple sorted sets and store the resulting sorted set in a new key
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets
        `options` - Aggregation options
      Returns:

    - #### zunionstoreWeighed

          public RedisTransaction zunionstoreWeighed(String key,
                                                     Map<String,Double> sets,
                                                     AggregateOptions options,
                                                     Handler<AsyncResult<String>> handler)

      Add multiple sorted sets using weights, and store the resulting sorted set in a new key
      Parameters:
        `key` - Destination key
        `sets` - Map containing set-key:weight pairs
        `options` - Aggregation options
        `handler` - Handler for the result of this call.
      Returns:

    - #### zunionstoreWeighedObservable

          @Deprecated
          public rx.Observable<String> zunionstoreWeighedObservable(String key,
                                                                                Map<String,Double> sets,
                                                                                AggregateOptions options)

      Deprecated. use `rxZunionstoreWeighed(java.lang.String, java.util.Map<java.lang.String, java.lang.Double>, io.vertx.redis.op.AggregateOptions)` instead
      Add multiple sorted sets using weights, and store the resulting sorted set in a new key
      Parameters:
        `key` - Destination key
        `sets` - Map containing set-key:weight pairs
        `options` - Aggregation options
      Returns:

    - #### rxZunionstoreWeighed

          public rx.Single<String> rxZunionstoreWeighed(String key,
                                                        Map<String,Double> sets,
                                                        AggregateOptions options)

      Add multiple sorted sets using weights, and store the resulting sorted set in a new key
      Parameters:
        `key` - Destination key
        `sets` - Map containing set-key:weight pairs
        `options` - Aggregation options
      Returns:

    - #### scan

          public RedisTransaction scan(String cursor,
                                       ScanOptions options,
                                       Handler<AsyncResult<String>> handler)

      Incrementally iterate the keys space
      Parameters:
        `cursor` - Cursor id
        `options` - Scan options
        `handler` - Handler for the result of this call.
      Returns:

    - #### scanObservable

          @Deprecated
          public rx.Observable<String> scanObservable(String cursor,
                                                                  ScanOptions options)

      Deprecated. use `rxScan(java.lang.String, io.vertx.redis.op.ScanOptions)` instead
      Incrementally iterate the keys space
      Parameters:
        `cursor` - Cursor id
        `options` - Scan options
      Returns:

    - #### rxScan

          public rx.Single<String> rxScan(String cursor,
                                          ScanOptions options)

      Incrementally iterate the keys space
      Parameters:
        `cursor` - Cursor id
        `options` - Scan options
      Returns:

    - #### sscan

          public RedisTransaction sscan(String key,
                                        String cursor,
                                        ScanOptions options,
                                        Handler<AsyncResult<String>> handler)

      Incrementally iterate Set elements
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
        `handler` - Handler for the result of this call.
      Returns:

    - #### sscanObservable

          @Deprecated
          public rx.Observable<String> sscanObservable(String key,
                                                                   String cursor,
                                                                   ScanOptions options)

      Deprecated. use `rxSscan(java.lang.String, java.lang.String, io.vertx.redis.op.ScanOptions)` instead
      Incrementally iterate Set elements
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
      Returns:

    - #### rxSscan

          public rx.Single<String> rxSscan(String key,
                                           String cursor,
                                           ScanOptions options)

      Incrementally iterate Set elements
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
      Returns:

    - #### hscan

          public RedisTransaction hscan(String key,
                                        String cursor,
                                        ScanOptions options,
                                        Handler<AsyncResult<String>> handler)

      Incrementally iterate hash fields and associated values
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
        `handler` - Handler for the result of this call.
      Returns:

    - #### hscanObservable

          @Deprecated
          public rx.Observable<String> hscanObservable(String key,
                                                                   String cursor,
                                                                   ScanOptions options)

      Deprecated. use `rxHscan(java.lang.String, java.lang.String, io.vertx.redis.op.ScanOptions)` instead
      Incrementally iterate hash fields and associated values
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
      Returns:

    - #### rxHscan

          public rx.Single<String> rxHscan(String key,
                                           String cursor,
                                           ScanOptions options)

      Incrementally iterate hash fields and associated values
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
      Returns:

    - #### zscan

          public RedisTransaction zscan(String key,
                                        String cursor,
                                        ScanOptions options,
                                        Handler<AsyncResult<String>> handler)

      Incrementally iterate sorted sets elements and associated scores
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
        `handler` - Handler for the result of this call.
      Returns:

    - #### zscanObservable

          @Deprecated
          public rx.Observable<String> zscanObservable(String key,
                                                                   String cursor,
                                                                   ScanOptions options)

      Deprecated. use `rxZscan(java.lang.String, java.lang.String, io.vertx.redis.op.ScanOptions)` instead
      Incrementally iterate sorted sets elements and associated scores
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
      Returns:

    - #### rxZscan

          public rx.Single<String> rxZscan(String key,
                                           String cursor,
                                           ScanOptions options)

      Incrementally iterate sorted sets elements and associated scores
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options
      Returns:

    - #### geoadd

          public RedisTransaction geoadd(String key,
                                         double longitude,
                                         double latitude,
                                         String member,
                                         Handler<AsyncResult<String>> handler)

      Add one or more geospatial items in the geospatial index represented using a sorted set.
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `member` - member
        `handler` - Handler for the result of this call.
      Returns:

    - #### geoaddObservable

          @Deprecated
          public rx.Observable<String> geoaddObservable(String key,
                                                                    double longitude,
                                                                    double latitude,
                                                                    String member)

      Deprecated. use `rxGeoadd(java.lang.String, double, double, java.lang.String)` instead
      Add one or more geospatial items in the geospatial index represented using a sorted set.
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `member` - member
      Returns:

    - #### rxGeoadd

          public rx.Single<String> rxGeoadd(String key,
                                            double longitude,
                                            double latitude,
                                            String member)

      Add one or more geospatial items in the geospatial index represented using a sorted set.
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `member` - member
      Returns:

    - #### geoaddMany

          public RedisTransaction geoaddMany(String key,
                                             List<GeoMember> members,
                                             Handler<AsyncResult<String>> handler)

      Add one or more geospatial items in the geospatial index represented using a sorted set.
      Parameters:
        `key` - Key string
        `members` - list of <lon, lat, member>
        `handler` - Handler for the result of this call.
      Returns:

    - #### geoaddManyObservable

          @Deprecated
          public rx.Observable<String> geoaddManyObservable(String key,
                                                                        List<GeoMember> members)

      Deprecated. use `rxGeoaddMany(java.lang.String, java.util.List<io.vertx.redis.op.GeoMember>)` instead
      Add one or more geospatial items in the geospatial index represented using a sorted set.
      Parameters:
        `key` - Key string
        `members` - list of <lon, lat, member>
      Returns:

    - #### rxGeoaddMany

          public rx.Single<String> rxGeoaddMany(String key,
                                                List<GeoMember> members)

      Add one or more geospatial items in the geospatial index represented using a sorted set.
      Parameters:
        `key` - Key string
        `members` - list of <lon, lat, member>
      Returns:

    - #### geohash

          public RedisTransaction geohash(String key,
                                          String member,
                                          Handler<AsyncResult<String>> handler)

      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
      Parameters:
        `key` - Key string
        `member` - member
        `handler` - Handler for the result of this call.
      Returns:

    - #### geohashObservable

          @Deprecated
          public rx.Observable<String> geohashObservable(String key,
                                                                     String member)

      Deprecated. use `rxGeohash(java.lang.String, java.lang.String)` instead
      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
      Parameters:
        `key` - Key string
        `member` - member
      Returns:

    - #### rxGeohash

          public rx.Single<String> rxGeohash(String key,
                                             String member)

      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
      Parameters:
        `key` - Key string
        `member` - member
      Returns:

    - #### geohashMany

          public RedisTransaction geohashMany(String key,
                                              List<String> members,
                                              Handler<AsyncResult<String>> handler)

      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
      Parameters:
        `key` - Key string
        `members` - list of members
        `handler` - Handler for the result of this call.
      Returns:

    - #### geohashManyObservable

          @Deprecated
          public rx.Observable<String> geohashManyObservable(String key,
                                                                         List<String> members)

      Deprecated. use `rxGeohashMany(java.lang.String, java.util.List<java.lang.String>)` instead
      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
      Parameters:
        `key` - Key string
        `members` - list of members
      Returns:

    - #### rxGeohashMany

          public rx.Single<String> rxGeohashMany(String key,
                                                 List<String> members)

      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
      Parameters:
        `key` - Key string
        `members` - list of members
      Returns:

    - #### geopos

          public RedisTransaction geopos(String key,
                                         String member,
                                         Handler<AsyncResult<String>> handler)

      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
      Parameters:
        `key` - Key string
        `member` - member
        `handler` - Handler for the result of this call.
      Returns:

    - #### geoposObservable

          @Deprecated
          public rx.Observable<String> geoposObservable(String key,
                                                                    String member)

      Deprecated. use `rxGeopos(java.lang.String, java.lang.String)` instead
      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
      Parameters:
        `key` - Key string
        `member` - member
      Returns:

    - #### rxGeopos

          public rx.Single<String> rxGeopos(String key,
                                            String member)

      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
      Parameters:
        `key` - Key string
        `member` - member
      Returns:

    - #### geoposMany

          public RedisTransaction geoposMany(String key,
                                             List<String> members,
                                             Handler<AsyncResult<String>> handler)

      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
      Parameters:
        `key` - Key string
        `members` - list of members
        `handler` - Handler for the result of this call.
      Returns:

    - #### geoposManyObservable

          @Deprecated
          public rx.Observable<String> geoposManyObservable(String key,
                                                                        List<String> members)

      Deprecated. use `rxGeoposMany(java.lang.String, java.util.List<java.lang.String>)` instead
      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
      Parameters:
        `key` - Key string
        `members` - list of members
      Returns:

    - #### rxGeoposMany

          public rx.Single<String> rxGeoposMany(String key,
                                                List<String> members)

      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
      Parameters:
        `key` - Key string
        `members` - list of members
      Returns:

    - #### geodist

          public RedisTransaction geodist(String key,
                                          String member1,
                                          String member2,
                                          Handler<AsyncResult<String>> handler)

      Return the distance between two members in the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
        `handler` - Handler for the result of this call.
      Returns:

    - #### geodistObservable

          @Deprecated
          public rx.Observable<String> geodistObservable(String key,
                                                                     String member1,
                                                                     String member2)

      Deprecated. use `rxGeodist(java.lang.String, java.lang.String, java.lang.String)` instead
      Return the distance between two members in the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
      Returns:

    - #### rxGeodist

          public rx.Single<String> rxGeodist(String key,
                                             String member1,
                                             String member2)

      Return the distance between two members in the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
      Returns:

    - #### geodistWithUnit

          public RedisTransaction geodistWithUnit(String key,
                                                  String member1,
                                                  String member2,
                                                  GeoUnit unit,
                                                  Handler<AsyncResult<String>> handler)

      Return the distance between two members in the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
        `unit` - geo unit
        `handler` - Handler for the result of this call.
      Returns:

    - #### geodistWithUnitObservable

          @Deprecated
          public rx.Observable<String> geodistWithUnitObservable(String key,
                                                                             String member1,
                                                                             String member2,
                                                                             GeoUnit unit)

      Deprecated. use `rxGeodistWithUnit(java.lang.String, java.lang.String, java.lang.String, io.vertx.redis.op.GeoUnit)` instead
      Return the distance between two members in the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
        `unit` - geo unit
      Returns:

    - #### rxGeodistWithUnit

          public rx.Single<String> rxGeodistWithUnit(String key,
                                                     String member1,
                                                     String member2,
                                                     GeoUnit unit)

      Return the distance between two members in the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
        `unit` - geo unit
      Returns:

    - #### georadius

          public RedisTransaction georadius(String key,
                                            double longitude,
                                            double latitude,
                                            double radius,
                                            GeoUnit unit,
                                            Handler<AsyncResult<String>> handler)

      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
        `handler` - Handler for the result of this call.
      Returns:

    - #### georadiusObservable

          @Deprecated
          public rx.Observable<String> georadiusObservable(String key,
                                                                       double longitude,
                                                                       double latitude,
                                                                       double radius,
                                                                       GeoUnit unit)

      Deprecated. use `rxGeoradius(java.lang.String, double, double, double, io.vertx.redis.op.GeoUnit)` instead
      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
      Returns:

    - #### rxGeoradius

          public rx.Single<String> rxGeoradius(String key,
                                               double longitude,
                                               double latitude,
                                               double radius,
                                               GeoUnit unit)

      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
      Returns:

    - #### georadiusWithOptions

          public RedisTransaction georadiusWithOptions(String key,
                                                       double longitude,
                                                       double latitude,
                                                       double radius,
                                                       GeoUnit unit,
                                                       GeoRadiusOptions options,
                                                       Handler<AsyncResult<String>> handler)

      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options
        `handler` - Handler for the result of this call.
      Returns:

    - #### georadiusWithOptionsObservable

          @Deprecated
          public rx.Observable<String> georadiusWithOptionsObservable(String key,
                                                                                  double longitude,
                                                                                  double latitude,
                                                                                  double radius,
                                                                                  GeoUnit unit,
                                                                                  GeoRadiusOptions options)

      Deprecated. use `rxGeoradiusWithOptions(java.lang.String, double, double, double, io.vertx.redis.op.GeoUnit, io.vertx.redis.op.GeoRadiusOptions)` instead
      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options
      Returns:

    - #### rxGeoradiusWithOptions

          public rx.Single<String> rxGeoradiusWithOptions(String key,
                                                          double longitude,
                                                          double latitude,
                                                          double radius,
                                                          GeoUnit unit,
                                                          GeoRadiusOptions options)

      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options
      Returns:

    - #### georadiusbymember

          public RedisTransaction georadiusbymember(String key,
                                                    String member,
                                                    double radius,
                                                    GeoUnit unit,
                                                    Handler<AsyncResult<String>> handler)

      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
        `handler` - Handler for the result of this call.
      Returns:

    - #### georadiusbymemberObservable

          @Deprecated
          public rx.Observable<String> georadiusbymemberObservable(String key,
                                                                               String member,
                                                                               double radius,
                                                                               GeoUnit unit)

      Deprecated. use `rxGeoradiusbymember(java.lang.String, java.lang.String, double, io.vertx.redis.op.GeoUnit)` instead
      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
      Returns:

    - #### rxGeoradiusbymember

          public rx.Single<String> rxGeoradiusbymember(String key,
                                                       String member,
                                                       double radius,
                                                       GeoUnit unit)

      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
      Returns:

    - #### georadiusbymemberWithOptions

          public RedisTransaction georadiusbymemberWithOptions(String key,
                                                               String member,
                                                               double radius,
                                                               GeoUnit unit,
                                                               GeoRadiusOptions options,
                                                               Handler<AsyncResult<String>> handler)

      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options
        `handler` - Handler for the result of this call.
      Returns:

    - #### georadiusbymemberWithOptionsObservable

          @Deprecated
          public rx.Observable<String> georadiusbymemberWithOptionsObservable(String key,
                                                                                          String member,
                                                                                          double radius,
                                                                                          GeoUnit unit,
                                                                                          GeoRadiusOptions options)

      Deprecated. use `rxGeoradiusbymemberWithOptions(java.lang.String, java.lang.String, double, io.vertx.redis.op.GeoUnit, io.vertx.redis.op.GeoRadiusOptions)` instead
      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options
      Returns:

    - #### rxGeoradiusbymemberWithOptions

          public rx.Single<String> rxGeoradiusbymemberWithOptions(String key,
                                                                  String member,
                                                                  double radius,
                                                                  GeoUnit unit,
                                                                  GeoRadiusOptions options)

      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options
      Returns:

    - #### newInstance

          public static RedisTransaction newInstance(RedisTransaction arg)

Copyright © 2017. All rights reserved.